import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { CreateAppInstanceAdminCommandInput, CreateAppInstanceAdminCommandOutput } from "../commands/CreateAppInstanceAdminCommand";
import { CreateAppInstanceBotCommandInput, CreateAppInstanceBotCommandOutput } from "../commands/CreateAppInstanceBotCommand";
import { CreateAppInstanceCommandInput, CreateAppInstanceCommandOutput } from "../commands/CreateAppInstanceCommand";
import { CreateAppInstanceUserCommandInput, CreateAppInstanceUserCommandOutput } from "../commands/CreateAppInstanceUserCommand";
import { DeleteAppInstanceAdminCommandInput, DeleteAppInstanceAdminCommandOutput } from "../commands/DeleteAppInstanceAdminCommand";
import { DeleteAppInstanceBotCommandInput, DeleteAppInstanceBotCommandOutput } from "../commands/DeleteAppInstanceBotCommand";
import { DeleteAppInstanceCommandInput, DeleteAppInstanceCommandOutput } from "../commands/DeleteAppInstanceCommand";
import { DeleteAppInstanceUserCommandInput, DeleteAppInstanceUserCommandOutput } from "../commands/DeleteAppInstanceUserCommand";
import { DeregisterAppInstanceUserEndpointCommandInput, DeregisterAppInstanceUserEndpointCommandOutput } from "../commands/DeregisterAppInstanceUserEndpointCommand";
import { DescribeAppInstanceAdminCommandInput, DescribeAppInstanceAdminCommandOutput } from "../commands/DescribeAppInstanceAdminCommand";
import { DescribeAppInstanceBotCommandInput, DescribeAppInstanceBotCommandOutput } from "../commands/DescribeAppInstanceBotCommand";
import { DescribeAppInstanceCommandInput, DescribeAppInstanceCommandOutput } from "../commands/DescribeAppInstanceCommand";
import { DescribeAppInstanceUserCommandInput, DescribeAppInstanceUserCommandOutput } from "../commands/DescribeAppInstanceUserCommand";
import { DescribeAppInstanceUserEndpointCommandInput, DescribeAppInstanceUserEndpointCommandOutput } from "../commands/DescribeAppInstanceUserEndpointCommand";
import { GetAppInstanceRetentionSettingsCommandInput, GetAppInstanceRetentionSettingsCommandOutput } from "../commands/GetAppInstanceRetentionSettingsCommand";
import { ListAppInstanceAdminsCommandInput, ListAppInstanceAdminsCommandOutput } from "../commands/ListAppInstanceAdminsCommand";
import { ListAppInstanceBotsCommandInput, ListAppInstanceBotsCommandOutput } from "../commands/ListAppInstanceBotsCommand";
import { ListAppInstancesCommandInput, ListAppInstancesCommandOutput } from "../commands/ListAppInstancesCommand";
import { ListAppInstanceUserEndpointsCommandInput, ListAppInstanceUserEndpointsCommandOutput } from "../commands/ListAppInstanceUserEndpointsCommand";
import { ListAppInstanceUsersCommandInput, ListAppInstanceUsersCommandOutput } from "../commands/ListAppInstanceUsersCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { PutAppInstanceRetentionSettingsCommandInput, PutAppInstanceRetentionSettingsCommandOutput } from "../commands/PutAppInstanceRetentionSettingsCommand";
import { PutAppInstanceUserExpirationSettingsCommandInput, PutAppInstanceUserExpirationSettingsCommandOutput } from "../commands/PutAppInstanceUserExpirationSettingsCommand";
import { RegisterAppInstanceUserEndpointCommandInput, RegisterAppInstanceUserEndpointCommandOutput } from "../commands/RegisterAppInstanceUserEndpointCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateAppInstanceBotCommandInput, UpdateAppInstanceBotCommandOutput } from "../commands/UpdateAppInstanceBotCommand";
import { UpdateAppInstanceCommandInput, UpdateAppInstanceCommandOutput } from "../commands/UpdateAppInstanceCommand";
import { UpdateAppInstanceUserCommandInput, UpdateAppInstanceUserCommandOutput } from "../commands/UpdateAppInstanceUserCommand";
import { UpdateAppInstanceUserEndpointCommandInput, UpdateAppInstanceUserEndpointCommandOutput } from "../commands/UpdateAppInstanceUserEndpointCommand";
/**
 * serializeAws_restJson1CreateAppInstanceCommand
 */
export declare const se_CreateAppInstanceCommand: (input: CreateAppInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateAppInstanceAdminCommand
 */
export declare const se_CreateAppInstanceAdminCommand: (input: CreateAppInstanceAdminCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateAppInstanceBotCommand
 */
export declare const se_CreateAppInstanceBotCommand: (input: CreateAppInstanceBotCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateAppInstanceUserCommand
 */
export declare const se_CreateAppInstanceUserCommand: (input: CreateAppInstanceUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteAppInstanceCommand
 */
export declare const se_DeleteAppInstanceCommand: (input: DeleteAppInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteAppInstanceAdminCommand
 */
export declare const se_DeleteAppInstanceAdminCommand: (input: DeleteAppInstanceAdminCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteAppInstanceBotCommand
 */
export declare const se_DeleteAppInstanceBotCommand: (input: DeleteAppInstanceBotCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteAppInstanceUserCommand
 */
export declare const se_DeleteAppInstanceUserCommand: (input: DeleteAppInstanceUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeregisterAppInstanceUserEndpointCommand
 */
export declare const se_DeregisterAppInstanceUserEndpointCommand: (input: DeregisterAppInstanceUserEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeAppInstanceCommand
 */
export declare const se_DescribeAppInstanceCommand: (input: DescribeAppInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeAppInstanceAdminCommand
 */
export declare const se_DescribeAppInstanceAdminCommand: (input: DescribeAppInstanceAdminCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeAppInstanceBotCommand
 */
export declare const se_DescribeAppInstanceBotCommand: (input: DescribeAppInstanceBotCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeAppInstanceUserCommand
 */
export declare const se_DescribeAppInstanceUserCommand: (input: DescribeAppInstanceUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeAppInstanceUserEndpointCommand
 */
export declare const se_DescribeAppInstanceUserEndpointCommand: (input: DescribeAppInstanceUserEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetAppInstanceRetentionSettingsCommand
 */
export declare const se_GetAppInstanceRetentionSettingsCommand: (input: GetAppInstanceRetentionSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListAppInstanceAdminsCommand
 */
export declare const se_ListAppInstanceAdminsCommand: (input: ListAppInstanceAdminsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListAppInstanceBotsCommand
 */
export declare const se_ListAppInstanceBotsCommand: (input: ListAppInstanceBotsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListAppInstancesCommand
 */
export declare const se_ListAppInstancesCommand: (input: ListAppInstancesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListAppInstanceUserEndpointsCommand
 */
export declare const se_ListAppInstanceUserEndpointsCommand: (input: ListAppInstanceUserEndpointsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListAppInstanceUsersCommand
 */
export declare const se_ListAppInstanceUsersCommand: (input: ListAppInstanceUsersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutAppInstanceRetentionSettingsCommand
 */
export declare const se_PutAppInstanceRetentionSettingsCommand: (input: PutAppInstanceRetentionSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutAppInstanceUserExpirationSettingsCommand
 */
export declare const se_PutAppInstanceUserExpirationSettingsCommand: (input: PutAppInstanceUserExpirationSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1RegisterAppInstanceUserEndpointCommand
 */
export declare const se_RegisterAppInstanceUserEndpointCommand: (input: RegisterAppInstanceUserEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateAppInstanceCommand
 */
export declare const se_UpdateAppInstanceCommand: (input: UpdateAppInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateAppInstanceBotCommand
 */
export declare const se_UpdateAppInstanceBotCommand: (input: UpdateAppInstanceBotCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateAppInstanceUserCommand
 */
export declare const se_UpdateAppInstanceUserCommand: (input: UpdateAppInstanceUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateAppInstanceUserEndpointCommand
 */
export declare const se_UpdateAppInstanceUserEndpointCommand: (input: UpdateAppInstanceUserEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restJson1CreateAppInstanceCommand
 */
export declare const de_CreateAppInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAppInstanceCommandOutput>;
/**
 * deserializeAws_restJson1CreateAppInstanceAdminCommand
 */
export declare const de_CreateAppInstanceAdminCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAppInstanceAdminCommandOutput>;
/**
 * deserializeAws_restJson1CreateAppInstanceBotCommand
 */
export declare const de_CreateAppInstanceBotCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAppInstanceBotCommandOutput>;
/**
 * deserializeAws_restJson1CreateAppInstanceUserCommand
 */
export declare const de_CreateAppInstanceUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAppInstanceUserCommandOutput>;
/**
 * deserializeAws_restJson1DeleteAppInstanceCommand
 */
export declare const de_DeleteAppInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAppInstanceCommandOutput>;
/**
 * deserializeAws_restJson1DeleteAppInstanceAdminCommand
 */
export declare const de_DeleteAppInstanceAdminCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAppInstanceAdminCommandOutput>;
/**
 * deserializeAws_restJson1DeleteAppInstanceBotCommand
 */
export declare const de_DeleteAppInstanceBotCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAppInstanceBotCommandOutput>;
/**
 * deserializeAws_restJson1DeleteAppInstanceUserCommand
 */
export declare const de_DeleteAppInstanceUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAppInstanceUserCommandOutput>;
/**
 * deserializeAws_restJson1DeregisterAppInstanceUserEndpointCommand
 */
export declare const de_DeregisterAppInstanceUserEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeregisterAppInstanceUserEndpointCommandOutput>;
/**
 * deserializeAws_restJson1DescribeAppInstanceCommand
 */
export declare const de_DescribeAppInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAppInstanceCommandOutput>;
/**
 * deserializeAws_restJson1DescribeAppInstanceAdminCommand
 */
export declare const de_DescribeAppInstanceAdminCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAppInstanceAdminCommandOutput>;
/**
 * deserializeAws_restJson1DescribeAppInstanceBotCommand
 */
export declare const de_DescribeAppInstanceBotCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAppInstanceBotCommandOutput>;
/**
 * deserializeAws_restJson1DescribeAppInstanceUserCommand
 */
export declare const de_DescribeAppInstanceUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAppInstanceUserCommandOutput>;
/**
 * deserializeAws_restJson1DescribeAppInstanceUserEndpointCommand
 */
export declare const de_DescribeAppInstanceUserEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAppInstanceUserEndpointCommandOutput>;
/**
 * deserializeAws_restJson1GetAppInstanceRetentionSettingsCommand
 */
export declare const de_GetAppInstanceRetentionSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAppInstanceRetentionSettingsCommandOutput>;
/**
 * deserializeAws_restJson1ListAppInstanceAdminsCommand
 */
export declare const de_ListAppInstanceAdminsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAppInstanceAdminsCommandOutput>;
/**
 * deserializeAws_restJson1ListAppInstanceBotsCommand
 */
export declare const de_ListAppInstanceBotsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAppInstanceBotsCommandOutput>;
/**
 * deserializeAws_restJson1ListAppInstancesCommand
 */
export declare const de_ListAppInstancesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAppInstancesCommandOutput>;
/**
 * deserializeAws_restJson1ListAppInstanceUserEndpointsCommand
 */
export declare const de_ListAppInstanceUserEndpointsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAppInstanceUserEndpointsCommandOutput>;
/**
 * deserializeAws_restJson1ListAppInstanceUsersCommand
 */
export declare const de_ListAppInstanceUsersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAppInstanceUsersCommandOutput>;
/**
 * deserializeAws_restJson1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_restJson1PutAppInstanceRetentionSettingsCommand
 */
export declare const de_PutAppInstanceRetentionSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutAppInstanceRetentionSettingsCommandOutput>;
/**
 * deserializeAws_restJson1PutAppInstanceUserExpirationSettingsCommand
 */
export declare const de_PutAppInstanceUserExpirationSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutAppInstanceUserExpirationSettingsCommandOutput>;
/**
 * deserializeAws_restJson1RegisterAppInstanceUserEndpointCommand
 */
export declare const de_RegisterAppInstanceUserEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RegisterAppInstanceUserEndpointCommandOutput>;
/**
 * deserializeAws_restJson1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UpdateAppInstanceCommand
 */
export declare const de_UpdateAppInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateAppInstanceCommandOutput>;
/**
 * deserializeAws_restJson1UpdateAppInstanceBotCommand
 */
export declare const de_UpdateAppInstanceBotCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateAppInstanceBotCommandOutput>;
/**
 * deserializeAws_restJson1UpdateAppInstanceUserCommand
 */
export declare const de_UpdateAppInstanceUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateAppInstanceUserCommandOutput>;
/**
 * deserializeAws_restJson1UpdateAppInstanceUserEndpointCommand
 */
export declare const de_UpdateAppInstanceUserEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateAppInstanceUserEndpointCommandOutput>;
