import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  CreateAppInstanceAdminRequest,
  CreateAppInstanceAdminResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateAppInstanceAdminCommandInput
  extends CreateAppInstanceAdminRequest {}
export interface CreateAppInstanceAdminCommandOutput
  extends CreateAppInstanceAdminResponse,
    __MetadataBearer {}
export declare class CreateAppInstanceAdminCommand extends $Command<
  CreateAppInstanceAdminCommandInput,
  CreateAppInstanceAdminCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: CreateAppInstanceAdminCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateAppInstanceAdminCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateAppInstanceAdminCommandInput,
    CreateAppInstanceAdminCommandOutput
  >;
  private serialize;
  private deserialize;
}
