import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  CreateAppInstanceRequest,
  CreateAppInstanceResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateAppInstanceCommandInput
  extends CreateAppInstanceRequest {}
export interface CreateAppInstanceCommandOutput
  extends CreateAppInstanceResponse,
    __MetadataBearer {}
export declare class CreateAppInstanceCommand extends $Command<
  CreateAppInstanceCommandInput,
  CreateAppInstanceCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: CreateAppInstanceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateAppInstanceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateAppInstanceCommandInput, CreateAppInstanceCommandOutput>;
  private serialize;
  private deserialize;
}
