import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import { DeregisterAppInstanceUserEndpointRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeregisterAppInstanceUserEndpointCommandInput
  extends DeregisterAppInstanceUserEndpointRequest {}
export interface DeregisterAppInstanceUserEndpointCommandOutput
  extends __MetadataBearer {}
export declare class DeregisterAppInstanceUserEndpointCommand extends $Command<
  DeregisterAppInstanceUserEndpointCommandInput,
  DeregisterAppInstanceUserEndpointCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: DeregisterAppInstanceUserEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeregisterAppInstanceUserEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeregisterAppInstanceUserEndpointCommandInput,
    DeregisterAppInstanceUserEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
