import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  DescribeAppInstanceBotRequest,
  DescribeAppInstanceBotResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeAppInstanceBotCommandInput
  extends DescribeAppInstanceBotRequest {}
export interface DescribeAppInstanceBotCommandOutput
  extends DescribeAppInstanceBotResponse,
    __MetadataBearer {}
export declare class DescribeAppInstanceBotCommand extends $Command<
  DescribeAppInstanceBotCommandInput,
  DescribeAppInstanceBotCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: DescribeAppInstanceBotCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAppInstanceBotCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAppInstanceBotCommandInput,
    DescribeAppInstanceBotCommandOutput
  >;
  private serialize;
  private deserialize;
}
