import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  ListAppInstanceBotsRequest,
  ListAppInstanceBotsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListAppInstanceBotsCommandInput
  extends ListAppInstanceBotsRequest {}
export interface ListAppInstanceBotsCommandOutput
  extends ListAppInstanceBotsResponse,
    __MetadataBearer {}
export declare class ListAppInstanceBotsCommand extends $Command<
  ListAppInstanceBotsCommandInput,
  ListAppInstanceBotsCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: ListAppInstanceBotsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListAppInstanceBotsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListAppInstanceBotsCommandInput, ListAppInstanceBotsCommandOutput>;
  private serialize;
  private deserialize;
}
