import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  RegisterAppInstanceUserEndpointRequest,
  RegisterAppInstanceUserEndpointResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface RegisterAppInstanceUserEndpointCommandInput
  extends RegisterAppInstanceUserEndpointRequest {}
export interface RegisterAppInstanceUserEndpointCommandOutput
  extends RegisterAppInstanceUserEndpointResponse,
    __MetadataBearer {}
export declare class RegisterAppInstanceUserEndpointCommand extends $Command<
  RegisterAppInstanceUserEndpointCommandInput,
  RegisterAppInstanceUserEndpointCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: RegisterAppInstanceUserEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RegisterAppInstanceUserEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RegisterAppInstanceUserEndpointCommandInput,
    RegisterAppInstanceUserEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
