import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKIdentityClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKIdentityClient";
import {
  UpdateAppInstanceBotRequest,
  UpdateAppInstanceBotResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateAppInstanceBotCommandInput
  extends UpdateAppInstanceBotRequest {}
export interface UpdateAppInstanceBotCommandOutput
  extends UpdateAppInstanceBotResponse,
    __MetadataBearer {}
export declare class UpdateAppInstanceBotCommand extends $Command<
  UpdateAppInstanceBotCommandInput,
  UpdateAppInstanceBotCommandOutput,
  ChimeSDKIdentityClientResolvedConfig
> {
  readonly input: UpdateAppInstanceBotCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateAppInstanceBotCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKIdentityClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateAppInstanceBotCommandInput,
    UpdateAppInstanceBotCommandOutput
  >;
  private serialize;
  private deserialize;
}
