import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  CreateAppInstanceAdminCommandInput,
  CreateAppInstanceAdminCommandOutput,
} from "../commands/CreateAppInstanceAdminCommand";
import {
  CreateAppInstanceBotCommandInput,
  CreateAppInstanceBotCommandOutput,
} from "../commands/CreateAppInstanceBotCommand";
import {
  CreateAppInstanceCommandInput,
  CreateAppInstanceCommandOutput,
} from "../commands/CreateAppInstanceCommand";
import {
  CreateAppInstanceUserCommandInput,
  CreateAppInstanceUserCommandOutput,
} from "../commands/CreateAppInstanceUserCommand";
import {
  DeleteAppInstanceAdminCommandInput,
  DeleteAppInstanceAdminCommandOutput,
} from "../commands/DeleteAppInstanceAdminCommand";
import {
  DeleteAppInstanceBotCommandInput,
  DeleteAppInstanceBotCommandOutput,
} from "../commands/DeleteAppInstanceBotCommand";
import {
  DeleteAppInstanceCommandInput,
  DeleteAppInstanceCommandOutput,
} from "../commands/DeleteAppInstanceCommand";
import {
  DeleteAppInstanceUserCommandInput,
  DeleteAppInstanceUserCommandOutput,
} from "../commands/DeleteAppInstanceUserCommand";
import {
  DeregisterAppInstanceUserEndpointCommandInput,
  DeregisterAppInstanceUserEndpointCommandOutput,
} from "../commands/DeregisterAppInstanceUserEndpointCommand";
import {
  DescribeAppInstanceAdminCommandInput,
  DescribeAppInstanceAdminCommandOutput,
} from "../commands/DescribeAppInstanceAdminCommand";
import {
  DescribeAppInstanceBotCommandInput,
  DescribeAppInstanceBotCommandOutput,
} from "../commands/DescribeAppInstanceBotCommand";
import {
  DescribeAppInstanceCommandInput,
  DescribeAppInstanceCommandOutput,
} from "../commands/DescribeAppInstanceCommand";
import {
  DescribeAppInstanceUserCommandInput,
  DescribeAppInstanceUserCommandOutput,
} from "../commands/DescribeAppInstanceUserCommand";
import {
  DescribeAppInstanceUserEndpointCommandInput,
  DescribeAppInstanceUserEndpointCommandOutput,
} from "../commands/DescribeAppInstanceUserEndpointCommand";
import {
  GetAppInstanceRetentionSettingsCommandInput,
  GetAppInstanceRetentionSettingsCommandOutput,
} from "../commands/GetAppInstanceRetentionSettingsCommand";
import {
  ListAppInstanceAdminsCommandInput,
  ListAppInstanceAdminsCommandOutput,
} from "../commands/ListAppInstanceAdminsCommand";
import {
  ListAppInstanceBotsCommandInput,
  ListAppInstanceBotsCommandOutput,
} from "../commands/ListAppInstanceBotsCommand";
import {
  ListAppInstancesCommandInput,
  ListAppInstancesCommandOutput,
} from "../commands/ListAppInstancesCommand";
import {
  ListAppInstanceUserEndpointsCommandInput,
  ListAppInstanceUserEndpointsCommandOutput,
} from "../commands/ListAppInstanceUserEndpointsCommand";
import {
  ListAppInstanceUsersCommandInput,
  ListAppInstanceUsersCommandOutput,
} from "../commands/ListAppInstanceUsersCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  PutAppInstanceRetentionSettingsCommandInput,
  PutAppInstanceRetentionSettingsCommandOutput,
} from "../commands/PutAppInstanceRetentionSettingsCommand";
import {
  PutAppInstanceUserExpirationSettingsCommandInput,
  PutAppInstanceUserExpirationSettingsCommandOutput,
} from "../commands/PutAppInstanceUserExpirationSettingsCommand";
import {
  RegisterAppInstanceUserEndpointCommandInput,
  RegisterAppInstanceUserEndpointCommandOutput,
} from "../commands/RegisterAppInstanceUserEndpointCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateAppInstanceBotCommandInput,
  UpdateAppInstanceBotCommandOutput,
} from "../commands/UpdateAppInstanceBotCommand";
import {
  UpdateAppInstanceCommandInput,
  UpdateAppInstanceCommandOutput,
} from "../commands/UpdateAppInstanceCommand";
import {
  UpdateAppInstanceUserCommandInput,
  UpdateAppInstanceUserCommandOutput,
} from "../commands/UpdateAppInstanceUserCommand";
import {
  UpdateAppInstanceUserEndpointCommandInput,
  UpdateAppInstanceUserEndpointCommandOutput,
} from "../commands/UpdateAppInstanceUserEndpointCommand";
export declare const se_CreateAppInstanceCommand: (
  input: CreateAppInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAppInstanceAdminCommand: (
  input: CreateAppInstanceAdminCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAppInstanceBotCommand: (
  input: CreateAppInstanceBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAppInstanceUserCommand: (
  input: CreateAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAppInstanceCommand: (
  input: DeleteAppInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAppInstanceAdminCommand: (
  input: DeleteAppInstanceAdminCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAppInstanceBotCommand: (
  input: DeleteAppInstanceBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAppInstanceUserCommand: (
  input: DeleteAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeregisterAppInstanceUserEndpointCommand: (
  input: DeregisterAppInstanceUserEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAppInstanceCommand: (
  input: DescribeAppInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAppInstanceAdminCommand: (
  input: DescribeAppInstanceAdminCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAppInstanceBotCommand: (
  input: DescribeAppInstanceBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAppInstanceUserCommand: (
  input: DescribeAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAppInstanceUserEndpointCommand: (
  input: DescribeAppInstanceUserEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAppInstanceRetentionSettingsCommand: (
  input: GetAppInstanceRetentionSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAppInstanceAdminsCommand: (
  input: ListAppInstanceAdminsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAppInstanceBotsCommand: (
  input: ListAppInstanceBotsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAppInstancesCommand: (
  input: ListAppInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAppInstanceUserEndpointsCommand: (
  input: ListAppInstanceUserEndpointsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAppInstanceUsersCommand: (
  input: ListAppInstanceUsersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutAppInstanceRetentionSettingsCommand: (
  input: PutAppInstanceRetentionSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutAppInstanceUserExpirationSettingsCommand: (
  input: PutAppInstanceUserExpirationSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RegisterAppInstanceUserEndpointCommand: (
  input: RegisterAppInstanceUserEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAppInstanceCommand: (
  input: UpdateAppInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAppInstanceBotCommand: (
  input: UpdateAppInstanceBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAppInstanceUserCommand: (
  input: UpdateAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAppInstanceUserEndpointCommand: (
  input: UpdateAppInstanceUserEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_CreateAppInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAppInstanceCommandOutput>;
export declare const de_CreateAppInstanceAdminCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAppInstanceAdminCommandOutput>;
export declare const de_CreateAppInstanceBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAppInstanceBotCommandOutput>;
export declare const de_CreateAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAppInstanceUserCommandOutput>;
export declare const de_DeleteAppInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAppInstanceCommandOutput>;
export declare const de_DeleteAppInstanceAdminCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAppInstanceAdminCommandOutput>;
export declare const de_DeleteAppInstanceBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAppInstanceBotCommandOutput>;
export declare const de_DeleteAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAppInstanceUserCommandOutput>;
export declare const de_DeregisterAppInstanceUserEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeregisterAppInstanceUserEndpointCommandOutput>;
export declare const de_DescribeAppInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAppInstanceCommandOutput>;
export declare const de_DescribeAppInstanceAdminCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAppInstanceAdminCommandOutput>;
export declare const de_DescribeAppInstanceBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAppInstanceBotCommandOutput>;
export declare const de_DescribeAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAppInstanceUserCommandOutput>;
export declare const de_DescribeAppInstanceUserEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAppInstanceUserEndpointCommandOutput>;
export declare const de_GetAppInstanceRetentionSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAppInstanceRetentionSettingsCommandOutput>;
export declare const de_ListAppInstanceAdminsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAppInstanceAdminsCommandOutput>;
export declare const de_ListAppInstanceBotsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAppInstanceBotsCommandOutput>;
export declare const de_ListAppInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAppInstancesCommandOutput>;
export declare const de_ListAppInstanceUserEndpointsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAppInstanceUserEndpointsCommandOutput>;
export declare const de_ListAppInstanceUsersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAppInstanceUsersCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_PutAppInstanceRetentionSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutAppInstanceRetentionSettingsCommandOutput>;
export declare const de_PutAppInstanceUserExpirationSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutAppInstanceUserExpirationSettingsCommandOutput>;
export declare const de_RegisterAppInstanceUserEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterAppInstanceUserEndpointCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateAppInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAppInstanceCommandOutput>;
export declare const de_UpdateAppInstanceBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAppInstanceBotCommandOutput>;
export declare const de_UpdateAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAppInstanceUserCommandOutput>;
export declare const de_UpdateAppInstanceUserEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAppInstanceUserEndpointCommandOutput>;
