import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import { DeleteMediaInsightsPipelineConfigurationRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteMediaInsightsPipelineConfigurationCommandInput
  extends DeleteMediaInsightsPipelineConfigurationRequest {}
export interface DeleteMediaInsightsPipelineConfigurationCommandOutput
  extends __MetadataBearer {}
export declare class DeleteMediaInsightsPipelineConfigurationCommand extends $Command<
  DeleteMediaInsightsPipelineConfigurationCommandInput,
  DeleteMediaInsightsPipelineConfigurationCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: DeleteMediaInsightsPipelineConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteMediaInsightsPipelineConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteMediaInsightsPipelineConfigurationCommandInput,
    DeleteMediaInsightsPipelineConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
