import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import {
  GetMediaCapturePipelineRequest,
  GetMediaCapturePipelineResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetMediaCapturePipelineCommandInput
  extends GetMediaCapturePipelineRequest {}
export interface GetMediaCapturePipelineCommandOutput
  extends GetMediaCapturePipelineResponse,
    __MetadataBearer {}
export declare class GetMediaCapturePipelineCommand extends $Command<
  GetMediaCapturePipelineCommandInput,
  GetMediaCapturePipelineCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: GetMediaCapturePipelineCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetMediaCapturePipelineCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetMediaCapturePipelineCommandInput,
    GetMediaCapturePipelineCommandOutput
  >;
  private serialize;
  private deserialize;
}
