import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import {
  GetMediaPipelineRequest,
  GetMediaPipelineResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetMediaPipelineCommandInput extends GetMediaPipelineRequest {}
export interface GetMediaPipelineCommandOutput
  extends GetMediaPipelineResponse,
    __MetadataBearer {}
export declare class GetMediaPipelineCommand extends $Command<
  GetMediaPipelineCommandInput,
  GetMediaPipelineCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: GetMediaPipelineCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetMediaPipelineCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetMediaPipelineCommandInput, GetMediaPipelineCommandOutput>;
  private serialize;
  private deserialize;
}
