import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import {
  UpdateMediaInsightsPipelineConfigurationRequest,
  UpdateMediaInsightsPipelineConfigurationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateMediaInsightsPipelineConfigurationCommandInput
  extends UpdateMediaInsightsPipelineConfigurationRequest {}
export interface UpdateMediaInsightsPipelineConfigurationCommandOutput
  extends UpdateMediaInsightsPipelineConfigurationResponse,
    __MetadataBearer {}
export declare class UpdateMediaInsightsPipelineConfigurationCommand extends $Command<
  UpdateMediaInsightsPipelineConfigurationCommandInput,
  UpdateMediaInsightsPipelineConfigurationCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: UpdateMediaInsightsPipelineConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateMediaInsightsPipelineConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateMediaInsightsPipelineConfigurationCommandInput,
    UpdateMediaInsightsPipelineConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
