import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMediaPipelinesClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMediaPipelinesClient";
import { UpdateMediaInsightsPipelineStatusRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateMediaInsightsPipelineStatusCommandInput
  extends UpdateMediaInsightsPipelineStatusRequest {}
export interface UpdateMediaInsightsPipelineStatusCommandOutput
  extends __MetadataBearer {}
export declare class UpdateMediaInsightsPipelineStatusCommand extends $Command<
  UpdateMediaInsightsPipelineStatusCommandInput,
  UpdateMediaInsightsPipelineStatusCommandOutput,
  ChimeSDKMediaPipelinesClientResolvedConfig
> {
  readonly input: UpdateMediaInsightsPipelineStatusCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateMediaInsightsPipelineStatusCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMediaPipelinesClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateMediaInsightsPipelineStatusCommandInput,
    UpdateMediaInsightsPipelineStatusCommandOutput
  >;
  private serialize;
  private deserialize;
}
