import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  CreateMediaCapturePipelineCommandInput,
  CreateMediaCapturePipelineCommandOutput,
} from "../commands/CreateMediaCapturePipelineCommand";
import {
  CreateMediaConcatenationPipelineCommandInput,
  CreateMediaConcatenationPipelineCommandOutput,
} from "../commands/CreateMediaConcatenationPipelineCommand";
import {
  CreateMediaInsightsPipelineCommandInput,
  CreateMediaInsightsPipelineCommandOutput,
} from "../commands/CreateMediaInsightsPipelineCommand";
import {
  CreateMediaInsightsPipelineConfigurationCommandInput,
  CreateMediaInsightsPipelineConfigurationCommandOutput,
} from "../commands/CreateMediaInsightsPipelineConfigurationCommand";
import {
  CreateMediaLiveConnectorPipelineCommandInput,
  CreateMediaLiveConnectorPipelineCommandOutput,
} from "../commands/CreateMediaLiveConnectorPipelineCommand";
import {
  DeleteMediaCapturePipelineCommandInput,
  DeleteMediaCapturePipelineCommandOutput,
} from "../commands/DeleteMediaCapturePipelineCommand";
import {
  DeleteMediaInsightsPipelineConfigurationCommandInput,
  DeleteMediaInsightsPipelineConfigurationCommandOutput,
} from "../commands/DeleteMediaInsightsPipelineConfigurationCommand";
import {
  DeleteMediaPipelineCommandInput,
  DeleteMediaPipelineCommandOutput,
} from "../commands/DeleteMediaPipelineCommand";
import {
  GetMediaCapturePipelineCommandInput,
  GetMediaCapturePipelineCommandOutput,
} from "../commands/GetMediaCapturePipelineCommand";
import {
  GetMediaInsightsPipelineConfigurationCommandInput,
  GetMediaInsightsPipelineConfigurationCommandOutput,
} from "../commands/GetMediaInsightsPipelineConfigurationCommand";
import {
  GetMediaPipelineCommandInput,
  GetMediaPipelineCommandOutput,
} from "../commands/GetMediaPipelineCommand";
import {
  ListMediaCapturePipelinesCommandInput,
  ListMediaCapturePipelinesCommandOutput,
} from "../commands/ListMediaCapturePipelinesCommand";
import {
  ListMediaInsightsPipelineConfigurationsCommandInput,
  ListMediaInsightsPipelineConfigurationsCommandOutput,
} from "../commands/ListMediaInsightsPipelineConfigurationsCommand";
import {
  ListMediaPipelinesCommandInput,
  ListMediaPipelinesCommandOutput,
} from "../commands/ListMediaPipelinesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateMediaInsightsPipelineConfigurationCommandInput,
  UpdateMediaInsightsPipelineConfigurationCommandOutput,
} from "../commands/UpdateMediaInsightsPipelineConfigurationCommand";
import {
  UpdateMediaInsightsPipelineStatusCommandInput,
  UpdateMediaInsightsPipelineStatusCommandOutput,
} from "../commands/UpdateMediaInsightsPipelineStatusCommand";
export declare const se_CreateMediaCapturePipelineCommand: (
  input: CreateMediaCapturePipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMediaConcatenationPipelineCommand: (
  input: CreateMediaConcatenationPipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMediaInsightsPipelineCommand: (
  input: CreateMediaInsightsPipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMediaInsightsPipelineConfigurationCommand: (
  input: CreateMediaInsightsPipelineConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMediaLiveConnectorPipelineCommand: (
  input: CreateMediaLiveConnectorPipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMediaCapturePipelineCommand: (
  input: DeleteMediaCapturePipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMediaInsightsPipelineConfigurationCommand: (
  input: DeleteMediaInsightsPipelineConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMediaPipelineCommand: (
  input: DeleteMediaPipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMediaCapturePipelineCommand: (
  input: GetMediaCapturePipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMediaInsightsPipelineConfigurationCommand: (
  input: GetMediaInsightsPipelineConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMediaPipelineCommand: (
  input: GetMediaPipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListMediaCapturePipelinesCommand: (
  input: ListMediaCapturePipelinesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListMediaInsightsPipelineConfigurationsCommand: (
  input: ListMediaInsightsPipelineConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListMediaPipelinesCommand: (
  input: ListMediaPipelinesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateMediaInsightsPipelineConfigurationCommand: (
  input: UpdateMediaInsightsPipelineConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateMediaInsightsPipelineStatusCommand: (
  input: UpdateMediaInsightsPipelineStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_CreateMediaCapturePipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMediaCapturePipelineCommandOutput>;
export declare const de_CreateMediaConcatenationPipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMediaConcatenationPipelineCommandOutput>;
export declare const de_CreateMediaInsightsPipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMediaInsightsPipelineCommandOutput>;
export declare const de_CreateMediaInsightsPipelineConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMediaInsightsPipelineConfigurationCommandOutput>;
export declare const de_CreateMediaLiveConnectorPipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMediaLiveConnectorPipelineCommandOutput>;
export declare const de_DeleteMediaCapturePipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMediaCapturePipelineCommandOutput>;
export declare const de_DeleteMediaInsightsPipelineConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMediaInsightsPipelineConfigurationCommandOutput>;
export declare const de_DeleteMediaPipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMediaPipelineCommandOutput>;
export declare const de_GetMediaCapturePipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMediaCapturePipelineCommandOutput>;
export declare const de_GetMediaInsightsPipelineConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMediaInsightsPipelineConfigurationCommandOutput>;
export declare const de_GetMediaPipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMediaPipelineCommandOutput>;
export declare const de_ListMediaCapturePipelinesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMediaCapturePipelinesCommandOutput>;
export declare const de_ListMediaInsightsPipelineConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMediaInsightsPipelineConfigurationsCommandOutput>;
export declare const de_ListMediaPipelinesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMediaPipelinesCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateMediaInsightsPipelineConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateMediaInsightsPipelineConfigurationCommandOutput>;
export declare const de_UpdateMediaInsightsPipelineStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateMediaInsightsPipelineStatusCommandOutput>;
