import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { AssociateChannelFlowCommandInput, AssociateChannelFlowCommandOutput } from "../commands/AssociateChannelFlowCommand";
import { BatchCreateChannelMembershipCommandInput, BatchCreateChannelMembershipCommandOutput } from "../commands/BatchCreateChannelMembershipCommand";
import { ChannelFlowCallbackCommandInput, ChannelFlowCallbackCommandOutput } from "../commands/ChannelFlowCallbackCommand";
import { CreateChannelBanCommandInput, CreateChannelBanCommandOutput } from "../commands/CreateChannelBanCommand";
import { CreateChannelCommandInput, CreateChannelCommandOutput } from "../commands/CreateChannelCommand";
import { CreateChannelFlowCommandInput, CreateChannelFlowCommandOutput } from "../commands/CreateChannelFlowCommand";
import { CreateChannelMembershipCommandInput, CreateChannelMembershipCommandOutput } from "../commands/CreateChannelMembershipCommand";
import { CreateChannelModeratorCommandInput, CreateChannelModeratorCommandOutput } from "../commands/CreateChannelModeratorCommand";
import { DeleteChannelBanCommandInput, DeleteChannelBanCommandOutput } from "../commands/DeleteChannelBanCommand";
import { DeleteChannelCommandInput, DeleteChannelCommandOutput } from "../commands/DeleteChannelCommand";
import { DeleteChannelFlowCommandInput, DeleteChannelFlowCommandOutput } from "../commands/DeleteChannelFlowCommand";
import { DeleteChannelMembershipCommandInput, DeleteChannelMembershipCommandOutput } from "../commands/DeleteChannelMembershipCommand";
import { DeleteChannelMessageCommandInput, DeleteChannelMessageCommandOutput } from "../commands/DeleteChannelMessageCommand";
import { DeleteChannelModeratorCommandInput, DeleteChannelModeratorCommandOutput } from "../commands/DeleteChannelModeratorCommand";
import { DeleteMessagingStreamingConfigurationsCommandInput, DeleteMessagingStreamingConfigurationsCommandOutput } from "../commands/DeleteMessagingStreamingConfigurationsCommand";
import { DescribeChannelBanCommandInput, DescribeChannelBanCommandOutput } from "../commands/DescribeChannelBanCommand";
import { DescribeChannelCommandInput, DescribeChannelCommandOutput } from "../commands/DescribeChannelCommand";
import { DescribeChannelFlowCommandInput, DescribeChannelFlowCommandOutput } from "../commands/DescribeChannelFlowCommand";
import { DescribeChannelMembershipCommandInput, DescribeChannelMembershipCommandOutput } from "../commands/DescribeChannelMembershipCommand";
import { DescribeChannelMembershipForAppInstanceUserCommandInput, DescribeChannelMembershipForAppInstanceUserCommandOutput } from "../commands/DescribeChannelMembershipForAppInstanceUserCommand";
import { DescribeChannelModeratedByAppInstanceUserCommandInput, DescribeChannelModeratedByAppInstanceUserCommandOutput } from "../commands/DescribeChannelModeratedByAppInstanceUserCommand";
import { DescribeChannelModeratorCommandInput, DescribeChannelModeratorCommandOutput } from "../commands/DescribeChannelModeratorCommand";
import { DisassociateChannelFlowCommandInput, DisassociateChannelFlowCommandOutput } from "../commands/DisassociateChannelFlowCommand";
import { GetChannelMembershipPreferencesCommandInput, GetChannelMembershipPreferencesCommandOutput } from "../commands/GetChannelMembershipPreferencesCommand";
import { GetChannelMessageCommandInput, GetChannelMessageCommandOutput } from "../commands/GetChannelMessageCommand";
import { GetChannelMessageStatusCommandInput, GetChannelMessageStatusCommandOutput } from "../commands/GetChannelMessageStatusCommand";
import { GetMessagingSessionEndpointCommandInput, GetMessagingSessionEndpointCommandOutput } from "../commands/GetMessagingSessionEndpointCommand";
import { GetMessagingStreamingConfigurationsCommandInput, GetMessagingStreamingConfigurationsCommandOutput } from "../commands/GetMessagingStreamingConfigurationsCommand";
import { ListChannelBansCommandInput, ListChannelBansCommandOutput } from "../commands/ListChannelBansCommand";
import { ListChannelFlowsCommandInput, ListChannelFlowsCommandOutput } from "../commands/ListChannelFlowsCommand";
import { ListChannelMembershipsCommandInput, ListChannelMembershipsCommandOutput } from "../commands/ListChannelMembershipsCommand";
import { ListChannelMembershipsForAppInstanceUserCommandInput, ListChannelMembershipsForAppInstanceUserCommandOutput } from "../commands/ListChannelMembershipsForAppInstanceUserCommand";
import { ListChannelMessagesCommandInput, ListChannelMessagesCommandOutput } from "../commands/ListChannelMessagesCommand";
import { ListChannelModeratorsCommandInput, ListChannelModeratorsCommandOutput } from "../commands/ListChannelModeratorsCommand";
import { ListChannelsAssociatedWithChannelFlowCommandInput, ListChannelsAssociatedWithChannelFlowCommandOutput } from "../commands/ListChannelsAssociatedWithChannelFlowCommand";
import { ListChannelsCommandInput, ListChannelsCommandOutput } from "../commands/ListChannelsCommand";
import { ListChannelsModeratedByAppInstanceUserCommandInput, ListChannelsModeratedByAppInstanceUserCommandOutput } from "../commands/ListChannelsModeratedByAppInstanceUserCommand";
import { ListSubChannelsCommandInput, ListSubChannelsCommandOutput } from "../commands/ListSubChannelsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { PutChannelExpirationSettingsCommandInput, PutChannelExpirationSettingsCommandOutput } from "../commands/PutChannelExpirationSettingsCommand";
import { PutChannelMembershipPreferencesCommandInput, PutChannelMembershipPreferencesCommandOutput } from "../commands/PutChannelMembershipPreferencesCommand";
import { PutMessagingStreamingConfigurationsCommandInput, PutMessagingStreamingConfigurationsCommandOutput } from "../commands/PutMessagingStreamingConfigurationsCommand";
import { RedactChannelMessageCommandInput, RedactChannelMessageCommandOutput } from "../commands/RedactChannelMessageCommand";
import { SearchChannelsCommandInput, SearchChannelsCommandOutput } from "../commands/SearchChannelsCommand";
import { SendChannelMessageCommandInput, SendChannelMessageCommandOutput } from "../commands/SendChannelMessageCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateChannelCommandInput, UpdateChannelCommandOutput } from "../commands/UpdateChannelCommand";
import { UpdateChannelFlowCommandInput, UpdateChannelFlowCommandOutput } from "../commands/UpdateChannelFlowCommand";
import { UpdateChannelMessageCommandInput, UpdateChannelMessageCommandOutput } from "../commands/UpdateChannelMessageCommand";
import { UpdateChannelReadMarkerCommandInput, UpdateChannelReadMarkerCommandOutput } from "../commands/UpdateChannelReadMarkerCommand";
/**
 * serializeAws_restJson1AssociateChannelFlowCommand
 */
export declare const se_AssociateChannelFlowCommand: (input: AssociateChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1BatchCreateChannelMembershipCommand
 */
export declare const se_BatchCreateChannelMembershipCommand: (input: BatchCreateChannelMembershipCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ChannelFlowCallbackCommand
 */
export declare const se_ChannelFlowCallbackCommand: (input: ChannelFlowCallbackCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateChannelCommand
 */
export declare const se_CreateChannelCommand: (input: CreateChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateChannelBanCommand
 */
export declare const se_CreateChannelBanCommand: (input: CreateChannelBanCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateChannelFlowCommand
 */
export declare const se_CreateChannelFlowCommand: (input: CreateChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateChannelMembershipCommand
 */
export declare const se_CreateChannelMembershipCommand: (input: CreateChannelMembershipCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateChannelModeratorCommand
 */
export declare const se_CreateChannelModeratorCommand: (input: CreateChannelModeratorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteChannelCommand
 */
export declare const se_DeleteChannelCommand: (input: DeleteChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteChannelBanCommand
 */
export declare const se_DeleteChannelBanCommand: (input: DeleteChannelBanCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteChannelFlowCommand
 */
export declare const se_DeleteChannelFlowCommand: (input: DeleteChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteChannelMembershipCommand
 */
export declare const se_DeleteChannelMembershipCommand: (input: DeleteChannelMembershipCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteChannelMessageCommand
 */
export declare const se_DeleteChannelMessageCommand: (input: DeleteChannelMessageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteChannelModeratorCommand
 */
export declare const se_DeleteChannelModeratorCommand: (input: DeleteChannelModeratorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteMessagingStreamingConfigurationsCommand
 */
export declare const se_DeleteMessagingStreamingConfigurationsCommand: (input: DeleteMessagingStreamingConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeChannelCommand
 */
export declare const se_DescribeChannelCommand: (input: DescribeChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeChannelBanCommand
 */
export declare const se_DescribeChannelBanCommand: (input: DescribeChannelBanCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeChannelFlowCommand
 */
export declare const se_DescribeChannelFlowCommand: (input: DescribeChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeChannelMembershipCommand
 */
export declare const se_DescribeChannelMembershipCommand: (input: DescribeChannelMembershipCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeChannelMembershipForAppInstanceUserCommand
 */
export declare const se_DescribeChannelMembershipForAppInstanceUserCommand: (input: DescribeChannelMembershipForAppInstanceUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeChannelModeratedByAppInstanceUserCommand
 */
export declare const se_DescribeChannelModeratedByAppInstanceUserCommand: (input: DescribeChannelModeratedByAppInstanceUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeChannelModeratorCommand
 */
export declare const se_DescribeChannelModeratorCommand: (input: DescribeChannelModeratorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DisassociateChannelFlowCommand
 */
export declare const se_DisassociateChannelFlowCommand: (input: DisassociateChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetChannelMembershipPreferencesCommand
 */
export declare const se_GetChannelMembershipPreferencesCommand: (input: GetChannelMembershipPreferencesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetChannelMessageCommand
 */
export declare const se_GetChannelMessageCommand: (input: GetChannelMessageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetChannelMessageStatusCommand
 */
export declare const se_GetChannelMessageStatusCommand: (input: GetChannelMessageStatusCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetMessagingSessionEndpointCommand
 */
export declare const se_GetMessagingSessionEndpointCommand: (input: GetMessagingSessionEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetMessagingStreamingConfigurationsCommand
 */
export declare const se_GetMessagingStreamingConfigurationsCommand: (input: GetMessagingStreamingConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListChannelBansCommand
 */
export declare const se_ListChannelBansCommand: (input: ListChannelBansCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListChannelFlowsCommand
 */
export declare const se_ListChannelFlowsCommand: (input: ListChannelFlowsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListChannelMembershipsCommand
 */
export declare const se_ListChannelMembershipsCommand: (input: ListChannelMembershipsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListChannelMembershipsForAppInstanceUserCommand
 */
export declare const se_ListChannelMembershipsForAppInstanceUserCommand: (input: ListChannelMembershipsForAppInstanceUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListChannelMessagesCommand
 */
export declare const se_ListChannelMessagesCommand: (input: ListChannelMessagesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListChannelModeratorsCommand
 */
export declare const se_ListChannelModeratorsCommand: (input: ListChannelModeratorsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListChannelsCommand
 */
export declare const se_ListChannelsCommand: (input: ListChannelsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListChannelsAssociatedWithChannelFlowCommand
 */
export declare const se_ListChannelsAssociatedWithChannelFlowCommand: (input: ListChannelsAssociatedWithChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListChannelsModeratedByAppInstanceUserCommand
 */
export declare const se_ListChannelsModeratedByAppInstanceUserCommand: (input: ListChannelsModeratedByAppInstanceUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListSubChannelsCommand
 */
export declare const se_ListSubChannelsCommand: (input: ListSubChannelsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutChannelExpirationSettingsCommand
 */
export declare const se_PutChannelExpirationSettingsCommand: (input: PutChannelExpirationSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutChannelMembershipPreferencesCommand
 */
export declare const se_PutChannelMembershipPreferencesCommand: (input: PutChannelMembershipPreferencesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutMessagingStreamingConfigurationsCommand
 */
export declare const se_PutMessagingStreamingConfigurationsCommand: (input: PutMessagingStreamingConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1RedactChannelMessageCommand
 */
export declare const se_RedactChannelMessageCommand: (input: RedactChannelMessageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1SearchChannelsCommand
 */
export declare const se_SearchChannelsCommand: (input: SearchChannelsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1SendChannelMessageCommand
 */
export declare const se_SendChannelMessageCommand: (input: SendChannelMessageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateChannelCommand
 */
export declare const se_UpdateChannelCommand: (input: UpdateChannelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateChannelFlowCommand
 */
export declare const se_UpdateChannelFlowCommand: (input: UpdateChannelFlowCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateChannelMessageCommand
 */
export declare const se_UpdateChannelMessageCommand: (input: UpdateChannelMessageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateChannelReadMarkerCommand
 */
export declare const se_UpdateChannelReadMarkerCommand: (input: UpdateChannelReadMarkerCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restJson1AssociateChannelFlowCommand
 */
export declare const de_AssociateChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateChannelFlowCommandOutput>;
/**
 * deserializeAws_restJson1BatchCreateChannelMembershipCommand
 */
export declare const de_BatchCreateChannelMembershipCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchCreateChannelMembershipCommandOutput>;
/**
 * deserializeAws_restJson1ChannelFlowCallbackCommand
 */
export declare const de_ChannelFlowCallbackCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ChannelFlowCallbackCommandOutput>;
/**
 * deserializeAws_restJson1CreateChannelCommand
 */
export declare const de_CreateChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateChannelCommandOutput>;
/**
 * deserializeAws_restJson1CreateChannelBanCommand
 */
export declare const de_CreateChannelBanCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateChannelBanCommandOutput>;
/**
 * deserializeAws_restJson1CreateChannelFlowCommand
 */
export declare const de_CreateChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateChannelFlowCommandOutput>;
/**
 * deserializeAws_restJson1CreateChannelMembershipCommand
 */
export declare const de_CreateChannelMembershipCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateChannelMembershipCommandOutput>;
/**
 * deserializeAws_restJson1CreateChannelModeratorCommand
 */
export declare const de_CreateChannelModeratorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateChannelModeratorCommandOutput>;
/**
 * deserializeAws_restJson1DeleteChannelCommand
 */
export declare const de_DeleteChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelCommandOutput>;
/**
 * deserializeAws_restJson1DeleteChannelBanCommand
 */
export declare const de_DeleteChannelBanCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelBanCommandOutput>;
/**
 * deserializeAws_restJson1DeleteChannelFlowCommand
 */
export declare const de_DeleteChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelFlowCommandOutput>;
/**
 * deserializeAws_restJson1DeleteChannelMembershipCommand
 */
export declare const de_DeleteChannelMembershipCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelMembershipCommandOutput>;
/**
 * deserializeAws_restJson1DeleteChannelMessageCommand
 */
export declare const de_DeleteChannelMessageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelMessageCommandOutput>;
/**
 * deserializeAws_restJson1DeleteChannelModeratorCommand
 */
export declare const de_DeleteChannelModeratorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteChannelModeratorCommandOutput>;
/**
 * deserializeAws_restJson1DeleteMessagingStreamingConfigurationsCommand
 */
export declare const de_DeleteMessagingStreamingConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMessagingStreamingConfigurationsCommandOutput>;
/**
 * deserializeAws_restJson1DescribeChannelCommand
 */
export declare const de_DescribeChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelCommandOutput>;
/**
 * deserializeAws_restJson1DescribeChannelBanCommand
 */
export declare const de_DescribeChannelBanCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelBanCommandOutput>;
/**
 * deserializeAws_restJson1DescribeChannelFlowCommand
 */
export declare const de_DescribeChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelFlowCommandOutput>;
/**
 * deserializeAws_restJson1DescribeChannelMembershipCommand
 */
export declare const de_DescribeChannelMembershipCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelMembershipCommandOutput>;
/**
 * deserializeAws_restJson1DescribeChannelMembershipForAppInstanceUserCommand
 */
export declare const de_DescribeChannelMembershipForAppInstanceUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelMembershipForAppInstanceUserCommandOutput>;
/**
 * deserializeAws_restJson1DescribeChannelModeratedByAppInstanceUserCommand
 */
export declare const de_DescribeChannelModeratedByAppInstanceUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelModeratedByAppInstanceUserCommandOutput>;
/**
 * deserializeAws_restJson1DescribeChannelModeratorCommand
 */
export declare const de_DescribeChannelModeratorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeChannelModeratorCommandOutput>;
/**
 * deserializeAws_restJson1DisassociateChannelFlowCommand
 */
export declare const de_DisassociateChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateChannelFlowCommandOutput>;
/**
 * deserializeAws_restJson1GetChannelMembershipPreferencesCommand
 */
export declare const de_GetChannelMembershipPreferencesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetChannelMembershipPreferencesCommandOutput>;
/**
 * deserializeAws_restJson1GetChannelMessageCommand
 */
export declare const de_GetChannelMessageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetChannelMessageCommandOutput>;
/**
 * deserializeAws_restJson1GetChannelMessageStatusCommand
 */
export declare const de_GetChannelMessageStatusCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetChannelMessageStatusCommandOutput>;
/**
 * deserializeAws_restJson1GetMessagingSessionEndpointCommand
 */
export declare const de_GetMessagingSessionEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMessagingSessionEndpointCommandOutput>;
/**
 * deserializeAws_restJson1GetMessagingStreamingConfigurationsCommand
 */
export declare const de_GetMessagingStreamingConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMessagingStreamingConfigurationsCommandOutput>;
/**
 * deserializeAws_restJson1ListChannelBansCommand
 */
export declare const de_ListChannelBansCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelBansCommandOutput>;
/**
 * deserializeAws_restJson1ListChannelFlowsCommand
 */
export declare const de_ListChannelFlowsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelFlowsCommandOutput>;
/**
 * deserializeAws_restJson1ListChannelMembershipsCommand
 */
export declare const de_ListChannelMembershipsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelMembershipsCommandOutput>;
/**
 * deserializeAws_restJson1ListChannelMembershipsForAppInstanceUserCommand
 */
export declare const de_ListChannelMembershipsForAppInstanceUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelMembershipsForAppInstanceUserCommandOutput>;
/**
 * deserializeAws_restJson1ListChannelMessagesCommand
 */
export declare const de_ListChannelMessagesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelMessagesCommandOutput>;
/**
 * deserializeAws_restJson1ListChannelModeratorsCommand
 */
export declare const de_ListChannelModeratorsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelModeratorsCommandOutput>;
/**
 * deserializeAws_restJson1ListChannelsCommand
 */
export declare const de_ListChannelsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelsCommandOutput>;
/**
 * deserializeAws_restJson1ListChannelsAssociatedWithChannelFlowCommand
 */
export declare const de_ListChannelsAssociatedWithChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelsAssociatedWithChannelFlowCommandOutput>;
/**
 * deserializeAws_restJson1ListChannelsModeratedByAppInstanceUserCommand
 */
export declare const de_ListChannelsModeratedByAppInstanceUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListChannelsModeratedByAppInstanceUserCommandOutput>;
/**
 * deserializeAws_restJson1ListSubChannelsCommand
 */
export declare const de_ListSubChannelsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListSubChannelsCommandOutput>;
/**
 * deserializeAws_restJson1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_restJson1PutChannelExpirationSettingsCommand
 */
export declare const de_PutChannelExpirationSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutChannelExpirationSettingsCommandOutput>;
/**
 * deserializeAws_restJson1PutChannelMembershipPreferencesCommand
 */
export declare const de_PutChannelMembershipPreferencesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutChannelMembershipPreferencesCommandOutput>;
/**
 * deserializeAws_restJson1PutMessagingStreamingConfigurationsCommand
 */
export declare const de_PutMessagingStreamingConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutMessagingStreamingConfigurationsCommandOutput>;
/**
 * deserializeAws_restJson1RedactChannelMessageCommand
 */
export declare const de_RedactChannelMessageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RedactChannelMessageCommandOutput>;
/**
 * deserializeAws_restJson1SearchChannelsCommand
 */
export declare const de_SearchChannelsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SearchChannelsCommandOutput>;
/**
 * deserializeAws_restJson1SendChannelMessageCommand
 */
export declare const de_SendChannelMessageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SendChannelMessageCommandOutput>;
/**
 * deserializeAws_restJson1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UpdateChannelCommand
 */
export declare const de_UpdateChannelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateChannelCommandOutput>;
/**
 * deserializeAws_restJson1UpdateChannelFlowCommand
 */
export declare const de_UpdateChannelFlowCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateChannelFlowCommandOutput>;
/**
 * deserializeAws_restJson1UpdateChannelMessageCommand
 */
export declare const de_UpdateChannelMessageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateChannelMessageCommandOutput>;
/**
 * deserializeAws_restJson1UpdateChannelReadMarkerCommand
 */
export declare const de_UpdateChannelReadMarkerCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateChannelReadMarkerCommandOutput>;
