import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  CreateChannelFlowRequest,
  CreateChannelFlowResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateChannelFlowCommandInput
  extends CreateChannelFlowRequest {}
export interface CreateChannelFlowCommandOutput
  extends CreateChannelFlowResponse,
    __MetadataBearer {}
export declare class CreateChannelFlowCommand extends $Command<
  CreateChannelFlowCommandInput,
  CreateChannelFlowCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: CreateChannelFlowCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateChannelFlowCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateChannelFlowCommandInput, CreateChannelFlowCommandOutput>;
  private serialize;
  private deserialize;
}
