import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import { DeleteChannelFlowRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteChannelFlowCommandInput
  extends DeleteChannelFlowRequest {}
export interface DeleteChannelFlowCommandOutput extends __MetadataBearer {}
export declare class DeleteChannelFlowCommand extends $Command<
  DeleteChannelFlowCommandInput,
  DeleteChannelFlowCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: DeleteChannelFlowCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteChannelFlowCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteChannelFlowCommandInput, DeleteChannelFlowCommandOutput>;
  private serialize;
  private deserialize;
}
