import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import { DeleteChannelMembershipRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteChannelMembershipCommandInput
  extends DeleteChannelMembershipRequest {}
export interface DeleteChannelMembershipCommandOutput
  extends __MetadataBearer {}
export declare class DeleteChannelMembershipCommand extends $Command<
  DeleteChannelMembershipCommandInput,
  DeleteChannelMembershipCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: DeleteChannelMembershipCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteChannelMembershipCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteChannelMembershipCommandInput,
    DeleteChannelMembershipCommandOutput
  >;
  private serialize;
  private deserialize;
}
