import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import { DeleteChannelMessageRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteChannelMessageCommandInput
  extends DeleteChannelMessageRequest {}
export interface DeleteChannelMessageCommandOutput extends __MetadataBearer {}
export declare class DeleteChannelMessageCommand extends $Command<
  DeleteChannelMessageCommandInput,
  DeleteChannelMessageCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: DeleteChannelMessageCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteChannelMessageCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteChannelMessageCommandInput,
    DeleteChannelMessageCommandOutput
  >;
  private serialize;
  private deserialize;
}
