import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import { DeleteMessagingStreamingConfigurationsRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteMessagingStreamingConfigurationsCommandInput
  extends DeleteMessagingStreamingConfigurationsRequest {}
export interface DeleteMessagingStreamingConfigurationsCommandOutput
  extends __MetadataBearer {}
export declare class DeleteMessagingStreamingConfigurationsCommand extends $Command<
  DeleteMessagingStreamingConfigurationsCommandInput,
  DeleteMessagingStreamingConfigurationsCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: DeleteMessagingStreamingConfigurationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteMessagingStreamingConfigurationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteMessagingStreamingConfigurationsCommandInput,
    DeleteMessagingStreamingConfigurationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
