import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  DescribeChannelMembershipRequest,
  DescribeChannelMembershipResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeChannelMembershipCommandInput
  extends DescribeChannelMembershipRequest {}
export interface DescribeChannelMembershipCommandOutput
  extends DescribeChannelMembershipResponse,
    __MetadataBearer {}
export declare class DescribeChannelMembershipCommand extends $Command<
  DescribeChannelMembershipCommandInput,
  DescribeChannelMembershipCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: DescribeChannelMembershipCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeChannelMembershipCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeChannelMembershipCommandInput,
    DescribeChannelMembershipCommandOutput
  >;
  private serialize;
  private deserialize;
}
