import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  GetChannelMessageStatusRequest,
  GetChannelMessageStatusResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetChannelMessageStatusCommandInput
  extends GetChannelMessageStatusRequest {}
export interface GetChannelMessageStatusCommandOutput
  extends GetChannelMessageStatusResponse,
    __MetadataBearer {}
export declare class GetChannelMessageStatusCommand extends $Command<
  GetChannelMessageStatusCommandInput,
  GetChannelMessageStatusCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: GetChannelMessageStatusCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetChannelMessageStatusCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetChannelMessageStatusCommandInput,
    GetChannelMessageStatusCommandOutput
  >;
  private serialize;
  private deserialize;
}
