import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  GetMessagingStreamingConfigurationsRequest,
  GetMessagingStreamingConfigurationsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetMessagingStreamingConfigurationsCommandInput
  extends GetMessagingStreamingConfigurationsRequest {}
export interface GetMessagingStreamingConfigurationsCommandOutput
  extends GetMessagingStreamingConfigurationsResponse,
    __MetadataBearer {}
export declare class GetMessagingStreamingConfigurationsCommand extends $Command<
  GetMessagingStreamingConfigurationsCommandInput,
  GetMessagingStreamingConfigurationsCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: GetMessagingStreamingConfigurationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetMessagingStreamingConfigurationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetMessagingStreamingConfigurationsCommandInput,
    GetMessagingStreamingConfigurationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
