import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  ListChannelMembershipsRequest,
  ListChannelMembershipsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListChannelMembershipsCommandInput
  extends ListChannelMembershipsRequest {}
export interface ListChannelMembershipsCommandOutput
  extends ListChannelMembershipsResponse,
    __MetadataBearer {}
export declare class ListChannelMembershipsCommand extends $Command<
  ListChannelMembershipsCommandInput,
  ListChannelMembershipsCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: ListChannelMembershipsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListChannelMembershipsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListChannelMembershipsCommandInput,
    ListChannelMembershipsCommandOutput
  >;
  private serialize;
  private deserialize;
}
