import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  ListChannelModeratorsRequest,
  ListChannelModeratorsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListChannelModeratorsCommandInput
  extends ListChannelModeratorsRequest {}
export interface ListChannelModeratorsCommandOutput
  extends ListChannelModeratorsResponse,
    __MetadataBearer {}
export declare class ListChannelModeratorsCommand extends $Command<
  ListChannelModeratorsCommandInput,
  ListChannelModeratorsCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: ListChannelModeratorsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListChannelModeratorsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListChannelModeratorsCommandInput,
    ListChannelModeratorsCommandOutput
  >;
  private serialize;
  private deserialize;
}
