import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  PutChannelExpirationSettingsRequest,
  PutChannelExpirationSettingsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface PutChannelExpirationSettingsCommandInput
  extends PutChannelExpirationSettingsRequest {}
export interface PutChannelExpirationSettingsCommandOutput
  extends PutChannelExpirationSettingsResponse,
    __MetadataBearer {}
export declare class PutChannelExpirationSettingsCommand extends $Command<
  PutChannelExpirationSettingsCommandInput,
  PutChannelExpirationSettingsCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: PutChannelExpirationSettingsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutChannelExpirationSettingsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutChannelExpirationSettingsCommandInput,
    PutChannelExpirationSettingsCommandOutput
  >;
  private serialize;
  private deserialize;
}
