import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKMessagingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKMessagingClient";
import {
  SearchChannelsRequest,
  SearchChannelsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface SearchChannelsCommandInput extends SearchChannelsRequest {}
export interface SearchChannelsCommandOutput
  extends SearchChannelsResponse,
    __MetadataBearer {}
export declare class SearchChannelsCommand extends $Command<
  SearchChannelsCommandInput,
  SearchChannelsCommandOutput,
  ChimeSDKMessagingClientResolvedConfig
> {
  readonly input: SearchChannelsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SearchChannelsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKMessagingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<SearchChannelsCommandInput, SearchChannelsCommandOutput>;
  private serialize;
  private deserialize;
}
