import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AssociateChannelFlowCommandInput,
  AssociateChannelFlowCommandOutput,
} from "../commands/AssociateChannelFlowCommand";
import {
  BatchCreateChannelMembershipCommandInput,
  BatchCreateChannelMembershipCommandOutput,
} from "../commands/BatchCreateChannelMembershipCommand";
import {
  ChannelFlowCallbackCommandInput,
  ChannelFlowCallbackCommandOutput,
} from "../commands/ChannelFlowCallbackCommand";
import {
  CreateChannelBanCommandInput,
  CreateChannelBanCommandOutput,
} from "../commands/CreateChannelBanCommand";
import {
  CreateChannelCommandInput,
  CreateChannelCommandOutput,
} from "../commands/CreateChannelCommand";
import {
  CreateChannelFlowCommandInput,
  CreateChannelFlowCommandOutput,
} from "../commands/CreateChannelFlowCommand";
import {
  CreateChannelMembershipCommandInput,
  CreateChannelMembershipCommandOutput,
} from "../commands/CreateChannelMembershipCommand";
import {
  CreateChannelModeratorCommandInput,
  CreateChannelModeratorCommandOutput,
} from "../commands/CreateChannelModeratorCommand";
import {
  DeleteChannelBanCommandInput,
  DeleteChannelBanCommandOutput,
} from "../commands/DeleteChannelBanCommand";
import {
  DeleteChannelCommandInput,
  DeleteChannelCommandOutput,
} from "../commands/DeleteChannelCommand";
import {
  DeleteChannelFlowCommandInput,
  DeleteChannelFlowCommandOutput,
} from "../commands/DeleteChannelFlowCommand";
import {
  DeleteChannelMembershipCommandInput,
  DeleteChannelMembershipCommandOutput,
} from "../commands/DeleteChannelMembershipCommand";
import {
  DeleteChannelMessageCommandInput,
  DeleteChannelMessageCommandOutput,
} from "../commands/DeleteChannelMessageCommand";
import {
  DeleteChannelModeratorCommandInput,
  DeleteChannelModeratorCommandOutput,
} from "../commands/DeleteChannelModeratorCommand";
import {
  DeleteMessagingStreamingConfigurationsCommandInput,
  DeleteMessagingStreamingConfigurationsCommandOutput,
} from "../commands/DeleteMessagingStreamingConfigurationsCommand";
import {
  DescribeChannelBanCommandInput,
  DescribeChannelBanCommandOutput,
} from "../commands/DescribeChannelBanCommand";
import {
  DescribeChannelCommandInput,
  DescribeChannelCommandOutput,
} from "../commands/DescribeChannelCommand";
import {
  DescribeChannelFlowCommandInput,
  DescribeChannelFlowCommandOutput,
} from "../commands/DescribeChannelFlowCommand";
import {
  DescribeChannelMembershipCommandInput,
  DescribeChannelMembershipCommandOutput,
} from "../commands/DescribeChannelMembershipCommand";
import {
  DescribeChannelMembershipForAppInstanceUserCommandInput,
  DescribeChannelMembershipForAppInstanceUserCommandOutput,
} from "../commands/DescribeChannelMembershipForAppInstanceUserCommand";
import {
  DescribeChannelModeratedByAppInstanceUserCommandInput,
  DescribeChannelModeratedByAppInstanceUserCommandOutput,
} from "../commands/DescribeChannelModeratedByAppInstanceUserCommand";
import {
  DescribeChannelModeratorCommandInput,
  DescribeChannelModeratorCommandOutput,
} from "../commands/DescribeChannelModeratorCommand";
import {
  DisassociateChannelFlowCommandInput,
  DisassociateChannelFlowCommandOutput,
} from "../commands/DisassociateChannelFlowCommand";
import {
  GetChannelMembershipPreferencesCommandInput,
  GetChannelMembershipPreferencesCommandOutput,
} from "../commands/GetChannelMembershipPreferencesCommand";
import {
  GetChannelMessageCommandInput,
  GetChannelMessageCommandOutput,
} from "../commands/GetChannelMessageCommand";
import {
  GetChannelMessageStatusCommandInput,
  GetChannelMessageStatusCommandOutput,
} from "../commands/GetChannelMessageStatusCommand";
import {
  GetMessagingSessionEndpointCommandInput,
  GetMessagingSessionEndpointCommandOutput,
} from "../commands/GetMessagingSessionEndpointCommand";
import {
  GetMessagingStreamingConfigurationsCommandInput,
  GetMessagingStreamingConfigurationsCommandOutput,
} from "../commands/GetMessagingStreamingConfigurationsCommand";
import {
  ListChannelBansCommandInput,
  ListChannelBansCommandOutput,
} from "../commands/ListChannelBansCommand";
import {
  ListChannelFlowsCommandInput,
  ListChannelFlowsCommandOutput,
} from "../commands/ListChannelFlowsCommand";
import {
  ListChannelMembershipsCommandInput,
  ListChannelMembershipsCommandOutput,
} from "../commands/ListChannelMembershipsCommand";
import {
  ListChannelMembershipsForAppInstanceUserCommandInput,
  ListChannelMembershipsForAppInstanceUserCommandOutput,
} from "../commands/ListChannelMembershipsForAppInstanceUserCommand";
import {
  ListChannelMessagesCommandInput,
  ListChannelMessagesCommandOutput,
} from "../commands/ListChannelMessagesCommand";
import {
  ListChannelModeratorsCommandInput,
  ListChannelModeratorsCommandOutput,
} from "../commands/ListChannelModeratorsCommand";
import {
  ListChannelsAssociatedWithChannelFlowCommandInput,
  ListChannelsAssociatedWithChannelFlowCommandOutput,
} from "../commands/ListChannelsAssociatedWithChannelFlowCommand";
import {
  ListChannelsCommandInput,
  ListChannelsCommandOutput,
} from "../commands/ListChannelsCommand";
import {
  ListChannelsModeratedByAppInstanceUserCommandInput,
  ListChannelsModeratedByAppInstanceUserCommandOutput,
} from "../commands/ListChannelsModeratedByAppInstanceUserCommand";
import {
  ListSubChannelsCommandInput,
  ListSubChannelsCommandOutput,
} from "../commands/ListSubChannelsCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  PutChannelExpirationSettingsCommandInput,
  PutChannelExpirationSettingsCommandOutput,
} from "../commands/PutChannelExpirationSettingsCommand";
import {
  PutChannelMembershipPreferencesCommandInput,
  PutChannelMembershipPreferencesCommandOutput,
} from "../commands/PutChannelMembershipPreferencesCommand";
import {
  PutMessagingStreamingConfigurationsCommandInput,
  PutMessagingStreamingConfigurationsCommandOutput,
} from "../commands/PutMessagingStreamingConfigurationsCommand";
import {
  RedactChannelMessageCommandInput,
  RedactChannelMessageCommandOutput,
} from "../commands/RedactChannelMessageCommand";
import {
  SearchChannelsCommandInput,
  SearchChannelsCommandOutput,
} from "../commands/SearchChannelsCommand";
import {
  SendChannelMessageCommandInput,
  SendChannelMessageCommandOutput,
} from "../commands/SendChannelMessageCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateChannelCommandInput,
  UpdateChannelCommandOutput,
} from "../commands/UpdateChannelCommand";
import {
  UpdateChannelFlowCommandInput,
  UpdateChannelFlowCommandOutput,
} from "../commands/UpdateChannelFlowCommand";
import {
  UpdateChannelMessageCommandInput,
  UpdateChannelMessageCommandOutput,
} from "../commands/UpdateChannelMessageCommand";
import {
  UpdateChannelReadMarkerCommandInput,
  UpdateChannelReadMarkerCommandOutput,
} from "../commands/UpdateChannelReadMarkerCommand";
export declare const se_AssociateChannelFlowCommand: (
  input: AssociateChannelFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchCreateChannelMembershipCommand: (
  input: BatchCreateChannelMembershipCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ChannelFlowCallbackCommand: (
  input: ChannelFlowCallbackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateChannelCommand: (
  input: CreateChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateChannelBanCommand: (
  input: CreateChannelBanCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateChannelFlowCommand: (
  input: CreateChannelFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateChannelMembershipCommand: (
  input: CreateChannelMembershipCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateChannelModeratorCommand: (
  input: CreateChannelModeratorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelCommand: (
  input: DeleteChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelBanCommand: (
  input: DeleteChannelBanCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelFlowCommand: (
  input: DeleteChannelFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelMembershipCommand: (
  input: DeleteChannelMembershipCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelMessageCommand: (
  input: DeleteChannelMessageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelModeratorCommand: (
  input: DeleteChannelModeratorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMessagingStreamingConfigurationsCommand: (
  input: DeleteMessagingStreamingConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelCommand: (
  input: DescribeChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelBanCommand: (
  input: DescribeChannelBanCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelFlowCommand: (
  input: DescribeChannelFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelMembershipCommand: (
  input: DescribeChannelMembershipCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelMembershipForAppInstanceUserCommand: (
  input: DescribeChannelMembershipForAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelModeratedByAppInstanceUserCommand: (
  input: DescribeChannelModeratedByAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelModeratorCommand: (
  input: DescribeChannelModeratorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateChannelFlowCommand: (
  input: DisassociateChannelFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetChannelMembershipPreferencesCommand: (
  input: GetChannelMembershipPreferencesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetChannelMessageCommand: (
  input: GetChannelMessageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetChannelMessageStatusCommand: (
  input: GetChannelMessageStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMessagingSessionEndpointCommand: (
  input: GetMessagingSessionEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMessagingStreamingConfigurationsCommand: (
  input: GetMessagingStreamingConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelBansCommand: (
  input: ListChannelBansCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelFlowsCommand: (
  input: ListChannelFlowsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelMembershipsCommand: (
  input: ListChannelMembershipsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelMembershipsForAppInstanceUserCommand: (
  input: ListChannelMembershipsForAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelMessagesCommand: (
  input: ListChannelMessagesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelModeratorsCommand: (
  input: ListChannelModeratorsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelsCommand: (
  input: ListChannelsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelsAssociatedWithChannelFlowCommand: (
  input: ListChannelsAssociatedWithChannelFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelsModeratedByAppInstanceUserCommand: (
  input: ListChannelsModeratedByAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSubChannelsCommand: (
  input: ListSubChannelsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutChannelExpirationSettingsCommand: (
  input: PutChannelExpirationSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutChannelMembershipPreferencesCommand: (
  input: PutChannelMembershipPreferencesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutMessagingStreamingConfigurationsCommand: (
  input: PutMessagingStreamingConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RedactChannelMessageCommand: (
  input: RedactChannelMessageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchChannelsCommand: (
  input: SearchChannelsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SendChannelMessageCommand: (
  input: SendChannelMessageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateChannelCommand: (
  input: UpdateChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateChannelFlowCommand: (
  input: UpdateChannelFlowCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateChannelMessageCommand: (
  input: UpdateChannelMessageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateChannelReadMarkerCommand: (
  input: UpdateChannelReadMarkerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AssociateChannelFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateChannelFlowCommandOutput>;
export declare const de_BatchCreateChannelMembershipCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchCreateChannelMembershipCommandOutput>;
export declare const de_ChannelFlowCallbackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ChannelFlowCallbackCommandOutput>;
export declare const de_CreateChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateChannelCommandOutput>;
export declare const de_CreateChannelBanCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateChannelBanCommandOutput>;
export declare const de_CreateChannelFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateChannelFlowCommandOutput>;
export declare const de_CreateChannelMembershipCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateChannelMembershipCommandOutput>;
export declare const de_CreateChannelModeratorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateChannelModeratorCommandOutput>;
export declare const de_DeleteChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelCommandOutput>;
export declare const de_DeleteChannelBanCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelBanCommandOutput>;
export declare const de_DeleteChannelFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelFlowCommandOutput>;
export declare const de_DeleteChannelMembershipCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelMembershipCommandOutput>;
export declare const de_DeleteChannelMessageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelMessageCommandOutput>;
export declare const de_DeleteChannelModeratorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelModeratorCommandOutput>;
export declare const de_DeleteMessagingStreamingConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMessagingStreamingConfigurationsCommandOutput>;
export declare const de_DescribeChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelCommandOutput>;
export declare const de_DescribeChannelBanCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelBanCommandOutput>;
export declare const de_DescribeChannelFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelFlowCommandOutput>;
export declare const de_DescribeChannelMembershipCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelMembershipCommandOutput>;
export declare const de_DescribeChannelMembershipForAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelMembershipForAppInstanceUserCommandOutput>;
export declare const de_DescribeChannelModeratedByAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelModeratedByAppInstanceUserCommandOutput>;
export declare const de_DescribeChannelModeratorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelModeratorCommandOutput>;
export declare const de_DisassociateChannelFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateChannelFlowCommandOutput>;
export declare const de_GetChannelMembershipPreferencesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetChannelMembershipPreferencesCommandOutput>;
export declare const de_GetChannelMessageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetChannelMessageCommandOutput>;
export declare const de_GetChannelMessageStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetChannelMessageStatusCommandOutput>;
export declare const de_GetMessagingSessionEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMessagingSessionEndpointCommandOutput>;
export declare const de_GetMessagingStreamingConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMessagingStreamingConfigurationsCommandOutput>;
export declare const de_ListChannelBansCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelBansCommandOutput>;
export declare const de_ListChannelFlowsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelFlowsCommandOutput>;
export declare const de_ListChannelMembershipsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelMembershipsCommandOutput>;
export declare const de_ListChannelMembershipsForAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelMembershipsForAppInstanceUserCommandOutput>;
export declare const de_ListChannelMessagesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelMessagesCommandOutput>;
export declare const de_ListChannelModeratorsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelModeratorsCommandOutput>;
export declare const de_ListChannelsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelsCommandOutput>;
export declare const de_ListChannelsAssociatedWithChannelFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelsAssociatedWithChannelFlowCommandOutput>;
export declare const de_ListChannelsModeratedByAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelsModeratedByAppInstanceUserCommandOutput>;
export declare const de_ListSubChannelsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSubChannelsCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_PutChannelExpirationSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutChannelExpirationSettingsCommandOutput>;
export declare const de_PutChannelMembershipPreferencesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutChannelMembershipPreferencesCommandOutput>;
export declare const de_PutMessagingStreamingConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutMessagingStreamingConfigurationsCommandOutput>;
export declare const de_RedactChannelMessageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RedactChannelMessageCommandOutput>;
export declare const de_SearchChannelsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchChannelsCommandOutput>;
export declare const de_SendChannelMessageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SendChannelMessageCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateChannelCommandOutput>;
export declare const de_UpdateChannelFlowCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateChannelFlowCommandOutput>;
export declare const de_UpdateChannelMessageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateChannelMessageCommandOutput>;
export declare const de_UpdateChannelReadMarkerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateChannelReadMarkerCommandOutput>;
