import { ChimeSDKVoiceClient } from "../ChimeSDKVoiceClient";
import { ListSipRulesCommand, } from "../commands/ListSipRulesCommand";
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListSipRulesCommand(input), ...args);
};
export async function* paginateListSipRules(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        input["MaxResults"] = config.pageSize;
        if (config.client instanceof ChimeSDKVoiceClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected ChimeSDKVoice | ChimeSDKVoiceClient");
        }
        yield page;
        const prevToken = token;
        token = page.NextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
