import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { AssociatePhoneNumbersWithVoiceConnectorCommandInput, AssociatePhoneNumbersWithVoiceConnectorCommandOutput } from "../commands/AssociatePhoneNumbersWithVoiceConnectorCommand";
import { AssociatePhoneNumbersWithVoiceConnectorGroupCommandInput, AssociatePhoneNumbersWithVoiceConnectorGroupCommandOutput } from "../commands/AssociatePhoneNumbersWithVoiceConnectorGroupCommand";
import { BatchDeletePhoneNumberCommandInput, BatchDeletePhoneNumberCommandOutput } from "../commands/BatchDeletePhoneNumberCommand";
import { BatchUpdatePhoneNumberCommandInput, BatchUpdatePhoneNumberCommandOutput } from "../commands/BatchUpdatePhoneNumberCommand";
import { CreatePhoneNumberOrderCommandInput, CreatePhoneNumberOrderCommandOutput } from "../commands/CreatePhoneNumberOrderCommand";
import { CreateProxySessionCommandInput, CreateProxySessionCommandOutput } from "../commands/CreateProxySessionCommand";
import { CreateSipMediaApplicationCallCommandInput, CreateSipMediaApplicationCallCommandOutput } from "../commands/CreateSipMediaApplicationCallCommand";
import { CreateSipMediaApplicationCommandInput, CreateSipMediaApplicationCommandOutput } from "../commands/CreateSipMediaApplicationCommand";
import { CreateSipRuleCommandInput, CreateSipRuleCommandOutput } from "../commands/CreateSipRuleCommand";
import { CreateVoiceConnectorCommandInput, CreateVoiceConnectorCommandOutput } from "../commands/CreateVoiceConnectorCommand";
import { CreateVoiceConnectorGroupCommandInput, CreateVoiceConnectorGroupCommandOutput } from "../commands/CreateVoiceConnectorGroupCommand";
import { CreateVoiceProfileCommandInput, CreateVoiceProfileCommandOutput } from "../commands/CreateVoiceProfileCommand";
import { CreateVoiceProfileDomainCommandInput, CreateVoiceProfileDomainCommandOutput } from "../commands/CreateVoiceProfileDomainCommand";
import { DeletePhoneNumberCommandInput, DeletePhoneNumberCommandOutput } from "../commands/DeletePhoneNumberCommand";
import { DeleteProxySessionCommandInput, DeleteProxySessionCommandOutput } from "../commands/DeleteProxySessionCommand";
import { DeleteSipMediaApplicationCommandInput, DeleteSipMediaApplicationCommandOutput } from "../commands/DeleteSipMediaApplicationCommand";
import { DeleteSipRuleCommandInput, DeleteSipRuleCommandOutput } from "../commands/DeleteSipRuleCommand";
import { DeleteVoiceConnectorCommandInput, DeleteVoiceConnectorCommandOutput } from "../commands/DeleteVoiceConnectorCommand";
import { DeleteVoiceConnectorEmergencyCallingConfigurationCommandInput, DeleteVoiceConnectorEmergencyCallingConfigurationCommandOutput } from "../commands/DeleteVoiceConnectorEmergencyCallingConfigurationCommand";
import { DeleteVoiceConnectorGroupCommandInput, DeleteVoiceConnectorGroupCommandOutput } from "../commands/DeleteVoiceConnectorGroupCommand";
import { DeleteVoiceConnectorOriginationCommandInput, DeleteVoiceConnectorOriginationCommandOutput } from "../commands/DeleteVoiceConnectorOriginationCommand";
import { DeleteVoiceConnectorProxyCommandInput, DeleteVoiceConnectorProxyCommandOutput } from "../commands/DeleteVoiceConnectorProxyCommand";
import { DeleteVoiceConnectorStreamingConfigurationCommandInput, DeleteVoiceConnectorStreamingConfigurationCommandOutput } from "../commands/DeleteVoiceConnectorStreamingConfigurationCommand";
import { DeleteVoiceConnectorTerminationCommandInput, DeleteVoiceConnectorTerminationCommandOutput } from "../commands/DeleteVoiceConnectorTerminationCommand";
import { DeleteVoiceConnectorTerminationCredentialsCommandInput, DeleteVoiceConnectorTerminationCredentialsCommandOutput } from "../commands/DeleteVoiceConnectorTerminationCredentialsCommand";
import { DeleteVoiceProfileCommandInput, DeleteVoiceProfileCommandOutput } from "../commands/DeleteVoiceProfileCommand";
import { DeleteVoiceProfileDomainCommandInput, DeleteVoiceProfileDomainCommandOutput } from "../commands/DeleteVoiceProfileDomainCommand";
import { DisassociatePhoneNumbersFromVoiceConnectorCommandInput, DisassociatePhoneNumbersFromVoiceConnectorCommandOutput } from "../commands/DisassociatePhoneNumbersFromVoiceConnectorCommand";
import { DisassociatePhoneNumbersFromVoiceConnectorGroupCommandInput, DisassociatePhoneNumbersFromVoiceConnectorGroupCommandOutput } from "../commands/DisassociatePhoneNumbersFromVoiceConnectorGroupCommand";
import { GetGlobalSettingsCommandInput, GetGlobalSettingsCommandOutput } from "../commands/GetGlobalSettingsCommand";
import { GetPhoneNumberCommandInput, GetPhoneNumberCommandOutput } from "../commands/GetPhoneNumberCommand";
import { GetPhoneNumberOrderCommandInput, GetPhoneNumberOrderCommandOutput } from "../commands/GetPhoneNumberOrderCommand";
import { GetPhoneNumberSettingsCommandInput, GetPhoneNumberSettingsCommandOutput } from "../commands/GetPhoneNumberSettingsCommand";
import { GetProxySessionCommandInput, GetProxySessionCommandOutput } from "../commands/GetProxySessionCommand";
import { GetSipMediaApplicationAlexaSkillConfigurationCommandInput, GetSipMediaApplicationAlexaSkillConfigurationCommandOutput } from "../commands/GetSipMediaApplicationAlexaSkillConfigurationCommand";
import { GetSipMediaApplicationCommandInput, GetSipMediaApplicationCommandOutput } from "../commands/GetSipMediaApplicationCommand";
import { GetSipMediaApplicationLoggingConfigurationCommandInput, GetSipMediaApplicationLoggingConfigurationCommandOutput } from "../commands/GetSipMediaApplicationLoggingConfigurationCommand";
import { GetSipRuleCommandInput, GetSipRuleCommandOutput } from "../commands/GetSipRuleCommand";
import { GetSpeakerSearchTaskCommandInput, GetSpeakerSearchTaskCommandOutput } from "../commands/GetSpeakerSearchTaskCommand";
import { GetVoiceConnectorCommandInput, GetVoiceConnectorCommandOutput } from "../commands/GetVoiceConnectorCommand";
import { GetVoiceConnectorEmergencyCallingConfigurationCommandInput, GetVoiceConnectorEmergencyCallingConfigurationCommandOutput } from "../commands/GetVoiceConnectorEmergencyCallingConfigurationCommand";
import { GetVoiceConnectorGroupCommandInput, GetVoiceConnectorGroupCommandOutput } from "../commands/GetVoiceConnectorGroupCommand";
import { GetVoiceConnectorLoggingConfigurationCommandInput, GetVoiceConnectorLoggingConfigurationCommandOutput } from "../commands/GetVoiceConnectorLoggingConfigurationCommand";
import { GetVoiceConnectorOriginationCommandInput, GetVoiceConnectorOriginationCommandOutput } from "../commands/GetVoiceConnectorOriginationCommand";
import { GetVoiceConnectorProxyCommandInput, GetVoiceConnectorProxyCommandOutput } from "../commands/GetVoiceConnectorProxyCommand";
import { GetVoiceConnectorStreamingConfigurationCommandInput, GetVoiceConnectorStreamingConfigurationCommandOutput } from "../commands/GetVoiceConnectorStreamingConfigurationCommand";
import { GetVoiceConnectorTerminationCommandInput, GetVoiceConnectorTerminationCommandOutput } from "../commands/GetVoiceConnectorTerminationCommand";
import { GetVoiceConnectorTerminationHealthCommandInput, GetVoiceConnectorTerminationHealthCommandOutput } from "../commands/GetVoiceConnectorTerminationHealthCommand";
import { GetVoiceProfileCommandInput, GetVoiceProfileCommandOutput } from "../commands/GetVoiceProfileCommand";
import { GetVoiceProfileDomainCommandInput, GetVoiceProfileDomainCommandOutput } from "../commands/GetVoiceProfileDomainCommand";
import { GetVoiceToneAnalysisTaskCommandInput, GetVoiceToneAnalysisTaskCommandOutput } from "../commands/GetVoiceToneAnalysisTaskCommand";
import { ListAvailableVoiceConnectorRegionsCommandInput, ListAvailableVoiceConnectorRegionsCommandOutput } from "../commands/ListAvailableVoiceConnectorRegionsCommand";
import { ListPhoneNumberOrdersCommandInput, ListPhoneNumberOrdersCommandOutput } from "../commands/ListPhoneNumberOrdersCommand";
import { ListPhoneNumbersCommandInput, ListPhoneNumbersCommandOutput } from "../commands/ListPhoneNumbersCommand";
import { ListProxySessionsCommandInput, ListProxySessionsCommandOutput } from "../commands/ListProxySessionsCommand";
import { ListSipMediaApplicationsCommandInput, ListSipMediaApplicationsCommandOutput } from "../commands/ListSipMediaApplicationsCommand";
import { ListSipRulesCommandInput, ListSipRulesCommandOutput } from "../commands/ListSipRulesCommand";
import { ListSupportedPhoneNumberCountriesCommandInput, ListSupportedPhoneNumberCountriesCommandOutput } from "../commands/ListSupportedPhoneNumberCountriesCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { ListVoiceConnectorGroupsCommandInput, ListVoiceConnectorGroupsCommandOutput } from "../commands/ListVoiceConnectorGroupsCommand";
import { ListVoiceConnectorsCommandInput, ListVoiceConnectorsCommandOutput } from "../commands/ListVoiceConnectorsCommand";
import { ListVoiceConnectorTerminationCredentialsCommandInput, ListVoiceConnectorTerminationCredentialsCommandOutput } from "../commands/ListVoiceConnectorTerminationCredentialsCommand";
import { ListVoiceProfileDomainsCommandInput, ListVoiceProfileDomainsCommandOutput } from "../commands/ListVoiceProfileDomainsCommand";
import { ListVoiceProfilesCommandInput, ListVoiceProfilesCommandOutput } from "../commands/ListVoiceProfilesCommand";
import { PutSipMediaApplicationAlexaSkillConfigurationCommandInput, PutSipMediaApplicationAlexaSkillConfigurationCommandOutput } from "../commands/PutSipMediaApplicationAlexaSkillConfigurationCommand";
import { PutSipMediaApplicationLoggingConfigurationCommandInput, PutSipMediaApplicationLoggingConfigurationCommandOutput } from "../commands/PutSipMediaApplicationLoggingConfigurationCommand";
import { PutVoiceConnectorEmergencyCallingConfigurationCommandInput, PutVoiceConnectorEmergencyCallingConfigurationCommandOutput } from "../commands/PutVoiceConnectorEmergencyCallingConfigurationCommand";
import { PutVoiceConnectorLoggingConfigurationCommandInput, PutVoiceConnectorLoggingConfigurationCommandOutput } from "../commands/PutVoiceConnectorLoggingConfigurationCommand";
import { PutVoiceConnectorOriginationCommandInput, PutVoiceConnectorOriginationCommandOutput } from "../commands/PutVoiceConnectorOriginationCommand";
import { PutVoiceConnectorProxyCommandInput, PutVoiceConnectorProxyCommandOutput } from "../commands/PutVoiceConnectorProxyCommand";
import { PutVoiceConnectorStreamingConfigurationCommandInput, PutVoiceConnectorStreamingConfigurationCommandOutput } from "../commands/PutVoiceConnectorStreamingConfigurationCommand";
import { PutVoiceConnectorTerminationCommandInput, PutVoiceConnectorTerminationCommandOutput } from "../commands/PutVoiceConnectorTerminationCommand";
import { PutVoiceConnectorTerminationCredentialsCommandInput, PutVoiceConnectorTerminationCredentialsCommandOutput } from "../commands/PutVoiceConnectorTerminationCredentialsCommand";
import { RestorePhoneNumberCommandInput, RestorePhoneNumberCommandOutput } from "../commands/RestorePhoneNumberCommand";
import { SearchAvailablePhoneNumbersCommandInput, SearchAvailablePhoneNumbersCommandOutput } from "../commands/SearchAvailablePhoneNumbersCommand";
import { StartSpeakerSearchTaskCommandInput, StartSpeakerSearchTaskCommandOutput } from "../commands/StartSpeakerSearchTaskCommand";
import { StartVoiceToneAnalysisTaskCommandInput, StartVoiceToneAnalysisTaskCommandOutput } from "../commands/StartVoiceToneAnalysisTaskCommand";
import { StopSpeakerSearchTaskCommandInput, StopSpeakerSearchTaskCommandOutput } from "../commands/StopSpeakerSearchTaskCommand";
import { StopVoiceToneAnalysisTaskCommandInput, StopVoiceToneAnalysisTaskCommandOutput } from "../commands/StopVoiceToneAnalysisTaskCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateGlobalSettingsCommandInput, UpdateGlobalSettingsCommandOutput } from "../commands/UpdateGlobalSettingsCommand";
import { UpdatePhoneNumberCommandInput, UpdatePhoneNumberCommandOutput } from "../commands/UpdatePhoneNumberCommand";
import { UpdatePhoneNumberSettingsCommandInput, UpdatePhoneNumberSettingsCommandOutput } from "../commands/UpdatePhoneNumberSettingsCommand";
import { UpdateProxySessionCommandInput, UpdateProxySessionCommandOutput } from "../commands/UpdateProxySessionCommand";
import { UpdateSipMediaApplicationCallCommandInput, UpdateSipMediaApplicationCallCommandOutput } from "../commands/UpdateSipMediaApplicationCallCommand";
import { UpdateSipMediaApplicationCommandInput, UpdateSipMediaApplicationCommandOutput } from "../commands/UpdateSipMediaApplicationCommand";
import { UpdateSipRuleCommandInput, UpdateSipRuleCommandOutput } from "../commands/UpdateSipRuleCommand";
import { UpdateVoiceConnectorCommandInput, UpdateVoiceConnectorCommandOutput } from "../commands/UpdateVoiceConnectorCommand";
import { UpdateVoiceConnectorGroupCommandInput, UpdateVoiceConnectorGroupCommandOutput } from "../commands/UpdateVoiceConnectorGroupCommand";
import { UpdateVoiceProfileCommandInput, UpdateVoiceProfileCommandOutput } from "../commands/UpdateVoiceProfileCommand";
import { UpdateVoiceProfileDomainCommandInput, UpdateVoiceProfileDomainCommandOutput } from "../commands/UpdateVoiceProfileDomainCommand";
import { ValidateE911AddressCommandInput, ValidateE911AddressCommandOutput } from "../commands/ValidateE911AddressCommand";
/**
 * serializeAws_restJson1AssociatePhoneNumbersWithVoiceConnectorCommand
 */
export declare const se_AssociatePhoneNumbersWithVoiceConnectorCommand: (input: AssociatePhoneNumbersWithVoiceConnectorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1AssociatePhoneNumbersWithVoiceConnectorGroupCommand
 */
export declare const se_AssociatePhoneNumbersWithVoiceConnectorGroupCommand: (input: AssociatePhoneNumbersWithVoiceConnectorGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1BatchDeletePhoneNumberCommand
 */
export declare const se_BatchDeletePhoneNumberCommand: (input: BatchDeletePhoneNumberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1BatchUpdatePhoneNumberCommand
 */
export declare const se_BatchUpdatePhoneNumberCommand: (input: BatchUpdatePhoneNumberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreatePhoneNumberOrderCommand
 */
export declare const se_CreatePhoneNumberOrderCommand: (input: CreatePhoneNumberOrderCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateProxySessionCommand
 */
export declare const se_CreateProxySessionCommand: (input: CreateProxySessionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateSipMediaApplicationCommand
 */
export declare const se_CreateSipMediaApplicationCommand: (input: CreateSipMediaApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateSipMediaApplicationCallCommand
 */
export declare const se_CreateSipMediaApplicationCallCommand: (input: CreateSipMediaApplicationCallCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateSipRuleCommand
 */
export declare const se_CreateSipRuleCommand: (input: CreateSipRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateVoiceConnectorCommand
 */
export declare const se_CreateVoiceConnectorCommand: (input: CreateVoiceConnectorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateVoiceConnectorGroupCommand
 */
export declare const se_CreateVoiceConnectorGroupCommand: (input: CreateVoiceConnectorGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateVoiceProfileCommand
 */
export declare const se_CreateVoiceProfileCommand: (input: CreateVoiceProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateVoiceProfileDomainCommand
 */
export declare const se_CreateVoiceProfileDomainCommand: (input: CreateVoiceProfileDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeletePhoneNumberCommand
 */
export declare const se_DeletePhoneNumberCommand: (input: DeletePhoneNumberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteProxySessionCommand
 */
export declare const se_DeleteProxySessionCommand: (input: DeleteProxySessionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteSipMediaApplicationCommand
 */
export declare const se_DeleteSipMediaApplicationCommand: (input: DeleteSipMediaApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteSipRuleCommand
 */
export declare const se_DeleteSipRuleCommand: (input: DeleteSipRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteVoiceConnectorCommand
 */
export declare const se_DeleteVoiceConnectorCommand: (input: DeleteVoiceConnectorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteVoiceConnectorEmergencyCallingConfigurationCommand
 */
export declare const se_DeleteVoiceConnectorEmergencyCallingConfigurationCommand: (input: DeleteVoiceConnectorEmergencyCallingConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteVoiceConnectorGroupCommand
 */
export declare const se_DeleteVoiceConnectorGroupCommand: (input: DeleteVoiceConnectorGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteVoiceConnectorOriginationCommand
 */
export declare const se_DeleteVoiceConnectorOriginationCommand: (input: DeleteVoiceConnectorOriginationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteVoiceConnectorProxyCommand
 */
export declare const se_DeleteVoiceConnectorProxyCommand: (input: DeleteVoiceConnectorProxyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteVoiceConnectorStreamingConfigurationCommand
 */
export declare const se_DeleteVoiceConnectorStreamingConfigurationCommand: (input: DeleteVoiceConnectorStreamingConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteVoiceConnectorTerminationCommand
 */
export declare const se_DeleteVoiceConnectorTerminationCommand: (input: DeleteVoiceConnectorTerminationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteVoiceConnectorTerminationCredentialsCommand
 */
export declare const se_DeleteVoiceConnectorTerminationCredentialsCommand: (input: DeleteVoiceConnectorTerminationCredentialsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteVoiceProfileCommand
 */
export declare const se_DeleteVoiceProfileCommand: (input: DeleteVoiceProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteVoiceProfileDomainCommand
 */
export declare const se_DeleteVoiceProfileDomainCommand: (input: DeleteVoiceProfileDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DisassociatePhoneNumbersFromVoiceConnectorCommand
 */
export declare const se_DisassociatePhoneNumbersFromVoiceConnectorCommand: (input: DisassociatePhoneNumbersFromVoiceConnectorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DisassociatePhoneNumbersFromVoiceConnectorGroupCommand
 */
export declare const se_DisassociatePhoneNumbersFromVoiceConnectorGroupCommand: (input: DisassociatePhoneNumbersFromVoiceConnectorGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetGlobalSettingsCommand
 */
export declare const se_GetGlobalSettingsCommand: (input: GetGlobalSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetPhoneNumberCommand
 */
export declare const se_GetPhoneNumberCommand: (input: GetPhoneNumberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetPhoneNumberOrderCommand
 */
export declare const se_GetPhoneNumberOrderCommand: (input: GetPhoneNumberOrderCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetPhoneNumberSettingsCommand
 */
export declare const se_GetPhoneNumberSettingsCommand: (input: GetPhoneNumberSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetProxySessionCommand
 */
export declare const se_GetProxySessionCommand: (input: GetProxySessionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetSipMediaApplicationCommand
 */
export declare const se_GetSipMediaApplicationCommand: (input: GetSipMediaApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetSipMediaApplicationAlexaSkillConfigurationCommand
 */
export declare const se_GetSipMediaApplicationAlexaSkillConfigurationCommand: (input: GetSipMediaApplicationAlexaSkillConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetSipMediaApplicationLoggingConfigurationCommand
 */
export declare const se_GetSipMediaApplicationLoggingConfigurationCommand: (input: GetSipMediaApplicationLoggingConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetSipRuleCommand
 */
export declare const se_GetSipRuleCommand: (input: GetSipRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetSpeakerSearchTaskCommand
 */
export declare const se_GetSpeakerSearchTaskCommand: (input: GetSpeakerSearchTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVoiceConnectorCommand
 */
export declare const se_GetVoiceConnectorCommand: (input: GetVoiceConnectorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVoiceConnectorEmergencyCallingConfigurationCommand
 */
export declare const se_GetVoiceConnectorEmergencyCallingConfigurationCommand: (input: GetVoiceConnectorEmergencyCallingConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVoiceConnectorGroupCommand
 */
export declare const se_GetVoiceConnectorGroupCommand: (input: GetVoiceConnectorGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVoiceConnectorLoggingConfigurationCommand
 */
export declare const se_GetVoiceConnectorLoggingConfigurationCommand: (input: GetVoiceConnectorLoggingConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVoiceConnectorOriginationCommand
 */
export declare const se_GetVoiceConnectorOriginationCommand: (input: GetVoiceConnectorOriginationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVoiceConnectorProxyCommand
 */
export declare const se_GetVoiceConnectorProxyCommand: (input: GetVoiceConnectorProxyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVoiceConnectorStreamingConfigurationCommand
 */
export declare const se_GetVoiceConnectorStreamingConfigurationCommand: (input: GetVoiceConnectorStreamingConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVoiceConnectorTerminationCommand
 */
export declare const se_GetVoiceConnectorTerminationCommand: (input: GetVoiceConnectorTerminationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVoiceConnectorTerminationHealthCommand
 */
export declare const se_GetVoiceConnectorTerminationHealthCommand: (input: GetVoiceConnectorTerminationHealthCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVoiceProfileCommand
 */
export declare const se_GetVoiceProfileCommand: (input: GetVoiceProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVoiceProfileDomainCommand
 */
export declare const se_GetVoiceProfileDomainCommand: (input: GetVoiceProfileDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVoiceToneAnalysisTaskCommand
 */
export declare const se_GetVoiceToneAnalysisTaskCommand: (input: GetVoiceToneAnalysisTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListAvailableVoiceConnectorRegionsCommand
 */
export declare const se_ListAvailableVoiceConnectorRegionsCommand: (input: ListAvailableVoiceConnectorRegionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListPhoneNumberOrdersCommand
 */
export declare const se_ListPhoneNumberOrdersCommand: (input: ListPhoneNumberOrdersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListPhoneNumbersCommand
 */
export declare const se_ListPhoneNumbersCommand: (input: ListPhoneNumbersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListProxySessionsCommand
 */
export declare const se_ListProxySessionsCommand: (input: ListProxySessionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListSipMediaApplicationsCommand
 */
export declare const se_ListSipMediaApplicationsCommand: (input: ListSipMediaApplicationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListSipRulesCommand
 */
export declare const se_ListSipRulesCommand: (input: ListSipRulesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListSupportedPhoneNumberCountriesCommand
 */
export declare const se_ListSupportedPhoneNumberCountriesCommand: (input: ListSupportedPhoneNumberCountriesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListVoiceConnectorGroupsCommand
 */
export declare const se_ListVoiceConnectorGroupsCommand: (input: ListVoiceConnectorGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListVoiceConnectorsCommand
 */
export declare const se_ListVoiceConnectorsCommand: (input: ListVoiceConnectorsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListVoiceConnectorTerminationCredentialsCommand
 */
export declare const se_ListVoiceConnectorTerminationCredentialsCommand: (input: ListVoiceConnectorTerminationCredentialsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListVoiceProfileDomainsCommand
 */
export declare const se_ListVoiceProfileDomainsCommand: (input: ListVoiceProfileDomainsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListVoiceProfilesCommand
 */
export declare const se_ListVoiceProfilesCommand: (input: ListVoiceProfilesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutSipMediaApplicationAlexaSkillConfigurationCommand
 */
export declare const se_PutSipMediaApplicationAlexaSkillConfigurationCommand: (input: PutSipMediaApplicationAlexaSkillConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutSipMediaApplicationLoggingConfigurationCommand
 */
export declare const se_PutSipMediaApplicationLoggingConfigurationCommand: (input: PutSipMediaApplicationLoggingConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutVoiceConnectorEmergencyCallingConfigurationCommand
 */
export declare const se_PutVoiceConnectorEmergencyCallingConfigurationCommand: (input: PutVoiceConnectorEmergencyCallingConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutVoiceConnectorLoggingConfigurationCommand
 */
export declare const se_PutVoiceConnectorLoggingConfigurationCommand: (input: PutVoiceConnectorLoggingConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutVoiceConnectorOriginationCommand
 */
export declare const se_PutVoiceConnectorOriginationCommand: (input: PutVoiceConnectorOriginationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutVoiceConnectorProxyCommand
 */
export declare const se_PutVoiceConnectorProxyCommand: (input: PutVoiceConnectorProxyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutVoiceConnectorStreamingConfigurationCommand
 */
export declare const se_PutVoiceConnectorStreamingConfigurationCommand: (input: PutVoiceConnectorStreamingConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutVoiceConnectorTerminationCommand
 */
export declare const se_PutVoiceConnectorTerminationCommand: (input: PutVoiceConnectorTerminationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutVoiceConnectorTerminationCredentialsCommand
 */
export declare const se_PutVoiceConnectorTerminationCredentialsCommand: (input: PutVoiceConnectorTerminationCredentialsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1RestorePhoneNumberCommand
 */
export declare const se_RestorePhoneNumberCommand: (input: RestorePhoneNumberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1SearchAvailablePhoneNumbersCommand
 */
export declare const se_SearchAvailablePhoneNumbersCommand: (input: SearchAvailablePhoneNumbersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StartSpeakerSearchTaskCommand
 */
export declare const se_StartSpeakerSearchTaskCommand: (input: StartSpeakerSearchTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StartVoiceToneAnalysisTaskCommand
 */
export declare const se_StartVoiceToneAnalysisTaskCommand: (input: StartVoiceToneAnalysisTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StopSpeakerSearchTaskCommand
 */
export declare const se_StopSpeakerSearchTaskCommand: (input: StopSpeakerSearchTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StopVoiceToneAnalysisTaskCommand
 */
export declare const se_StopVoiceToneAnalysisTaskCommand: (input: StopVoiceToneAnalysisTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateGlobalSettingsCommand
 */
export declare const se_UpdateGlobalSettingsCommand: (input: UpdateGlobalSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdatePhoneNumberCommand
 */
export declare const se_UpdatePhoneNumberCommand: (input: UpdatePhoneNumberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdatePhoneNumberSettingsCommand
 */
export declare const se_UpdatePhoneNumberSettingsCommand: (input: UpdatePhoneNumberSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateProxySessionCommand
 */
export declare const se_UpdateProxySessionCommand: (input: UpdateProxySessionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateSipMediaApplicationCommand
 */
export declare const se_UpdateSipMediaApplicationCommand: (input: UpdateSipMediaApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateSipMediaApplicationCallCommand
 */
export declare const se_UpdateSipMediaApplicationCallCommand: (input: UpdateSipMediaApplicationCallCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateSipRuleCommand
 */
export declare const se_UpdateSipRuleCommand: (input: UpdateSipRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateVoiceConnectorCommand
 */
export declare const se_UpdateVoiceConnectorCommand: (input: UpdateVoiceConnectorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateVoiceConnectorGroupCommand
 */
export declare const se_UpdateVoiceConnectorGroupCommand: (input: UpdateVoiceConnectorGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateVoiceProfileCommand
 */
export declare const se_UpdateVoiceProfileCommand: (input: UpdateVoiceProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateVoiceProfileDomainCommand
 */
export declare const se_UpdateVoiceProfileDomainCommand: (input: UpdateVoiceProfileDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ValidateE911AddressCommand
 */
export declare const se_ValidateE911AddressCommand: (input: ValidateE911AddressCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restJson1AssociatePhoneNumbersWithVoiceConnectorCommand
 */
export declare const de_AssociatePhoneNumbersWithVoiceConnectorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociatePhoneNumbersWithVoiceConnectorCommandOutput>;
/**
 * deserializeAws_restJson1AssociatePhoneNumbersWithVoiceConnectorGroupCommand
 */
export declare const de_AssociatePhoneNumbersWithVoiceConnectorGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociatePhoneNumbersWithVoiceConnectorGroupCommandOutput>;
/**
 * deserializeAws_restJson1BatchDeletePhoneNumberCommand
 */
export declare const de_BatchDeletePhoneNumberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchDeletePhoneNumberCommandOutput>;
/**
 * deserializeAws_restJson1BatchUpdatePhoneNumberCommand
 */
export declare const de_BatchUpdatePhoneNumberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchUpdatePhoneNumberCommandOutput>;
/**
 * deserializeAws_restJson1CreatePhoneNumberOrderCommand
 */
export declare const de_CreatePhoneNumberOrderCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreatePhoneNumberOrderCommandOutput>;
/**
 * deserializeAws_restJson1CreateProxySessionCommand
 */
export declare const de_CreateProxySessionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateProxySessionCommandOutput>;
/**
 * deserializeAws_restJson1CreateSipMediaApplicationCommand
 */
export declare const de_CreateSipMediaApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateSipMediaApplicationCommandOutput>;
/**
 * deserializeAws_restJson1CreateSipMediaApplicationCallCommand
 */
export declare const de_CreateSipMediaApplicationCallCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateSipMediaApplicationCallCommandOutput>;
/**
 * deserializeAws_restJson1CreateSipRuleCommand
 */
export declare const de_CreateSipRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateSipRuleCommandOutput>;
/**
 * deserializeAws_restJson1CreateVoiceConnectorCommand
 */
export declare const de_CreateVoiceConnectorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateVoiceConnectorCommandOutput>;
/**
 * deserializeAws_restJson1CreateVoiceConnectorGroupCommand
 */
export declare const de_CreateVoiceConnectorGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateVoiceConnectorGroupCommandOutput>;
/**
 * deserializeAws_restJson1CreateVoiceProfileCommand
 */
export declare const de_CreateVoiceProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateVoiceProfileCommandOutput>;
/**
 * deserializeAws_restJson1CreateVoiceProfileDomainCommand
 */
export declare const de_CreateVoiceProfileDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateVoiceProfileDomainCommandOutput>;
/**
 * deserializeAws_restJson1DeletePhoneNumberCommand
 */
export declare const de_DeletePhoneNumberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeletePhoneNumberCommandOutput>;
/**
 * deserializeAws_restJson1DeleteProxySessionCommand
 */
export declare const de_DeleteProxySessionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteProxySessionCommandOutput>;
/**
 * deserializeAws_restJson1DeleteSipMediaApplicationCommand
 */
export declare const de_DeleteSipMediaApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteSipMediaApplicationCommandOutput>;
/**
 * deserializeAws_restJson1DeleteSipRuleCommand
 */
export declare const de_DeleteSipRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteSipRuleCommandOutput>;
/**
 * deserializeAws_restJson1DeleteVoiceConnectorCommand
 */
export declare const de_DeleteVoiceConnectorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVoiceConnectorCommandOutput>;
/**
 * deserializeAws_restJson1DeleteVoiceConnectorEmergencyCallingConfigurationCommand
 */
export declare const de_DeleteVoiceConnectorEmergencyCallingConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVoiceConnectorEmergencyCallingConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1DeleteVoiceConnectorGroupCommand
 */
export declare const de_DeleteVoiceConnectorGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVoiceConnectorGroupCommandOutput>;
/**
 * deserializeAws_restJson1DeleteVoiceConnectorOriginationCommand
 */
export declare const de_DeleteVoiceConnectorOriginationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVoiceConnectorOriginationCommandOutput>;
/**
 * deserializeAws_restJson1DeleteVoiceConnectorProxyCommand
 */
export declare const de_DeleteVoiceConnectorProxyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVoiceConnectorProxyCommandOutput>;
/**
 * deserializeAws_restJson1DeleteVoiceConnectorStreamingConfigurationCommand
 */
export declare const de_DeleteVoiceConnectorStreamingConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVoiceConnectorStreamingConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1DeleteVoiceConnectorTerminationCommand
 */
export declare const de_DeleteVoiceConnectorTerminationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVoiceConnectorTerminationCommandOutput>;
/**
 * deserializeAws_restJson1DeleteVoiceConnectorTerminationCredentialsCommand
 */
export declare const de_DeleteVoiceConnectorTerminationCredentialsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVoiceConnectorTerminationCredentialsCommandOutput>;
/**
 * deserializeAws_restJson1DeleteVoiceProfileCommand
 */
export declare const de_DeleteVoiceProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVoiceProfileCommandOutput>;
/**
 * deserializeAws_restJson1DeleteVoiceProfileDomainCommand
 */
export declare const de_DeleteVoiceProfileDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVoiceProfileDomainCommandOutput>;
/**
 * deserializeAws_restJson1DisassociatePhoneNumbersFromVoiceConnectorCommand
 */
export declare const de_DisassociatePhoneNumbersFromVoiceConnectorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociatePhoneNumbersFromVoiceConnectorCommandOutput>;
/**
 * deserializeAws_restJson1DisassociatePhoneNumbersFromVoiceConnectorGroupCommand
 */
export declare const de_DisassociatePhoneNumbersFromVoiceConnectorGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociatePhoneNumbersFromVoiceConnectorGroupCommandOutput>;
/**
 * deserializeAws_restJson1GetGlobalSettingsCommand
 */
export declare const de_GetGlobalSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetGlobalSettingsCommandOutput>;
/**
 * deserializeAws_restJson1GetPhoneNumberCommand
 */
export declare const de_GetPhoneNumberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetPhoneNumberCommandOutput>;
/**
 * deserializeAws_restJson1GetPhoneNumberOrderCommand
 */
export declare const de_GetPhoneNumberOrderCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetPhoneNumberOrderCommandOutput>;
/**
 * deserializeAws_restJson1GetPhoneNumberSettingsCommand
 */
export declare const de_GetPhoneNumberSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetPhoneNumberSettingsCommandOutput>;
/**
 * deserializeAws_restJson1GetProxySessionCommand
 */
export declare const de_GetProxySessionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetProxySessionCommandOutput>;
/**
 * deserializeAws_restJson1GetSipMediaApplicationCommand
 */
export declare const de_GetSipMediaApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSipMediaApplicationCommandOutput>;
/**
 * deserializeAws_restJson1GetSipMediaApplicationAlexaSkillConfigurationCommand
 */
export declare const de_GetSipMediaApplicationAlexaSkillConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSipMediaApplicationAlexaSkillConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1GetSipMediaApplicationLoggingConfigurationCommand
 */
export declare const de_GetSipMediaApplicationLoggingConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSipMediaApplicationLoggingConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1GetSipRuleCommand
 */
export declare const de_GetSipRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSipRuleCommandOutput>;
/**
 * deserializeAws_restJson1GetSpeakerSearchTaskCommand
 */
export declare const de_GetSpeakerSearchTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSpeakerSearchTaskCommandOutput>;
/**
 * deserializeAws_restJson1GetVoiceConnectorCommand
 */
export declare const de_GetVoiceConnectorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVoiceConnectorCommandOutput>;
/**
 * deserializeAws_restJson1GetVoiceConnectorEmergencyCallingConfigurationCommand
 */
export declare const de_GetVoiceConnectorEmergencyCallingConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVoiceConnectorEmergencyCallingConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1GetVoiceConnectorGroupCommand
 */
export declare const de_GetVoiceConnectorGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVoiceConnectorGroupCommandOutput>;
/**
 * deserializeAws_restJson1GetVoiceConnectorLoggingConfigurationCommand
 */
export declare const de_GetVoiceConnectorLoggingConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVoiceConnectorLoggingConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1GetVoiceConnectorOriginationCommand
 */
export declare const de_GetVoiceConnectorOriginationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVoiceConnectorOriginationCommandOutput>;
/**
 * deserializeAws_restJson1GetVoiceConnectorProxyCommand
 */
export declare const de_GetVoiceConnectorProxyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVoiceConnectorProxyCommandOutput>;
/**
 * deserializeAws_restJson1GetVoiceConnectorStreamingConfigurationCommand
 */
export declare const de_GetVoiceConnectorStreamingConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVoiceConnectorStreamingConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1GetVoiceConnectorTerminationCommand
 */
export declare const de_GetVoiceConnectorTerminationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVoiceConnectorTerminationCommandOutput>;
/**
 * deserializeAws_restJson1GetVoiceConnectorTerminationHealthCommand
 */
export declare const de_GetVoiceConnectorTerminationHealthCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVoiceConnectorTerminationHealthCommandOutput>;
/**
 * deserializeAws_restJson1GetVoiceProfileCommand
 */
export declare const de_GetVoiceProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVoiceProfileCommandOutput>;
/**
 * deserializeAws_restJson1GetVoiceProfileDomainCommand
 */
export declare const de_GetVoiceProfileDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVoiceProfileDomainCommandOutput>;
/**
 * deserializeAws_restJson1GetVoiceToneAnalysisTaskCommand
 */
export declare const de_GetVoiceToneAnalysisTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVoiceToneAnalysisTaskCommandOutput>;
/**
 * deserializeAws_restJson1ListAvailableVoiceConnectorRegionsCommand
 */
export declare const de_ListAvailableVoiceConnectorRegionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAvailableVoiceConnectorRegionsCommandOutput>;
/**
 * deserializeAws_restJson1ListPhoneNumberOrdersCommand
 */
export declare const de_ListPhoneNumberOrdersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPhoneNumberOrdersCommandOutput>;
/**
 * deserializeAws_restJson1ListPhoneNumbersCommand
 */
export declare const de_ListPhoneNumbersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPhoneNumbersCommandOutput>;
/**
 * deserializeAws_restJson1ListProxySessionsCommand
 */
export declare const de_ListProxySessionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListProxySessionsCommandOutput>;
/**
 * deserializeAws_restJson1ListSipMediaApplicationsCommand
 */
export declare const de_ListSipMediaApplicationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListSipMediaApplicationsCommandOutput>;
/**
 * deserializeAws_restJson1ListSipRulesCommand
 */
export declare const de_ListSipRulesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListSipRulesCommandOutput>;
/**
 * deserializeAws_restJson1ListSupportedPhoneNumberCountriesCommand
 */
export declare const de_ListSupportedPhoneNumberCountriesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListSupportedPhoneNumberCountriesCommandOutput>;
/**
 * deserializeAws_restJson1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_restJson1ListVoiceConnectorGroupsCommand
 */
export declare const de_ListVoiceConnectorGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListVoiceConnectorGroupsCommandOutput>;
/**
 * deserializeAws_restJson1ListVoiceConnectorsCommand
 */
export declare const de_ListVoiceConnectorsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListVoiceConnectorsCommandOutput>;
/**
 * deserializeAws_restJson1ListVoiceConnectorTerminationCredentialsCommand
 */
export declare const de_ListVoiceConnectorTerminationCredentialsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListVoiceConnectorTerminationCredentialsCommandOutput>;
/**
 * deserializeAws_restJson1ListVoiceProfileDomainsCommand
 */
export declare const de_ListVoiceProfileDomainsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListVoiceProfileDomainsCommandOutput>;
/**
 * deserializeAws_restJson1ListVoiceProfilesCommand
 */
export declare const de_ListVoiceProfilesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListVoiceProfilesCommandOutput>;
/**
 * deserializeAws_restJson1PutSipMediaApplicationAlexaSkillConfigurationCommand
 */
export declare const de_PutSipMediaApplicationAlexaSkillConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutSipMediaApplicationAlexaSkillConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1PutSipMediaApplicationLoggingConfigurationCommand
 */
export declare const de_PutSipMediaApplicationLoggingConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutSipMediaApplicationLoggingConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1PutVoiceConnectorEmergencyCallingConfigurationCommand
 */
export declare const de_PutVoiceConnectorEmergencyCallingConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutVoiceConnectorEmergencyCallingConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1PutVoiceConnectorLoggingConfigurationCommand
 */
export declare const de_PutVoiceConnectorLoggingConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutVoiceConnectorLoggingConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1PutVoiceConnectorOriginationCommand
 */
export declare const de_PutVoiceConnectorOriginationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutVoiceConnectorOriginationCommandOutput>;
/**
 * deserializeAws_restJson1PutVoiceConnectorProxyCommand
 */
export declare const de_PutVoiceConnectorProxyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutVoiceConnectorProxyCommandOutput>;
/**
 * deserializeAws_restJson1PutVoiceConnectorStreamingConfigurationCommand
 */
export declare const de_PutVoiceConnectorStreamingConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutVoiceConnectorStreamingConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1PutVoiceConnectorTerminationCommand
 */
export declare const de_PutVoiceConnectorTerminationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutVoiceConnectorTerminationCommandOutput>;
/**
 * deserializeAws_restJson1PutVoiceConnectorTerminationCredentialsCommand
 */
export declare const de_PutVoiceConnectorTerminationCredentialsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutVoiceConnectorTerminationCredentialsCommandOutput>;
/**
 * deserializeAws_restJson1RestorePhoneNumberCommand
 */
export declare const de_RestorePhoneNumberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RestorePhoneNumberCommandOutput>;
/**
 * deserializeAws_restJson1SearchAvailablePhoneNumbersCommand
 */
export declare const de_SearchAvailablePhoneNumbersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SearchAvailablePhoneNumbersCommandOutput>;
/**
 * deserializeAws_restJson1StartSpeakerSearchTaskCommand
 */
export declare const de_StartSpeakerSearchTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartSpeakerSearchTaskCommandOutput>;
/**
 * deserializeAws_restJson1StartVoiceToneAnalysisTaskCommand
 */
export declare const de_StartVoiceToneAnalysisTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartVoiceToneAnalysisTaskCommandOutput>;
/**
 * deserializeAws_restJson1StopSpeakerSearchTaskCommand
 */
export declare const de_StopSpeakerSearchTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopSpeakerSearchTaskCommandOutput>;
/**
 * deserializeAws_restJson1StopVoiceToneAnalysisTaskCommand
 */
export declare const de_StopVoiceToneAnalysisTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopVoiceToneAnalysisTaskCommandOutput>;
/**
 * deserializeAws_restJson1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UpdateGlobalSettingsCommand
 */
export declare const de_UpdateGlobalSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateGlobalSettingsCommandOutput>;
/**
 * deserializeAws_restJson1UpdatePhoneNumberCommand
 */
export declare const de_UpdatePhoneNumberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdatePhoneNumberCommandOutput>;
/**
 * deserializeAws_restJson1UpdatePhoneNumberSettingsCommand
 */
export declare const de_UpdatePhoneNumberSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdatePhoneNumberSettingsCommandOutput>;
/**
 * deserializeAws_restJson1UpdateProxySessionCommand
 */
export declare const de_UpdateProxySessionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateProxySessionCommandOutput>;
/**
 * deserializeAws_restJson1UpdateSipMediaApplicationCommand
 */
export declare const de_UpdateSipMediaApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateSipMediaApplicationCommandOutput>;
/**
 * deserializeAws_restJson1UpdateSipMediaApplicationCallCommand
 */
export declare const de_UpdateSipMediaApplicationCallCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateSipMediaApplicationCallCommandOutput>;
/**
 * deserializeAws_restJson1UpdateSipRuleCommand
 */
export declare const de_UpdateSipRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateSipRuleCommandOutput>;
/**
 * deserializeAws_restJson1UpdateVoiceConnectorCommand
 */
export declare const de_UpdateVoiceConnectorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateVoiceConnectorCommandOutput>;
/**
 * deserializeAws_restJson1UpdateVoiceConnectorGroupCommand
 */
export declare const de_UpdateVoiceConnectorGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateVoiceConnectorGroupCommandOutput>;
/**
 * deserializeAws_restJson1UpdateVoiceProfileCommand
 */
export declare const de_UpdateVoiceProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateVoiceProfileCommandOutput>;
/**
 * deserializeAws_restJson1UpdateVoiceProfileDomainCommand
 */
export declare const de_UpdateVoiceProfileDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateVoiceProfileDomainCommandOutput>;
/**
 * deserializeAws_restJson1ValidateE911AddressCommand
 */
export declare const de_ValidateE911AddressCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ValidateE911AddressCommandOutput>;
