import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  BatchDeletePhoneNumberRequest,
  BatchDeletePhoneNumberResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface BatchDeletePhoneNumberCommandInput
  extends BatchDeletePhoneNumberRequest {}
export interface BatchDeletePhoneNumberCommandOutput
  extends BatchDeletePhoneNumberResponse,
    __MetadataBearer {}
export declare class BatchDeletePhoneNumberCommand extends $Command<
  BatchDeletePhoneNumberCommandInput,
  BatchDeletePhoneNumberCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: BatchDeletePhoneNumberCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: BatchDeletePhoneNumberCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    BatchDeletePhoneNumberCommandInput,
    BatchDeletePhoneNumberCommandOutput
  >;
  private serialize;
  private deserialize;
}
