import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  CreatePhoneNumberOrderRequest,
  CreatePhoneNumberOrderResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreatePhoneNumberOrderCommandInput
  extends CreatePhoneNumberOrderRequest {}
export interface CreatePhoneNumberOrderCommandOutput
  extends CreatePhoneNumberOrderResponse,
    __MetadataBearer {}
export declare class CreatePhoneNumberOrderCommand extends $Command<
  CreatePhoneNumberOrderCommandInput,
  CreatePhoneNumberOrderCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: CreatePhoneNumberOrderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreatePhoneNumberOrderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreatePhoneNumberOrderCommandInput,
    CreatePhoneNumberOrderCommandOutput
  >;
  private serialize;
  private deserialize;
}
