import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  CreateSipMediaApplicationRequest,
  CreateSipMediaApplicationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateSipMediaApplicationCommandInput
  extends CreateSipMediaApplicationRequest {}
export interface CreateSipMediaApplicationCommandOutput
  extends CreateSipMediaApplicationResponse,
    __MetadataBearer {}
export declare class CreateSipMediaApplicationCommand extends $Command<
  CreateSipMediaApplicationCommandInput,
  CreateSipMediaApplicationCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: CreateSipMediaApplicationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateSipMediaApplicationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateSipMediaApplicationCommandInput,
    CreateSipMediaApplicationCommandOutput
  >;
  private serialize;
  private deserialize;
}
