import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  CreateVoiceProfileRequest,
  CreateVoiceProfileResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateVoiceProfileCommandInput
  extends CreateVoiceProfileRequest {}
export interface CreateVoiceProfileCommandOutput
  extends CreateVoiceProfileResponse,
    __MetadataBearer {}
export declare class CreateVoiceProfileCommand extends $Command<
  CreateVoiceProfileCommandInput,
  CreateVoiceProfileCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: CreateVoiceProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateVoiceProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateVoiceProfileCommandInput, CreateVoiceProfileCommandOutput>;
  private serialize;
  private deserialize;
}
