import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import { DeleteVoiceProfileRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteVoiceProfileCommandInput
  extends DeleteVoiceProfileRequest {}
export interface DeleteVoiceProfileCommandOutput extends __MetadataBearer {}
export declare class DeleteVoiceProfileCommand extends $Command<
  DeleteVoiceProfileCommandInput,
  DeleteVoiceProfileCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: DeleteVoiceProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteVoiceProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteVoiceProfileCommandInput, DeleteVoiceProfileCommandOutput>;
  private serialize;
  private deserialize;
}
