import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  GetPhoneNumberOrderRequest,
  GetPhoneNumberOrderResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetPhoneNumberOrderCommandInput
  extends GetPhoneNumberOrderRequest {}
export interface GetPhoneNumberOrderCommandOutput
  extends GetPhoneNumberOrderResponse,
    __MetadataBearer {}
export declare class GetPhoneNumberOrderCommand extends $Command<
  GetPhoneNumberOrderCommandInput,
  GetPhoneNumberOrderCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: GetPhoneNumberOrderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetPhoneNumberOrderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetPhoneNumberOrderCommandInput, GetPhoneNumberOrderCommandOutput>;
  private serialize;
  private deserialize;
}
