import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  GetSipMediaApplicationRequest,
  GetSipMediaApplicationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetSipMediaApplicationCommandInput
  extends GetSipMediaApplicationRequest {}
export interface GetSipMediaApplicationCommandOutput
  extends GetSipMediaApplicationResponse,
    __MetadataBearer {}
export declare class GetSipMediaApplicationCommand extends $Command<
  GetSipMediaApplicationCommandInput,
  GetSipMediaApplicationCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: GetSipMediaApplicationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetSipMediaApplicationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetSipMediaApplicationCommandInput,
    GetSipMediaApplicationCommandOutput
  >;
  private serialize;
  private deserialize;
}
