import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  ListVoiceConnectorsRequest,
  ListVoiceConnectorsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListVoiceConnectorsCommandInput
  extends ListVoiceConnectorsRequest {}
export interface ListVoiceConnectorsCommandOutput
  extends ListVoiceConnectorsResponse,
    __MetadataBearer {}
export declare class ListVoiceConnectorsCommand extends $Command<
  ListVoiceConnectorsCommandInput,
  ListVoiceConnectorsCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: ListVoiceConnectorsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListVoiceConnectorsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListVoiceConnectorsCommandInput, ListVoiceConnectorsCommandOutput>;
  private serialize;
  private deserialize;
}
