import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  PutVoiceConnectorProxyRequest,
  PutVoiceConnectorProxyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface PutVoiceConnectorProxyCommandInput
  extends PutVoiceConnectorProxyRequest {}
export interface PutVoiceConnectorProxyCommandOutput
  extends PutVoiceConnectorProxyResponse,
    __MetadataBearer {}
export declare class PutVoiceConnectorProxyCommand extends $Command<
  PutVoiceConnectorProxyCommandInput,
  PutVoiceConnectorProxyCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: PutVoiceConnectorProxyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutVoiceConnectorProxyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutVoiceConnectorProxyCommandInput,
    PutVoiceConnectorProxyCommandOutput
  >;
  private serialize;
  private deserialize;
}
