import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  StartSpeakerSearchTaskRequest,
  StartSpeakerSearchTaskResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface StartSpeakerSearchTaskCommandInput
  extends StartSpeakerSearchTaskRequest {}
export interface StartSpeakerSearchTaskCommandOutput
  extends StartSpeakerSearchTaskResponse,
    __MetadataBearer {}
export declare class StartSpeakerSearchTaskCommand extends $Command<
  StartSpeakerSearchTaskCommandInput,
  StartSpeakerSearchTaskCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: StartSpeakerSearchTaskCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StartSpeakerSearchTaskCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    StartSpeakerSearchTaskCommandInput,
    StartSpeakerSearchTaskCommandOutput
  >;
  private serialize;
  private deserialize;
}
