import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import { StopSpeakerSearchTaskRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface StopSpeakerSearchTaskCommandInput
  extends StopSpeakerSearchTaskRequest {}
export interface StopSpeakerSearchTaskCommandOutput extends __MetadataBearer {}
export declare class StopSpeakerSearchTaskCommand extends $Command<
  StopSpeakerSearchTaskCommandInput,
  StopSpeakerSearchTaskCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: StopSpeakerSearchTaskCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StopSpeakerSearchTaskCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    StopSpeakerSearchTaskCommandInput,
    StopSpeakerSearchTaskCommandOutput
  >;
  private serialize;
  private deserialize;
}
