import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import { UpdatePhoneNumberSettingsRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdatePhoneNumberSettingsCommandInput
  extends UpdatePhoneNumberSettingsRequest {}
export interface UpdatePhoneNumberSettingsCommandOutput
  extends __MetadataBearer {}
export declare class UpdatePhoneNumberSettingsCommand extends $Command<
  UpdatePhoneNumberSettingsCommandInput,
  UpdatePhoneNumberSettingsCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: UpdatePhoneNumberSettingsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdatePhoneNumberSettingsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdatePhoneNumberSettingsCommandInput,
    UpdatePhoneNumberSettingsCommandOutput
  >;
  private serialize;
  private deserialize;
}
