import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeSDKVoiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeSDKVoiceClient";
import {
  UpdateVoiceConnectorGroupRequest,
  UpdateVoiceConnectorGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateVoiceConnectorGroupCommandInput
  extends UpdateVoiceConnectorGroupRequest {}
export interface UpdateVoiceConnectorGroupCommandOutput
  extends UpdateVoiceConnectorGroupResponse,
    __MetadataBearer {}
export declare class UpdateVoiceConnectorGroupCommand extends $Command<
  UpdateVoiceConnectorGroupCommandInput,
  UpdateVoiceConnectorGroupCommandOutput,
  ChimeSDKVoiceClientResolvedConfig
> {
  readonly input: UpdateVoiceConnectorGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateVoiceConnectorGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeSDKVoiceClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateVoiceConnectorGroupCommandInput,
    UpdateVoiceConnectorGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
