import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AssociatePhoneNumbersWithVoiceConnectorCommandInput,
  AssociatePhoneNumbersWithVoiceConnectorCommandOutput,
} from "../commands/AssociatePhoneNumbersWithVoiceConnectorCommand";
import {
  AssociatePhoneNumbersWithVoiceConnectorGroupCommandInput,
  AssociatePhoneNumbersWithVoiceConnectorGroupCommandOutput,
} from "../commands/AssociatePhoneNumbersWithVoiceConnectorGroupCommand";
import {
  BatchDeletePhoneNumberCommandInput,
  BatchDeletePhoneNumberCommandOutput,
} from "../commands/BatchDeletePhoneNumberCommand";
import {
  BatchUpdatePhoneNumberCommandInput,
  BatchUpdatePhoneNumberCommandOutput,
} from "../commands/BatchUpdatePhoneNumberCommand";
import {
  CreatePhoneNumberOrderCommandInput,
  CreatePhoneNumberOrderCommandOutput,
} from "../commands/CreatePhoneNumberOrderCommand";
import {
  CreateProxySessionCommandInput,
  CreateProxySessionCommandOutput,
} from "../commands/CreateProxySessionCommand";
import {
  CreateSipMediaApplicationCallCommandInput,
  CreateSipMediaApplicationCallCommandOutput,
} from "../commands/CreateSipMediaApplicationCallCommand";
import {
  CreateSipMediaApplicationCommandInput,
  CreateSipMediaApplicationCommandOutput,
} from "../commands/CreateSipMediaApplicationCommand";
import {
  CreateSipRuleCommandInput,
  CreateSipRuleCommandOutput,
} from "../commands/CreateSipRuleCommand";
import {
  CreateVoiceConnectorCommandInput,
  CreateVoiceConnectorCommandOutput,
} from "../commands/CreateVoiceConnectorCommand";
import {
  CreateVoiceConnectorGroupCommandInput,
  CreateVoiceConnectorGroupCommandOutput,
} from "../commands/CreateVoiceConnectorGroupCommand";
import {
  CreateVoiceProfileCommandInput,
  CreateVoiceProfileCommandOutput,
} from "../commands/CreateVoiceProfileCommand";
import {
  CreateVoiceProfileDomainCommandInput,
  CreateVoiceProfileDomainCommandOutput,
} from "../commands/CreateVoiceProfileDomainCommand";
import {
  DeletePhoneNumberCommandInput,
  DeletePhoneNumberCommandOutput,
} from "../commands/DeletePhoneNumberCommand";
import {
  DeleteProxySessionCommandInput,
  DeleteProxySessionCommandOutput,
} from "../commands/DeleteProxySessionCommand";
import {
  DeleteSipMediaApplicationCommandInput,
  DeleteSipMediaApplicationCommandOutput,
} from "../commands/DeleteSipMediaApplicationCommand";
import {
  DeleteSipRuleCommandInput,
  DeleteSipRuleCommandOutput,
} from "../commands/DeleteSipRuleCommand";
import {
  DeleteVoiceConnectorCommandInput,
  DeleteVoiceConnectorCommandOutput,
} from "../commands/DeleteVoiceConnectorCommand";
import {
  DeleteVoiceConnectorEmergencyCallingConfigurationCommandInput,
  DeleteVoiceConnectorEmergencyCallingConfigurationCommandOutput,
} from "../commands/DeleteVoiceConnectorEmergencyCallingConfigurationCommand";
import {
  DeleteVoiceConnectorGroupCommandInput,
  DeleteVoiceConnectorGroupCommandOutput,
} from "../commands/DeleteVoiceConnectorGroupCommand";
import {
  DeleteVoiceConnectorOriginationCommandInput,
  DeleteVoiceConnectorOriginationCommandOutput,
} from "../commands/DeleteVoiceConnectorOriginationCommand";
import {
  DeleteVoiceConnectorProxyCommandInput,
  DeleteVoiceConnectorProxyCommandOutput,
} from "../commands/DeleteVoiceConnectorProxyCommand";
import {
  DeleteVoiceConnectorStreamingConfigurationCommandInput,
  DeleteVoiceConnectorStreamingConfigurationCommandOutput,
} from "../commands/DeleteVoiceConnectorStreamingConfigurationCommand";
import {
  DeleteVoiceConnectorTerminationCommandInput,
  DeleteVoiceConnectorTerminationCommandOutput,
} from "../commands/DeleteVoiceConnectorTerminationCommand";
import {
  DeleteVoiceConnectorTerminationCredentialsCommandInput,
  DeleteVoiceConnectorTerminationCredentialsCommandOutput,
} from "../commands/DeleteVoiceConnectorTerminationCredentialsCommand";
import {
  DeleteVoiceProfileCommandInput,
  DeleteVoiceProfileCommandOutput,
} from "../commands/DeleteVoiceProfileCommand";
import {
  DeleteVoiceProfileDomainCommandInput,
  DeleteVoiceProfileDomainCommandOutput,
} from "../commands/DeleteVoiceProfileDomainCommand";
import {
  DisassociatePhoneNumbersFromVoiceConnectorCommandInput,
  DisassociatePhoneNumbersFromVoiceConnectorCommandOutput,
} from "../commands/DisassociatePhoneNumbersFromVoiceConnectorCommand";
import {
  DisassociatePhoneNumbersFromVoiceConnectorGroupCommandInput,
  DisassociatePhoneNumbersFromVoiceConnectorGroupCommandOutput,
} from "../commands/DisassociatePhoneNumbersFromVoiceConnectorGroupCommand";
import {
  GetGlobalSettingsCommandInput,
  GetGlobalSettingsCommandOutput,
} from "../commands/GetGlobalSettingsCommand";
import {
  GetPhoneNumberCommandInput,
  GetPhoneNumberCommandOutput,
} from "../commands/GetPhoneNumberCommand";
import {
  GetPhoneNumberOrderCommandInput,
  GetPhoneNumberOrderCommandOutput,
} from "../commands/GetPhoneNumberOrderCommand";
import {
  GetPhoneNumberSettingsCommandInput,
  GetPhoneNumberSettingsCommandOutput,
} from "../commands/GetPhoneNumberSettingsCommand";
import {
  GetProxySessionCommandInput,
  GetProxySessionCommandOutput,
} from "../commands/GetProxySessionCommand";
import {
  GetSipMediaApplicationAlexaSkillConfigurationCommandInput,
  GetSipMediaApplicationAlexaSkillConfigurationCommandOutput,
} from "../commands/GetSipMediaApplicationAlexaSkillConfigurationCommand";
import {
  GetSipMediaApplicationCommandInput,
  GetSipMediaApplicationCommandOutput,
} from "../commands/GetSipMediaApplicationCommand";
import {
  GetSipMediaApplicationLoggingConfigurationCommandInput,
  GetSipMediaApplicationLoggingConfigurationCommandOutput,
} from "../commands/GetSipMediaApplicationLoggingConfigurationCommand";
import {
  GetSipRuleCommandInput,
  GetSipRuleCommandOutput,
} from "../commands/GetSipRuleCommand";
import {
  GetSpeakerSearchTaskCommandInput,
  GetSpeakerSearchTaskCommandOutput,
} from "../commands/GetSpeakerSearchTaskCommand";
import {
  GetVoiceConnectorCommandInput,
  GetVoiceConnectorCommandOutput,
} from "../commands/GetVoiceConnectorCommand";
import {
  GetVoiceConnectorEmergencyCallingConfigurationCommandInput,
  GetVoiceConnectorEmergencyCallingConfigurationCommandOutput,
} from "../commands/GetVoiceConnectorEmergencyCallingConfigurationCommand";
import {
  GetVoiceConnectorGroupCommandInput,
  GetVoiceConnectorGroupCommandOutput,
} from "../commands/GetVoiceConnectorGroupCommand";
import {
  GetVoiceConnectorLoggingConfigurationCommandInput,
  GetVoiceConnectorLoggingConfigurationCommandOutput,
} from "../commands/GetVoiceConnectorLoggingConfigurationCommand";
import {
  GetVoiceConnectorOriginationCommandInput,
  GetVoiceConnectorOriginationCommandOutput,
} from "../commands/GetVoiceConnectorOriginationCommand";
import {
  GetVoiceConnectorProxyCommandInput,
  GetVoiceConnectorProxyCommandOutput,
} from "../commands/GetVoiceConnectorProxyCommand";
import {
  GetVoiceConnectorStreamingConfigurationCommandInput,
  GetVoiceConnectorStreamingConfigurationCommandOutput,
} from "../commands/GetVoiceConnectorStreamingConfigurationCommand";
import {
  GetVoiceConnectorTerminationCommandInput,
  GetVoiceConnectorTerminationCommandOutput,
} from "../commands/GetVoiceConnectorTerminationCommand";
import {
  GetVoiceConnectorTerminationHealthCommandInput,
  GetVoiceConnectorTerminationHealthCommandOutput,
} from "../commands/GetVoiceConnectorTerminationHealthCommand";
import {
  GetVoiceProfileCommandInput,
  GetVoiceProfileCommandOutput,
} from "../commands/GetVoiceProfileCommand";
import {
  GetVoiceProfileDomainCommandInput,
  GetVoiceProfileDomainCommandOutput,
} from "../commands/GetVoiceProfileDomainCommand";
import {
  GetVoiceToneAnalysisTaskCommandInput,
  GetVoiceToneAnalysisTaskCommandOutput,
} from "../commands/GetVoiceToneAnalysisTaskCommand";
import {
  ListAvailableVoiceConnectorRegionsCommandInput,
  ListAvailableVoiceConnectorRegionsCommandOutput,
} from "../commands/ListAvailableVoiceConnectorRegionsCommand";
import {
  ListPhoneNumberOrdersCommandInput,
  ListPhoneNumberOrdersCommandOutput,
} from "../commands/ListPhoneNumberOrdersCommand";
import {
  ListPhoneNumbersCommandInput,
  ListPhoneNumbersCommandOutput,
} from "../commands/ListPhoneNumbersCommand";
import {
  ListProxySessionsCommandInput,
  ListProxySessionsCommandOutput,
} from "../commands/ListProxySessionsCommand";
import {
  ListSipMediaApplicationsCommandInput,
  ListSipMediaApplicationsCommandOutput,
} from "../commands/ListSipMediaApplicationsCommand";
import {
  ListSipRulesCommandInput,
  ListSipRulesCommandOutput,
} from "../commands/ListSipRulesCommand";
import {
  ListSupportedPhoneNumberCountriesCommandInput,
  ListSupportedPhoneNumberCountriesCommandOutput,
} from "../commands/ListSupportedPhoneNumberCountriesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ListVoiceConnectorGroupsCommandInput,
  ListVoiceConnectorGroupsCommandOutput,
} from "../commands/ListVoiceConnectorGroupsCommand";
import {
  ListVoiceConnectorsCommandInput,
  ListVoiceConnectorsCommandOutput,
} from "../commands/ListVoiceConnectorsCommand";
import {
  ListVoiceConnectorTerminationCredentialsCommandInput,
  ListVoiceConnectorTerminationCredentialsCommandOutput,
} from "../commands/ListVoiceConnectorTerminationCredentialsCommand";
import {
  ListVoiceProfileDomainsCommandInput,
  ListVoiceProfileDomainsCommandOutput,
} from "../commands/ListVoiceProfileDomainsCommand";
import {
  ListVoiceProfilesCommandInput,
  ListVoiceProfilesCommandOutput,
} from "../commands/ListVoiceProfilesCommand";
import {
  PutSipMediaApplicationAlexaSkillConfigurationCommandInput,
  PutSipMediaApplicationAlexaSkillConfigurationCommandOutput,
} from "../commands/PutSipMediaApplicationAlexaSkillConfigurationCommand";
import {
  PutSipMediaApplicationLoggingConfigurationCommandInput,
  PutSipMediaApplicationLoggingConfigurationCommandOutput,
} from "../commands/PutSipMediaApplicationLoggingConfigurationCommand";
import {
  PutVoiceConnectorEmergencyCallingConfigurationCommandInput,
  PutVoiceConnectorEmergencyCallingConfigurationCommandOutput,
} from "../commands/PutVoiceConnectorEmergencyCallingConfigurationCommand";
import {
  PutVoiceConnectorLoggingConfigurationCommandInput,
  PutVoiceConnectorLoggingConfigurationCommandOutput,
} from "../commands/PutVoiceConnectorLoggingConfigurationCommand";
import {
  PutVoiceConnectorOriginationCommandInput,
  PutVoiceConnectorOriginationCommandOutput,
} from "../commands/PutVoiceConnectorOriginationCommand";
import {
  PutVoiceConnectorProxyCommandInput,
  PutVoiceConnectorProxyCommandOutput,
} from "../commands/PutVoiceConnectorProxyCommand";
import {
  PutVoiceConnectorStreamingConfigurationCommandInput,
  PutVoiceConnectorStreamingConfigurationCommandOutput,
} from "../commands/PutVoiceConnectorStreamingConfigurationCommand";
import {
  PutVoiceConnectorTerminationCommandInput,
  PutVoiceConnectorTerminationCommandOutput,
} from "../commands/PutVoiceConnectorTerminationCommand";
import {
  PutVoiceConnectorTerminationCredentialsCommandInput,
  PutVoiceConnectorTerminationCredentialsCommandOutput,
} from "../commands/PutVoiceConnectorTerminationCredentialsCommand";
import {
  RestorePhoneNumberCommandInput,
  RestorePhoneNumberCommandOutput,
} from "../commands/RestorePhoneNumberCommand";
import {
  SearchAvailablePhoneNumbersCommandInput,
  SearchAvailablePhoneNumbersCommandOutput,
} from "../commands/SearchAvailablePhoneNumbersCommand";
import {
  StartSpeakerSearchTaskCommandInput,
  StartSpeakerSearchTaskCommandOutput,
} from "../commands/StartSpeakerSearchTaskCommand";
import {
  StartVoiceToneAnalysisTaskCommandInput,
  StartVoiceToneAnalysisTaskCommandOutput,
} from "../commands/StartVoiceToneAnalysisTaskCommand";
import {
  StopSpeakerSearchTaskCommandInput,
  StopSpeakerSearchTaskCommandOutput,
} from "../commands/StopSpeakerSearchTaskCommand";
import {
  StopVoiceToneAnalysisTaskCommandInput,
  StopVoiceToneAnalysisTaskCommandOutput,
} from "../commands/StopVoiceToneAnalysisTaskCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateGlobalSettingsCommandInput,
  UpdateGlobalSettingsCommandOutput,
} from "../commands/UpdateGlobalSettingsCommand";
import {
  UpdatePhoneNumberCommandInput,
  UpdatePhoneNumberCommandOutput,
} from "../commands/UpdatePhoneNumberCommand";
import {
  UpdatePhoneNumberSettingsCommandInput,
  UpdatePhoneNumberSettingsCommandOutput,
} from "../commands/UpdatePhoneNumberSettingsCommand";
import {
  UpdateProxySessionCommandInput,
  UpdateProxySessionCommandOutput,
} from "../commands/UpdateProxySessionCommand";
import {
  UpdateSipMediaApplicationCallCommandInput,
  UpdateSipMediaApplicationCallCommandOutput,
} from "../commands/UpdateSipMediaApplicationCallCommand";
import {
  UpdateSipMediaApplicationCommandInput,
  UpdateSipMediaApplicationCommandOutput,
} from "../commands/UpdateSipMediaApplicationCommand";
import {
  UpdateSipRuleCommandInput,
  UpdateSipRuleCommandOutput,
} from "../commands/UpdateSipRuleCommand";
import {
  UpdateVoiceConnectorCommandInput,
  UpdateVoiceConnectorCommandOutput,
} from "../commands/UpdateVoiceConnectorCommand";
import {
  UpdateVoiceConnectorGroupCommandInput,
  UpdateVoiceConnectorGroupCommandOutput,
} from "../commands/UpdateVoiceConnectorGroupCommand";
import {
  UpdateVoiceProfileCommandInput,
  UpdateVoiceProfileCommandOutput,
} from "../commands/UpdateVoiceProfileCommand";
import {
  UpdateVoiceProfileDomainCommandInput,
  UpdateVoiceProfileDomainCommandOutput,
} from "../commands/UpdateVoiceProfileDomainCommand";
import {
  ValidateE911AddressCommandInput,
  ValidateE911AddressCommandOutput,
} from "../commands/ValidateE911AddressCommand";
export declare const se_AssociatePhoneNumbersWithVoiceConnectorCommand: (
  input: AssociatePhoneNumbersWithVoiceConnectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociatePhoneNumbersWithVoiceConnectorGroupCommand: (
  input: AssociatePhoneNumbersWithVoiceConnectorGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchDeletePhoneNumberCommand: (
  input: BatchDeletePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchUpdatePhoneNumberCommand: (
  input: BatchUpdatePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePhoneNumberOrderCommand: (
  input: CreatePhoneNumberOrderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateProxySessionCommand: (
  input: CreateProxySessionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateSipMediaApplicationCommand: (
  input: CreateSipMediaApplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateSipMediaApplicationCallCommand: (
  input: CreateSipMediaApplicationCallCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateSipRuleCommand: (
  input: CreateSipRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateVoiceConnectorCommand: (
  input: CreateVoiceConnectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateVoiceConnectorGroupCommand: (
  input: CreateVoiceConnectorGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateVoiceProfileCommand: (
  input: CreateVoiceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateVoiceProfileDomainCommand: (
  input: CreateVoiceProfileDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePhoneNumberCommand: (
  input: DeletePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteProxySessionCommand: (
  input: DeleteProxySessionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteSipMediaApplicationCommand: (
  input: DeleteSipMediaApplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteSipRuleCommand: (
  input: DeleteSipRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorCommand: (
  input: DeleteVoiceConnectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorEmergencyCallingConfigurationCommand: (
  input: DeleteVoiceConnectorEmergencyCallingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorGroupCommand: (
  input: DeleteVoiceConnectorGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorOriginationCommand: (
  input: DeleteVoiceConnectorOriginationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorProxyCommand: (
  input: DeleteVoiceConnectorProxyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorStreamingConfigurationCommand: (
  input: DeleteVoiceConnectorStreamingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorTerminationCommand: (
  input: DeleteVoiceConnectorTerminationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorTerminationCredentialsCommand: (
  input: DeleteVoiceConnectorTerminationCredentialsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceProfileCommand: (
  input: DeleteVoiceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceProfileDomainCommand: (
  input: DeleteVoiceProfileDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociatePhoneNumbersFromVoiceConnectorCommand: (
  input: DisassociatePhoneNumbersFromVoiceConnectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociatePhoneNumbersFromVoiceConnectorGroupCommand: (
  input: DisassociatePhoneNumbersFromVoiceConnectorGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetGlobalSettingsCommand: (
  input: GetGlobalSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPhoneNumberCommand: (
  input: GetPhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPhoneNumberOrderCommand: (
  input: GetPhoneNumberOrderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPhoneNumberSettingsCommand: (
  input: GetPhoneNumberSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetProxySessionCommand: (
  input: GetProxySessionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSipMediaApplicationCommand: (
  input: GetSipMediaApplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSipMediaApplicationAlexaSkillConfigurationCommand: (
  input: GetSipMediaApplicationAlexaSkillConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSipMediaApplicationLoggingConfigurationCommand: (
  input: GetSipMediaApplicationLoggingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSipRuleCommand: (
  input: GetSipRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSpeakerSearchTaskCommand: (
  input: GetSpeakerSearchTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorCommand: (
  input: GetVoiceConnectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorEmergencyCallingConfigurationCommand: (
  input: GetVoiceConnectorEmergencyCallingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorGroupCommand: (
  input: GetVoiceConnectorGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorLoggingConfigurationCommand: (
  input: GetVoiceConnectorLoggingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorOriginationCommand: (
  input: GetVoiceConnectorOriginationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorProxyCommand: (
  input: GetVoiceConnectorProxyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorStreamingConfigurationCommand: (
  input: GetVoiceConnectorStreamingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorTerminationCommand: (
  input: GetVoiceConnectorTerminationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorTerminationHealthCommand: (
  input: GetVoiceConnectorTerminationHealthCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceProfileCommand: (
  input: GetVoiceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceProfileDomainCommand: (
  input: GetVoiceProfileDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceToneAnalysisTaskCommand: (
  input: GetVoiceToneAnalysisTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAvailableVoiceConnectorRegionsCommand: (
  input: ListAvailableVoiceConnectorRegionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPhoneNumberOrdersCommand: (
  input: ListPhoneNumberOrdersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPhoneNumbersCommand: (
  input: ListPhoneNumbersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListProxySessionsCommand: (
  input: ListProxySessionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSipMediaApplicationsCommand: (
  input: ListSipMediaApplicationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSipRulesCommand: (
  input: ListSipRulesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSupportedPhoneNumberCountriesCommand: (
  input: ListSupportedPhoneNumberCountriesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVoiceConnectorGroupsCommand: (
  input: ListVoiceConnectorGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVoiceConnectorsCommand: (
  input: ListVoiceConnectorsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVoiceConnectorTerminationCredentialsCommand: (
  input: ListVoiceConnectorTerminationCredentialsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVoiceProfileDomainsCommand: (
  input: ListVoiceProfileDomainsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVoiceProfilesCommand: (
  input: ListVoiceProfilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutSipMediaApplicationAlexaSkillConfigurationCommand: (
  input: PutSipMediaApplicationAlexaSkillConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutSipMediaApplicationLoggingConfigurationCommand: (
  input: PutSipMediaApplicationLoggingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorEmergencyCallingConfigurationCommand: (
  input: PutVoiceConnectorEmergencyCallingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorLoggingConfigurationCommand: (
  input: PutVoiceConnectorLoggingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorOriginationCommand: (
  input: PutVoiceConnectorOriginationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorProxyCommand: (
  input: PutVoiceConnectorProxyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorStreamingConfigurationCommand: (
  input: PutVoiceConnectorStreamingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorTerminationCommand: (
  input: PutVoiceConnectorTerminationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorTerminationCredentialsCommand: (
  input: PutVoiceConnectorTerminationCredentialsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RestorePhoneNumberCommand: (
  input: RestorePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchAvailablePhoneNumbersCommand: (
  input: SearchAvailablePhoneNumbersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartSpeakerSearchTaskCommand: (
  input: StartSpeakerSearchTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartVoiceToneAnalysisTaskCommand: (
  input: StartVoiceToneAnalysisTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopSpeakerSearchTaskCommand: (
  input: StopSpeakerSearchTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopVoiceToneAnalysisTaskCommand: (
  input: StopVoiceToneAnalysisTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateGlobalSettingsCommand: (
  input: UpdateGlobalSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePhoneNumberCommand: (
  input: UpdatePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePhoneNumberSettingsCommand: (
  input: UpdatePhoneNumberSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateProxySessionCommand: (
  input: UpdateProxySessionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSipMediaApplicationCommand: (
  input: UpdateSipMediaApplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSipMediaApplicationCallCommand: (
  input: UpdateSipMediaApplicationCallCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSipRuleCommand: (
  input: UpdateSipRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateVoiceConnectorCommand: (
  input: UpdateVoiceConnectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateVoiceConnectorGroupCommand: (
  input: UpdateVoiceConnectorGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateVoiceProfileCommand: (
  input: UpdateVoiceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateVoiceProfileDomainCommand: (
  input: UpdateVoiceProfileDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ValidateE911AddressCommand: (
  input: ValidateE911AddressCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AssociatePhoneNumbersWithVoiceConnectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociatePhoneNumbersWithVoiceConnectorCommandOutput>;
export declare const de_AssociatePhoneNumbersWithVoiceConnectorGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociatePhoneNumbersWithVoiceConnectorGroupCommandOutput>;
export declare const de_BatchDeletePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchDeletePhoneNumberCommandOutput>;
export declare const de_BatchUpdatePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchUpdatePhoneNumberCommandOutput>;
export declare const de_CreatePhoneNumberOrderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePhoneNumberOrderCommandOutput>;
export declare const de_CreateProxySessionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateProxySessionCommandOutput>;
export declare const de_CreateSipMediaApplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSipMediaApplicationCommandOutput>;
export declare const de_CreateSipMediaApplicationCallCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSipMediaApplicationCallCommandOutput>;
export declare const de_CreateSipRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSipRuleCommandOutput>;
export declare const de_CreateVoiceConnectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateVoiceConnectorCommandOutput>;
export declare const de_CreateVoiceConnectorGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateVoiceConnectorGroupCommandOutput>;
export declare const de_CreateVoiceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateVoiceProfileCommandOutput>;
export declare const de_CreateVoiceProfileDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateVoiceProfileDomainCommandOutput>;
export declare const de_DeletePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePhoneNumberCommandOutput>;
export declare const de_DeleteProxySessionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteProxySessionCommandOutput>;
export declare const de_DeleteSipMediaApplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSipMediaApplicationCommandOutput>;
export declare const de_DeleteSipRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSipRuleCommandOutput>;
export declare const de_DeleteVoiceConnectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorCommandOutput>;
export declare const de_DeleteVoiceConnectorEmergencyCallingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorEmergencyCallingConfigurationCommandOutput>;
export declare const de_DeleteVoiceConnectorGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorGroupCommandOutput>;
export declare const de_DeleteVoiceConnectorOriginationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorOriginationCommandOutput>;
export declare const de_DeleteVoiceConnectorProxyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorProxyCommandOutput>;
export declare const de_DeleteVoiceConnectorStreamingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorStreamingConfigurationCommandOutput>;
export declare const de_DeleteVoiceConnectorTerminationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorTerminationCommandOutput>;
export declare const de_DeleteVoiceConnectorTerminationCredentialsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorTerminationCredentialsCommandOutput>;
export declare const de_DeleteVoiceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceProfileCommandOutput>;
export declare const de_DeleteVoiceProfileDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceProfileDomainCommandOutput>;
export declare const de_DisassociatePhoneNumbersFromVoiceConnectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociatePhoneNumbersFromVoiceConnectorCommandOutput>;
export declare const de_DisassociatePhoneNumbersFromVoiceConnectorGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociatePhoneNumbersFromVoiceConnectorGroupCommandOutput>;
export declare const de_GetGlobalSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetGlobalSettingsCommandOutput>;
export declare const de_GetPhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPhoneNumberCommandOutput>;
export declare const de_GetPhoneNumberOrderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPhoneNumberOrderCommandOutput>;
export declare const de_GetPhoneNumberSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPhoneNumberSettingsCommandOutput>;
export declare const de_GetProxySessionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetProxySessionCommandOutput>;
export declare const de_GetSipMediaApplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSipMediaApplicationCommandOutput>;
export declare const de_GetSipMediaApplicationAlexaSkillConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSipMediaApplicationAlexaSkillConfigurationCommandOutput>;
export declare const de_GetSipMediaApplicationLoggingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSipMediaApplicationLoggingConfigurationCommandOutput>;
export declare const de_GetSipRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSipRuleCommandOutput>;
export declare const de_GetSpeakerSearchTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSpeakerSearchTaskCommandOutput>;
export declare const de_GetVoiceConnectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorCommandOutput>;
export declare const de_GetVoiceConnectorEmergencyCallingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorEmergencyCallingConfigurationCommandOutput>;
export declare const de_GetVoiceConnectorGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorGroupCommandOutput>;
export declare const de_GetVoiceConnectorLoggingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorLoggingConfigurationCommandOutput>;
export declare const de_GetVoiceConnectorOriginationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorOriginationCommandOutput>;
export declare const de_GetVoiceConnectorProxyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorProxyCommandOutput>;
export declare const de_GetVoiceConnectorStreamingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorStreamingConfigurationCommandOutput>;
export declare const de_GetVoiceConnectorTerminationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorTerminationCommandOutput>;
export declare const de_GetVoiceConnectorTerminationHealthCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorTerminationHealthCommandOutput>;
export declare const de_GetVoiceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceProfileCommandOutput>;
export declare const de_GetVoiceProfileDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceProfileDomainCommandOutput>;
export declare const de_GetVoiceToneAnalysisTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceToneAnalysisTaskCommandOutput>;
export declare const de_ListAvailableVoiceConnectorRegionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAvailableVoiceConnectorRegionsCommandOutput>;
export declare const de_ListPhoneNumberOrdersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPhoneNumberOrdersCommandOutput>;
export declare const de_ListPhoneNumbersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPhoneNumbersCommandOutput>;
export declare const de_ListProxySessionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListProxySessionsCommandOutput>;
export declare const de_ListSipMediaApplicationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSipMediaApplicationsCommandOutput>;
export declare const de_ListSipRulesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSipRulesCommandOutput>;
export declare const de_ListSupportedPhoneNumberCountriesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSupportedPhoneNumberCountriesCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_ListVoiceConnectorGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVoiceConnectorGroupsCommandOutput>;
export declare const de_ListVoiceConnectorsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVoiceConnectorsCommandOutput>;
export declare const de_ListVoiceConnectorTerminationCredentialsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVoiceConnectorTerminationCredentialsCommandOutput>;
export declare const de_ListVoiceProfileDomainsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVoiceProfileDomainsCommandOutput>;
export declare const de_ListVoiceProfilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVoiceProfilesCommandOutput>;
export declare const de_PutSipMediaApplicationAlexaSkillConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutSipMediaApplicationAlexaSkillConfigurationCommandOutput>;
export declare const de_PutSipMediaApplicationLoggingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutSipMediaApplicationLoggingConfigurationCommandOutput>;
export declare const de_PutVoiceConnectorEmergencyCallingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorEmergencyCallingConfigurationCommandOutput>;
export declare const de_PutVoiceConnectorLoggingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorLoggingConfigurationCommandOutput>;
export declare const de_PutVoiceConnectorOriginationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorOriginationCommandOutput>;
export declare const de_PutVoiceConnectorProxyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorProxyCommandOutput>;
export declare const de_PutVoiceConnectorStreamingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorStreamingConfigurationCommandOutput>;
export declare const de_PutVoiceConnectorTerminationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorTerminationCommandOutput>;
export declare const de_PutVoiceConnectorTerminationCredentialsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorTerminationCredentialsCommandOutput>;
export declare const de_RestorePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RestorePhoneNumberCommandOutput>;
export declare const de_SearchAvailablePhoneNumbersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchAvailablePhoneNumbersCommandOutput>;
export declare const de_StartSpeakerSearchTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartSpeakerSearchTaskCommandOutput>;
export declare const de_StartVoiceToneAnalysisTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartVoiceToneAnalysisTaskCommandOutput>;
export declare const de_StopSpeakerSearchTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopSpeakerSearchTaskCommandOutput>;
export declare const de_StopVoiceToneAnalysisTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopVoiceToneAnalysisTaskCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateGlobalSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateGlobalSettingsCommandOutput>;
export declare const de_UpdatePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePhoneNumberCommandOutput>;
export declare const de_UpdatePhoneNumberSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePhoneNumberSettingsCommandOutput>;
export declare const de_UpdateProxySessionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateProxySessionCommandOutput>;
export declare const de_UpdateSipMediaApplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSipMediaApplicationCommandOutput>;
export declare const de_UpdateSipMediaApplicationCallCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSipMediaApplicationCallCommandOutput>;
export declare const de_UpdateSipRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSipRuleCommandOutput>;
export declare const de_UpdateVoiceConnectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateVoiceConnectorCommandOutput>;
export declare const de_UpdateVoiceConnectorGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateVoiceConnectorGroupCommandOutput>;
export declare const de_UpdateVoiceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateVoiceProfileCommandOutput>;
export declare const de_UpdateVoiceProfileDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateVoiceProfileDomainCommandOutput>;
export declare const de_ValidateE911AddressCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ValidateE911AddressCommandOutput>;
