"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paginateListVoiceConnectors = void 0;
const ChimeClient_1 = require("../ChimeClient");
const ListVoiceConnectorsCommand_1 = require("../commands/ListVoiceConnectorsCommand");
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListVoiceConnectorsCommand_1.ListVoiceConnectorsCommand(input), ...args);
};
async function* paginateListVoiceConnectors(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        input["MaxResults"] = config.pageSize;
        if (config.client instanceof ChimeClient_1.ChimeClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected Chime | ChimeClient");
        }
        yield page;
        const prevToken = token;
        token = page.NextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
exports.paginateListVoiceConnectors = paginateListVoiceConnectors;
