import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { PutVoiceConnectorTerminationCredentialsRequestFilterSensitiveLog, } from "../models/models_1";
import { de_PutVoiceConnectorTerminationCredentialsCommand, se_PutVoiceConnectorTerminationCredentialsCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class PutVoiceConnectorTerminationCredentialsCommand extends $Command {
    static getEndpointParameterInstructions() {
        return {
            UseFIPS: { type: "builtInParams", name: "useFipsEndpoint" },
            Endpoint: { type: "builtInParams", name: "endpoint" },
            Region: { type: "builtInParams", name: "region" },
            UseDualStack: { type: "builtInParams", name: "useDualstackEndpoint" },
        };
    }
    constructor(input) {
        super();
        this.input = input;
    }
    resolveMiddleware(clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        this.middlewareStack.use(getEndpointPlugin(configuration, PutVoiceConnectorTerminationCredentialsCommand.getEndpointParameterInstructions()));
        const stack = clientStack.concat(this.middlewareStack);
        const { logger } = configuration;
        const clientName = "ChimeClient";
        const commandName = "PutVoiceConnectorTerminationCredentialsCommand";
        const handlerExecutionContext = {
            logger,
            clientName,
            commandName,
            inputFilterSensitiveLog: PutVoiceConnectorTerminationCredentialsRequestFilterSensitiveLog,
            outputFilterSensitiveLog: (_) => _,
        };
        const { requestHandler } = configuration;
        return stack.resolve((request) => requestHandler.handle(request.request, options || {}), handlerExecutionContext);
    }
    serialize(input, context) {
        return se_PutVoiceConnectorTerminationCredentialsCommand(input, context);
    }
    deserialize(output, context) {
        return de_PutVoiceConnectorTerminationCredentialsCommand(output, context);
    }
}
