import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  BatchCreateAttendeeRequest,
  BatchCreateAttendeeResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface BatchCreateAttendeeCommandInput
  extends BatchCreateAttendeeRequest {}
export interface BatchCreateAttendeeCommandOutput
  extends BatchCreateAttendeeResponse,
    __MetadataBearer {}
export declare class BatchCreateAttendeeCommand extends $Command<
  BatchCreateAttendeeCommandInput,
  BatchCreateAttendeeCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: BatchCreateAttendeeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: BatchCreateAttendeeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<BatchCreateAttendeeCommandInput, BatchCreateAttendeeCommandOutput>;
  private serialize;
  private deserialize;
}
