import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  CreateAppInstanceUserRequest,
  CreateAppInstanceUserResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateAppInstanceUserCommandInput
  extends CreateAppInstanceUserRequest {}
export interface CreateAppInstanceUserCommandOutput
  extends CreateAppInstanceUserResponse,
    __MetadataBearer {}
export declare class CreateAppInstanceUserCommand extends $Command<
  CreateAppInstanceUserCommandInput,
  CreateAppInstanceUserCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: CreateAppInstanceUserCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateAppInstanceUserCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateAppInstanceUserCommandInput,
    CreateAppInstanceUserCommandOutput
  >;
  private serialize;
  private deserialize;
}
