import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  CreateChannelModeratorRequest,
  CreateChannelModeratorResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateChannelModeratorCommandInput
  extends CreateChannelModeratorRequest {}
export interface CreateChannelModeratorCommandOutput
  extends CreateChannelModeratorResponse,
    __MetadataBearer {}
export declare class CreateChannelModeratorCommand extends $Command<
  CreateChannelModeratorCommandInput,
  CreateChannelModeratorCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: CreateChannelModeratorCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateChannelModeratorCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateChannelModeratorCommandInput,
    CreateChannelModeratorCommandOutput
  >;
  private serialize;
  private deserialize;
}
