import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  CreateRoomMembershipRequest,
  CreateRoomMembershipResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateRoomMembershipCommandInput
  extends CreateRoomMembershipRequest {}
export interface CreateRoomMembershipCommandOutput
  extends CreateRoomMembershipResponse,
    __MetadataBearer {}
export declare class CreateRoomMembershipCommand extends $Command<
  CreateRoomMembershipCommandInput,
  CreateRoomMembershipCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: CreateRoomMembershipCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateRoomMembershipCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateRoomMembershipCommandInput,
    CreateRoomMembershipCommandOutput
  >;
  private serialize;
  private deserialize;
}
