import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  CreateVoiceConnectorRequest,
  CreateVoiceConnectorResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateVoiceConnectorCommandInput
  extends CreateVoiceConnectorRequest {}
export interface CreateVoiceConnectorCommandOutput
  extends CreateVoiceConnectorResponse,
    __MetadataBearer {}
export declare class CreateVoiceConnectorCommand extends $Command<
  CreateVoiceConnectorCommandInput,
  CreateVoiceConnectorCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: CreateVoiceConnectorCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateVoiceConnectorCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateVoiceConnectorCommandInput,
    CreateVoiceConnectorCommandOutput
  >;
  private serialize;
  private deserialize;
}
