import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import { DeleteMediaCapturePipelineRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteMediaCapturePipelineCommandInput
  extends DeleteMediaCapturePipelineRequest {}
export interface DeleteMediaCapturePipelineCommandOutput
  extends __MetadataBearer {}
export declare class DeleteMediaCapturePipelineCommand extends $Command<
  DeleteMediaCapturePipelineCommandInput,
  DeleteMediaCapturePipelineCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: DeleteMediaCapturePipelineCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteMediaCapturePipelineCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteMediaCapturePipelineCommandInput,
    DeleteMediaCapturePipelineCommandOutput
  >;
  private serialize;
  private deserialize;
}
