import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  DescribeAppInstanceUserRequest,
  DescribeAppInstanceUserResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeAppInstanceUserCommandInput
  extends DescribeAppInstanceUserRequest {}
export interface DescribeAppInstanceUserCommandOutput
  extends DescribeAppInstanceUserResponse,
    __MetadataBearer {}
export declare class DescribeAppInstanceUserCommand extends $Command<
  DescribeAppInstanceUserCommandInput,
  DescribeAppInstanceUserCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: DescribeAppInstanceUserCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAppInstanceUserCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAppInstanceUserCommandInput,
    DescribeAppInstanceUserCommandOutput
  >;
  private serialize;
  private deserialize;
}
