import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  DescribeChannelModeratorRequest,
  DescribeChannelModeratorResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeChannelModeratorCommandInput
  extends DescribeChannelModeratorRequest {}
export interface DescribeChannelModeratorCommandOutput
  extends DescribeChannelModeratorResponse,
    __MetadataBearer {}
export declare class DescribeChannelModeratorCommand extends $Command<
  DescribeChannelModeratorCommandInput,
  DescribeChannelModeratorCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: DescribeChannelModeratorCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeChannelModeratorCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeChannelModeratorCommandInput,
    DescribeChannelModeratorCommandOutput
  >;
  private serialize;
  private deserialize;
}
