import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  GetAccountSettingsRequest,
  GetAccountSettingsResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetAccountSettingsCommandInput
  extends GetAccountSettingsRequest {}
export interface GetAccountSettingsCommandOutput
  extends GetAccountSettingsResponse,
    __MetadataBearer {}
export declare class GetAccountSettingsCommand extends $Command<
  GetAccountSettingsCommandInput,
  GetAccountSettingsCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: GetAccountSettingsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetAccountSettingsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetAccountSettingsCommandInput, GetAccountSettingsCommandOutput>;
  private serialize;
  private deserialize;
}
