import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import { GetBotRequest, GetBotResponse } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetBotCommandInput extends GetBotRequest {}
export interface GetBotCommandOutput extends GetBotResponse, __MetadataBearer {}
export declare class GetBotCommand extends $Command<
  GetBotCommandInput,
  GetBotCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: GetBotCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetBotCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetBotCommandInput, GetBotCommandOutput>;
  private serialize;
  private deserialize;
}
