import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  ListAppInstanceUsersRequest,
  ListAppInstanceUsersResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListAppInstanceUsersCommandInput
  extends ListAppInstanceUsersRequest {}
export interface ListAppInstanceUsersCommandOutput
  extends ListAppInstanceUsersResponse,
    __MetadataBearer {}
export declare class ListAppInstanceUsersCommand extends $Command<
  ListAppInstanceUsersCommandInput,
  ListAppInstanceUsersCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: ListAppInstanceUsersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListAppInstanceUsersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListAppInstanceUsersCommandInput,
    ListAppInstanceUsersCommandOutput
  >;
  private serialize;
  private deserialize;
}
