import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import { ListBotsRequest, ListBotsResponse } from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListBotsCommandInput extends ListBotsRequest {}
export interface ListBotsCommandOutput
  extends ListBotsResponse,
    __MetadataBearer {}
export declare class ListBotsCommand extends $Command<
  ListBotsCommandInput,
  ListBotsCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: ListBotsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListBotsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListBotsCommandInput, ListBotsCommandOutput>;
  private serialize;
  private deserialize;
}
