import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  ListMediaCapturePipelinesRequest,
  ListMediaCapturePipelinesResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListMediaCapturePipelinesCommandInput
  extends ListMediaCapturePipelinesRequest {}
export interface ListMediaCapturePipelinesCommandOutput
  extends ListMediaCapturePipelinesResponse,
    __MetadataBearer {}
export declare class ListMediaCapturePipelinesCommand extends $Command<
  ListMediaCapturePipelinesCommandInput,
  ListMediaCapturePipelinesCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: ListMediaCapturePipelinesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListMediaCapturePipelinesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListMediaCapturePipelinesCommandInput,
    ListMediaCapturePipelinesCommandOutput
  >;
  private serialize;
  private deserialize;
}
