import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  ListPhoneNumberOrdersRequest,
  ListPhoneNumberOrdersResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListPhoneNumberOrdersCommandInput
  extends ListPhoneNumberOrdersRequest {}
export interface ListPhoneNumberOrdersCommandOutput
  extends ListPhoneNumberOrdersResponse,
    __MetadataBearer {}
export declare class ListPhoneNumberOrdersCommand extends $Command<
  ListPhoneNumberOrdersCommandInput,
  ListPhoneNumberOrdersCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: ListPhoneNumberOrdersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListPhoneNumberOrdersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListPhoneNumberOrdersCommandInput,
    ListPhoneNumberOrdersCommandOutput
  >;
  private serialize;
  private deserialize;
}
