import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  ListSipMediaApplicationsRequest,
  ListSipMediaApplicationsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListSipMediaApplicationsCommandInput
  extends ListSipMediaApplicationsRequest {}
export interface ListSipMediaApplicationsCommandOutput
  extends ListSipMediaApplicationsResponse,
    __MetadataBearer {}
export declare class ListSipMediaApplicationsCommand extends $Command<
  ListSipMediaApplicationsCommandInput,
  ListSipMediaApplicationsCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: ListSipMediaApplicationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListSipMediaApplicationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListSipMediaApplicationsCommandInput,
    ListSipMediaApplicationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
