import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  RedactChannelMessageRequest,
  RedactChannelMessageResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface RedactChannelMessageCommandInput
  extends RedactChannelMessageRequest {}
export interface RedactChannelMessageCommandOutput
  extends RedactChannelMessageResponse,
    __MetadataBearer {}
export declare class RedactChannelMessageCommand extends $Command<
  RedactChannelMessageCommandInput,
  RedactChannelMessageCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: RedactChannelMessageCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RedactChannelMessageCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RedactChannelMessageCommandInput,
    RedactChannelMessageCommandOutput
  >;
  private serialize;
  private deserialize;
}
