import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  RegenerateSecurityTokenRequest,
  RegenerateSecurityTokenResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface RegenerateSecurityTokenCommandInput
  extends RegenerateSecurityTokenRequest {}
export interface RegenerateSecurityTokenCommandOutput
  extends RegenerateSecurityTokenResponse,
    __MetadataBearer {}
export declare class RegenerateSecurityTokenCommand extends $Command<
  RegenerateSecurityTokenCommandInput,
  RegenerateSecurityTokenCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: RegenerateSecurityTokenCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RegenerateSecurityTokenCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RegenerateSecurityTokenCommandInput,
    RegenerateSecurityTokenCommandOutput
  >;
  private serialize;
  private deserialize;
}
