import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  StopMeetingTranscriptionRequest,
  StopMeetingTranscriptionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface StopMeetingTranscriptionCommandInput
  extends StopMeetingTranscriptionRequest {}
export interface StopMeetingTranscriptionCommandOutput
  extends StopMeetingTranscriptionResponse,
    __MetadataBearer {}
export declare class StopMeetingTranscriptionCommand extends $Command<
  StopMeetingTranscriptionCommandInput,
  StopMeetingTranscriptionCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: StopMeetingTranscriptionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StopMeetingTranscriptionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    StopMeetingTranscriptionCommandInput,
    StopMeetingTranscriptionCommandOutput
  >;
  private serialize;
  private deserialize;
}
