import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  UpdateAppInstanceUserRequest,
  UpdateAppInstanceUserResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface UpdateAppInstanceUserCommandInput
  extends UpdateAppInstanceUserRequest {}
export interface UpdateAppInstanceUserCommandOutput
  extends UpdateAppInstanceUserResponse,
    __MetadataBearer {}
export declare class UpdateAppInstanceUserCommand extends $Command<
  UpdateAppInstanceUserCommandInput,
  UpdateAppInstanceUserCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: UpdateAppInstanceUserCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateAppInstanceUserCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateAppInstanceUserCommandInput,
    UpdateAppInstanceUserCommandOutput
  >;
  private serialize;
  private deserialize;
}
