import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  UpdateChannelMessageRequest,
  UpdateChannelMessageResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface UpdateChannelMessageCommandInput
  extends UpdateChannelMessageRequest {}
export interface UpdateChannelMessageCommandOutput
  extends UpdateChannelMessageResponse,
    __MetadataBearer {}
export declare class UpdateChannelMessageCommand extends $Command<
  UpdateChannelMessageCommandInput,
  UpdateChannelMessageCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: UpdateChannelMessageCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateChannelMessageCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateChannelMessageCommandInput,
    UpdateChannelMessageCommandOutput
  >;
  private serialize;
  private deserialize;
}
