import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import { UpdateGlobalSettingsRequest } from "../models/models_1";
export { __MetadataBearer, $Command };
export interface UpdateGlobalSettingsCommandInput
  extends UpdateGlobalSettingsRequest {}
export interface UpdateGlobalSettingsCommandOutput extends __MetadataBearer {}
export declare class UpdateGlobalSettingsCommand extends $Command<
  UpdateGlobalSettingsCommandInput,
  UpdateGlobalSettingsCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: UpdateGlobalSettingsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateGlobalSettingsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateGlobalSettingsCommandInput,
    UpdateGlobalSettingsCommandOutput
  >;
  private serialize;
  private deserialize;
}
