import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  UpdateProxySessionRequest,
  UpdateProxySessionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface UpdateProxySessionCommandInput
  extends UpdateProxySessionRequest {}
export interface UpdateProxySessionCommandOutput
  extends UpdateProxySessionResponse,
    __MetadataBearer {}
export declare class UpdateProxySessionCommand extends $Command<
  UpdateProxySessionCommandInput,
  UpdateProxySessionCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: UpdateProxySessionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateProxySessionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UpdateProxySessionCommandInput, UpdateProxySessionCommandOutput>;
  private serialize;
  private deserialize;
}
