import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import { UpdateRoomRequest, UpdateRoomResponse } from "../models/models_1";
export { __MetadataBearer, $Command };
export interface UpdateRoomCommandInput extends UpdateRoomRequest {}
export interface UpdateRoomCommandOutput
  extends UpdateRoomResponse,
    __MetadataBearer {}
export declare class UpdateRoomCommand extends $Command<
  UpdateRoomCommandInput,
  UpdateRoomCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: UpdateRoomCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateRoomCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UpdateRoomCommandInput, UpdateRoomCommandOutput>;
  private serialize;
  private deserialize;
}
