import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  UpdateVoiceConnectorRequest,
  UpdateVoiceConnectorResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface UpdateVoiceConnectorCommandInput
  extends UpdateVoiceConnectorRequest {}
export interface UpdateVoiceConnectorCommandOutput
  extends UpdateVoiceConnectorResponse,
    __MetadataBearer {}
export declare class UpdateVoiceConnectorCommand extends $Command<
  UpdateVoiceConnectorCommandInput,
  UpdateVoiceConnectorCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: UpdateVoiceConnectorCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateVoiceConnectorCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateVoiceConnectorCommandInput,
    UpdateVoiceConnectorCommandOutput
  >;
  private serialize;
  private deserialize;
}
