import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ChimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../ChimeClient";
import {
  ValidateE911AddressRequest,
  ValidateE911AddressResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ValidateE911AddressCommandInput
  extends ValidateE911AddressRequest {}
export interface ValidateE911AddressCommandOutput
  extends ValidateE911AddressResponse,
    __MetadataBearer {}
export declare class ValidateE911AddressCommand extends $Command<
  ValidateE911AddressCommandInput,
  ValidateE911AddressCommandOutput,
  ChimeClientResolvedConfig
> {
  readonly input: ValidateE911AddressCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ValidateE911AddressCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: ChimeClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ValidateE911AddressCommandInput, ValidateE911AddressCommandOutput>;
  private serialize;
  private deserialize;
}
