import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AssociatePhoneNumbersWithVoiceConnectorCommandInput,
  AssociatePhoneNumbersWithVoiceConnectorCommandOutput,
} from "../commands/AssociatePhoneNumbersWithVoiceConnectorCommand";
import {
  AssociatePhoneNumbersWithVoiceConnectorGroupCommandInput,
  AssociatePhoneNumbersWithVoiceConnectorGroupCommandOutput,
} from "../commands/AssociatePhoneNumbersWithVoiceConnectorGroupCommand";
import {
  AssociatePhoneNumberWithUserCommandInput,
  AssociatePhoneNumberWithUserCommandOutput,
} from "../commands/AssociatePhoneNumberWithUserCommand";
import {
  AssociateSigninDelegateGroupsWithAccountCommandInput,
  AssociateSigninDelegateGroupsWithAccountCommandOutput,
} from "../commands/AssociateSigninDelegateGroupsWithAccountCommand";
import {
  BatchCreateAttendeeCommandInput,
  BatchCreateAttendeeCommandOutput,
} from "../commands/BatchCreateAttendeeCommand";
import {
  BatchCreateChannelMembershipCommandInput,
  BatchCreateChannelMembershipCommandOutput,
} from "../commands/BatchCreateChannelMembershipCommand";
import {
  BatchCreateRoomMembershipCommandInput,
  BatchCreateRoomMembershipCommandOutput,
} from "../commands/BatchCreateRoomMembershipCommand";
import {
  BatchDeletePhoneNumberCommandInput,
  BatchDeletePhoneNumberCommandOutput,
} from "../commands/BatchDeletePhoneNumberCommand";
import {
  BatchSuspendUserCommandInput,
  BatchSuspendUserCommandOutput,
} from "../commands/BatchSuspendUserCommand";
import {
  BatchUnsuspendUserCommandInput,
  BatchUnsuspendUserCommandOutput,
} from "../commands/BatchUnsuspendUserCommand";
import {
  BatchUpdatePhoneNumberCommandInput,
  BatchUpdatePhoneNumberCommandOutput,
} from "../commands/BatchUpdatePhoneNumberCommand";
import {
  BatchUpdateUserCommandInput,
  BatchUpdateUserCommandOutput,
} from "../commands/BatchUpdateUserCommand";
import {
  CreateAccountCommandInput,
  CreateAccountCommandOutput,
} from "../commands/CreateAccountCommand";
import {
  CreateAppInstanceAdminCommandInput,
  CreateAppInstanceAdminCommandOutput,
} from "../commands/CreateAppInstanceAdminCommand";
import {
  CreateAppInstanceCommandInput,
  CreateAppInstanceCommandOutput,
} from "../commands/CreateAppInstanceCommand";
import {
  CreateAppInstanceUserCommandInput,
  CreateAppInstanceUserCommandOutput,
} from "../commands/CreateAppInstanceUserCommand";
import {
  CreateAttendeeCommandInput,
  CreateAttendeeCommandOutput,
} from "../commands/CreateAttendeeCommand";
import {
  CreateBotCommandInput,
  CreateBotCommandOutput,
} from "../commands/CreateBotCommand";
import {
  CreateChannelBanCommandInput,
  CreateChannelBanCommandOutput,
} from "../commands/CreateChannelBanCommand";
import {
  CreateChannelCommandInput,
  CreateChannelCommandOutput,
} from "../commands/CreateChannelCommand";
import {
  CreateChannelMembershipCommandInput,
  CreateChannelMembershipCommandOutput,
} from "../commands/CreateChannelMembershipCommand";
import {
  CreateChannelModeratorCommandInput,
  CreateChannelModeratorCommandOutput,
} from "../commands/CreateChannelModeratorCommand";
import {
  CreateMediaCapturePipelineCommandInput,
  CreateMediaCapturePipelineCommandOutput,
} from "../commands/CreateMediaCapturePipelineCommand";
import {
  CreateMeetingCommandInput,
  CreateMeetingCommandOutput,
} from "../commands/CreateMeetingCommand";
import {
  CreateMeetingDialOutCommandInput,
  CreateMeetingDialOutCommandOutput,
} from "../commands/CreateMeetingDialOutCommand";
import {
  CreateMeetingWithAttendeesCommandInput,
  CreateMeetingWithAttendeesCommandOutput,
} from "../commands/CreateMeetingWithAttendeesCommand";
import {
  CreatePhoneNumberOrderCommandInput,
  CreatePhoneNumberOrderCommandOutput,
} from "../commands/CreatePhoneNumberOrderCommand";
import {
  CreateProxySessionCommandInput,
  CreateProxySessionCommandOutput,
} from "../commands/CreateProxySessionCommand";
import {
  CreateRoomCommandInput,
  CreateRoomCommandOutput,
} from "../commands/CreateRoomCommand";
import {
  CreateRoomMembershipCommandInput,
  CreateRoomMembershipCommandOutput,
} from "../commands/CreateRoomMembershipCommand";
import {
  CreateSipMediaApplicationCallCommandInput,
  CreateSipMediaApplicationCallCommandOutput,
} from "../commands/CreateSipMediaApplicationCallCommand";
import {
  CreateSipMediaApplicationCommandInput,
  CreateSipMediaApplicationCommandOutput,
} from "../commands/CreateSipMediaApplicationCommand";
import {
  CreateSipRuleCommandInput,
  CreateSipRuleCommandOutput,
} from "../commands/CreateSipRuleCommand";
import {
  CreateUserCommandInput,
  CreateUserCommandOutput,
} from "../commands/CreateUserCommand";
import {
  CreateVoiceConnectorCommandInput,
  CreateVoiceConnectorCommandOutput,
} from "../commands/CreateVoiceConnectorCommand";
import {
  CreateVoiceConnectorGroupCommandInput,
  CreateVoiceConnectorGroupCommandOutput,
} from "../commands/CreateVoiceConnectorGroupCommand";
import {
  DeleteAccountCommandInput,
  DeleteAccountCommandOutput,
} from "../commands/DeleteAccountCommand";
import {
  DeleteAppInstanceAdminCommandInput,
  DeleteAppInstanceAdminCommandOutput,
} from "../commands/DeleteAppInstanceAdminCommand";
import {
  DeleteAppInstanceCommandInput,
  DeleteAppInstanceCommandOutput,
} from "../commands/DeleteAppInstanceCommand";
import {
  DeleteAppInstanceStreamingConfigurationsCommandInput,
  DeleteAppInstanceStreamingConfigurationsCommandOutput,
} from "../commands/DeleteAppInstanceStreamingConfigurationsCommand";
import {
  DeleteAppInstanceUserCommandInput,
  DeleteAppInstanceUserCommandOutput,
} from "../commands/DeleteAppInstanceUserCommand";
import {
  DeleteAttendeeCommandInput,
  DeleteAttendeeCommandOutput,
} from "../commands/DeleteAttendeeCommand";
import {
  DeleteChannelBanCommandInput,
  DeleteChannelBanCommandOutput,
} from "../commands/DeleteChannelBanCommand";
import {
  DeleteChannelCommandInput,
  DeleteChannelCommandOutput,
} from "../commands/DeleteChannelCommand";
import {
  DeleteChannelMembershipCommandInput,
  DeleteChannelMembershipCommandOutput,
} from "../commands/DeleteChannelMembershipCommand";
import {
  DeleteChannelMessageCommandInput,
  DeleteChannelMessageCommandOutput,
} from "../commands/DeleteChannelMessageCommand";
import {
  DeleteChannelModeratorCommandInput,
  DeleteChannelModeratorCommandOutput,
} from "../commands/DeleteChannelModeratorCommand";
import {
  DeleteEventsConfigurationCommandInput,
  DeleteEventsConfigurationCommandOutput,
} from "../commands/DeleteEventsConfigurationCommand";
import {
  DeleteMediaCapturePipelineCommandInput,
  DeleteMediaCapturePipelineCommandOutput,
} from "../commands/DeleteMediaCapturePipelineCommand";
import {
  DeleteMeetingCommandInput,
  DeleteMeetingCommandOutput,
} from "../commands/DeleteMeetingCommand";
import {
  DeletePhoneNumberCommandInput,
  DeletePhoneNumberCommandOutput,
} from "../commands/DeletePhoneNumberCommand";
import {
  DeleteProxySessionCommandInput,
  DeleteProxySessionCommandOutput,
} from "../commands/DeleteProxySessionCommand";
import {
  DeleteRoomCommandInput,
  DeleteRoomCommandOutput,
} from "../commands/DeleteRoomCommand";
import {
  DeleteRoomMembershipCommandInput,
  DeleteRoomMembershipCommandOutput,
} from "../commands/DeleteRoomMembershipCommand";
import {
  DeleteSipMediaApplicationCommandInput,
  DeleteSipMediaApplicationCommandOutput,
} from "../commands/DeleteSipMediaApplicationCommand";
import {
  DeleteSipRuleCommandInput,
  DeleteSipRuleCommandOutput,
} from "../commands/DeleteSipRuleCommand";
import {
  DeleteVoiceConnectorCommandInput,
  DeleteVoiceConnectorCommandOutput,
} from "../commands/DeleteVoiceConnectorCommand";
import {
  DeleteVoiceConnectorEmergencyCallingConfigurationCommandInput,
  DeleteVoiceConnectorEmergencyCallingConfigurationCommandOutput,
} from "../commands/DeleteVoiceConnectorEmergencyCallingConfigurationCommand";
import {
  DeleteVoiceConnectorGroupCommandInput,
  DeleteVoiceConnectorGroupCommandOutput,
} from "../commands/DeleteVoiceConnectorGroupCommand";
import {
  DeleteVoiceConnectorOriginationCommandInput,
  DeleteVoiceConnectorOriginationCommandOutput,
} from "../commands/DeleteVoiceConnectorOriginationCommand";
import {
  DeleteVoiceConnectorProxyCommandInput,
  DeleteVoiceConnectorProxyCommandOutput,
} from "../commands/DeleteVoiceConnectorProxyCommand";
import {
  DeleteVoiceConnectorStreamingConfigurationCommandInput,
  DeleteVoiceConnectorStreamingConfigurationCommandOutput,
} from "../commands/DeleteVoiceConnectorStreamingConfigurationCommand";
import {
  DeleteVoiceConnectorTerminationCommandInput,
  DeleteVoiceConnectorTerminationCommandOutput,
} from "../commands/DeleteVoiceConnectorTerminationCommand";
import {
  DeleteVoiceConnectorTerminationCredentialsCommandInput,
  DeleteVoiceConnectorTerminationCredentialsCommandOutput,
} from "../commands/DeleteVoiceConnectorTerminationCredentialsCommand";
import {
  DescribeAppInstanceAdminCommandInput,
  DescribeAppInstanceAdminCommandOutput,
} from "../commands/DescribeAppInstanceAdminCommand";
import {
  DescribeAppInstanceCommandInput,
  DescribeAppInstanceCommandOutput,
} from "../commands/DescribeAppInstanceCommand";
import {
  DescribeAppInstanceUserCommandInput,
  DescribeAppInstanceUserCommandOutput,
} from "../commands/DescribeAppInstanceUserCommand";
import {
  DescribeChannelBanCommandInput,
  DescribeChannelBanCommandOutput,
} from "../commands/DescribeChannelBanCommand";
import {
  DescribeChannelCommandInput,
  DescribeChannelCommandOutput,
} from "../commands/DescribeChannelCommand";
import {
  DescribeChannelMembershipCommandInput,
  DescribeChannelMembershipCommandOutput,
} from "../commands/DescribeChannelMembershipCommand";
import {
  DescribeChannelMembershipForAppInstanceUserCommandInput,
  DescribeChannelMembershipForAppInstanceUserCommandOutput,
} from "../commands/DescribeChannelMembershipForAppInstanceUserCommand";
import {
  DescribeChannelModeratedByAppInstanceUserCommandInput,
  DescribeChannelModeratedByAppInstanceUserCommandOutput,
} from "../commands/DescribeChannelModeratedByAppInstanceUserCommand";
import {
  DescribeChannelModeratorCommandInput,
  DescribeChannelModeratorCommandOutput,
} from "../commands/DescribeChannelModeratorCommand";
import {
  DisassociatePhoneNumberFromUserCommandInput,
  DisassociatePhoneNumberFromUserCommandOutput,
} from "../commands/DisassociatePhoneNumberFromUserCommand";
import {
  DisassociatePhoneNumbersFromVoiceConnectorCommandInput,
  DisassociatePhoneNumbersFromVoiceConnectorCommandOutput,
} from "../commands/DisassociatePhoneNumbersFromVoiceConnectorCommand";
import {
  DisassociatePhoneNumbersFromVoiceConnectorGroupCommandInput,
  DisassociatePhoneNumbersFromVoiceConnectorGroupCommandOutput,
} from "../commands/DisassociatePhoneNumbersFromVoiceConnectorGroupCommand";
import {
  DisassociateSigninDelegateGroupsFromAccountCommandInput,
  DisassociateSigninDelegateGroupsFromAccountCommandOutput,
} from "../commands/DisassociateSigninDelegateGroupsFromAccountCommand";
import {
  GetAccountCommandInput,
  GetAccountCommandOutput,
} from "../commands/GetAccountCommand";
import {
  GetAccountSettingsCommandInput,
  GetAccountSettingsCommandOutput,
} from "../commands/GetAccountSettingsCommand";
import {
  GetAppInstanceRetentionSettingsCommandInput,
  GetAppInstanceRetentionSettingsCommandOutput,
} from "../commands/GetAppInstanceRetentionSettingsCommand";
import {
  GetAppInstanceStreamingConfigurationsCommandInput,
  GetAppInstanceStreamingConfigurationsCommandOutput,
} from "../commands/GetAppInstanceStreamingConfigurationsCommand";
import {
  GetAttendeeCommandInput,
  GetAttendeeCommandOutput,
} from "../commands/GetAttendeeCommand";
import {
  GetBotCommandInput,
  GetBotCommandOutput,
} from "../commands/GetBotCommand";
import {
  GetChannelMessageCommandInput,
  GetChannelMessageCommandOutput,
} from "../commands/GetChannelMessageCommand";
import {
  GetEventsConfigurationCommandInput,
  GetEventsConfigurationCommandOutput,
} from "../commands/GetEventsConfigurationCommand";
import {
  GetGlobalSettingsCommandInput,
  GetGlobalSettingsCommandOutput,
} from "../commands/GetGlobalSettingsCommand";
import {
  GetMediaCapturePipelineCommandInput,
  GetMediaCapturePipelineCommandOutput,
} from "../commands/GetMediaCapturePipelineCommand";
import {
  GetMeetingCommandInput,
  GetMeetingCommandOutput,
} from "../commands/GetMeetingCommand";
import {
  GetMessagingSessionEndpointCommandInput,
  GetMessagingSessionEndpointCommandOutput,
} from "../commands/GetMessagingSessionEndpointCommand";
import {
  GetPhoneNumberCommandInput,
  GetPhoneNumberCommandOutput,
} from "../commands/GetPhoneNumberCommand";
import {
  GetPhoneNumberOrderCommandInput,
  GetPhoneNumberOrderCommandOutput,
} from "../commands/GetPhoneNumberOrderCommand";
import {
  GetPhoneNumberSettingsCommandInput,
  GetPhoneNumberSettingsCommandOutput,
} from "../commands/GetPhoneNumberSettingsCommand";
import {
  GetProxySessionCommandInput,
  GetProxySessionCommandOutput,
} from "../commands/GetProxySessionCommand";
import {
  GetRetentionSettingsCommandInput,
  GetRetentionSettingsCommandOutput,
} from "../commands/GetRetentionSettingsCommand";
import {
  GetRoomCommandInput,
  GetRoomCommandOutput,
} from "../commands/GetRoomCommand";
import {
  GetSipMediaApplicationCommandInput,
  GetSipMediaApplicationCommandOutput,
} from "../commands/GetSipMediaApplicationCommand";
import {
  GetSipMediaApplicationLoggingConfigurationCommandInput,
  GetSipMediaApplicationLoggingConfigurationCommandOutput,
} from "../commands/GetSipMediaApplicationLoggingConfigurationCommand";
import {
  GetSipRuleCommandInput,
  GetSipRuleCommandOutput,
} from "../commands/GetSipRuleCommand";
import {
  GetUserCommandInput,
  GetUserCommandOutput,
} from "../commands/GetUserCommand";
import {
  GetUserSettingsCommandInput,
  GetUserSettingsCommandOutput,
} from "../commands/GetUserSettingsCommand";
import {
  GetVoiceConnectorCommandInput,
  GetVoiceConnectorCommandOutput,
} from "../commands/GetVoiceConnectorCommand";
import {
  GetVoiceConnectorEmergencyCallingConfigurationCommandInput,
  GetVoiceConnectorEmergencyCallingConfigurationCommandOutput,
} from "../commands/GetVoiceConnectorEmergencyCallingConfigurationCommand";
import {
  GetVoiceConnectorGroupCommandInput,
  GetVoiceConnectorGroupCommandOutput,
} from "../commands/GetVoiceConnectorGroupCommand";
import {
  GetVoiceConnectorLoggingConfigurationCommandInput,
  GetVoiceConnectorLoggingConfigurationCommandOutput,
} from "../commands/GetVoiceConnectorLoggingConfigurationCommand";
import {
  GetVoiceConnectorOriginationCommandInput,
  GetVoiceConnectorOriginationCommandOutput,
} from "../commands/GetVoiceConnectorOriginationCommand";
import {
  GetVoiceConnectorProxyCommandInput,
  GetVoiceConnectorProxyCommandOutput,
} from "../commands/GetVoiceConnectorProxyCommand";
import {
  GetVoiceConnectorStreamingConfigurationCommandInput,
  GetVoiceConnectorStreamingConfigurationCommandOutput,
} from "../commands/GetVoiceConnectorStreamingConfigurationCommand";
import {
  GetVoiceConnectorTerminationCommandInput,
  GetVoiceConnectorTerminationCommandOutput,
} from "../commands/GetVoiceConnectorTerminationCommand";
import {
  GetVoiceConnectorTerminationHealthCommandInput,
  GetVoiceConnectorTerminationHealthCommandOutput,
} from "../commands/GetVoiceConnectorTerminationHealthCommand";
import {
  InviteUsersCommandInput,
  InviteUsersCommandOutput,
} from "../commands/InviteUsersCommand";
import {
  ListAccountsCommandInput,
  ListAccountsCommandOutput,
} from "../commands/ListAccountsCommand";
import {
  ListAppInstanceAdminsCommandInput,
  ListAppInstanceAdminsCommandOutput,
} from "../commands/ListAppInstanceAdminsCommand";
import {
  ListAppInstancesCommandInput,
  ListAppInstancesCommandOutput,
} from "../commands/ListAppInstancesCommand";
import {
  ListAppInstanceUsersCommandInput,
  ListAppInstanceUsersCommandOutput,
} from "../commands/ListAppInstanceUsersCommand";
import {
  ListAttendeesCommandInput,
  ListAttendeesCommandOutput,
} from "../commands/ListAttendeesCommand";
import {
  ListAttendeeTagsCommandInput,
  ListAttendeeTagsCommandOutput,
} from "../commands/ListAttendeeTagsCommand";
import {
  ListBotsCommandInput,
  ListBotsCommandOutput,
} from "../commands/ListBotsCommand";
import {
  ListChannelBansCommandInput,
  ListChannelBansCommandOutput,
} from "../commands/ListChannelBansCommand";
import {
  ListChannelMembershipsCommandInput,
  ListChannelMembershipsCommandOutput,
} from "../commands/ListChannelMembershipsCommand";
import {
  ListChannelMembershipsForAppInstanceUserCommandInput,
  ListChannelMembershipsForAppInstanceUserCommandOutput,
} from "../commands/ListChannelMembershipsForAppInstanceUserCommand";
import {
  ListChannelMessagesCommandInput,
  ListChannelMessagesCommandOutput,
} from "../commands/ListChannelMessagesCommand";
import {
  ListChannelModeratorsCommandInput,
  ListChannelModeratorsCommandOutput,
} from "../commands/ListChannelModeratorsCommand";
import {
  ListChannelsCommandInput,
  ListChannelsCommandOutput,
} from "../commands/ListChannelsCommand";
import {
  ListChannelsModeratedByAppInstanceUserCommandInput,
  ListChannelsModeratedByAppInstanceUserCommandOutput,
} from "../commands/ListChannelsModeratedByAppInstanceUserCommand";
import {
  ListMediaCapturePipelinesCommandInput,
  ListMediaCapturePipelinesCommandOutput,
} from "../commands/ListMediaCapturePipelinesCommand";
import {
  ListMeetingsCommandInput,
  ListMeetingsCommandOutput,
} from "../commands/ListMeetingsCommand";
import {
  ListMeetingTagsCommandInput,
  ListMeetingTagsCommandOutput,
} from "../commands/ListMeetingTagsCommand";
import {
  ListPhoneNumberOrdersCommandInput,
  ListPhoneNumberOrdersCommandOutput,
} from "../commands/ListPhoneNumberOrdersCommand";
import {
  ListPhoneNumbersCommandInput,
  ListPhoneNumbersCommandOutput,
} from "../commands/ListPhoneNumbersCommand";
import {
  ListProxySessionsCommandInput,
  ListProxySessionsCommandOutput,
} from "../commands/ListProxySessionsCommand";
import {
  ListRoomMembershipsCommandInput,
  ListRoomMembershipsCommandOutput,
} from "../commands/ListRoomMembershipsCommand";
import {
  ListRoomsCommandInput,
  ListRoomsCommandOutput,
} from "../commands/ListRoomsCommand";
import {
  ListSipMediaApplicationsCommandInput,
  ListSipMediaApplicationsCommandOutput,
} from "../commands/ListSipMediaApplicationsCommand";
import {
  ListSipRulesCommandInput,
  ListSipRulesCommandOutput,
} from "../commands/ListSipRulesCommand";
import {
  ListSupportedPhoneNumberCountriesCommandInput,
  ListSupportedPhoneNumberCountriesCommandOutput,
} from "../commands/ListSupportedPhoneNumberCountriesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ListUsersCommandInput,
  ListUsersCommandOutput,
} from "../commands/ListUsersCommand";
import {
  ListVoiceConnectorGroupsCommandInput,
  ListVoiceConnectorGroupsCommandOutput,
} from "../commands/ListVoiceConnectorGroupsCommand";
import {
  ListVoiceConnectorsCommandInput,
  ListVoiceConnectorsCommandOutput,
} from "../commands/ListVoiceConnectorsCommand";
import {
  ListVoiceConnectorTerminationCredentialsCommandInput,
  ListVoiceConnectorTerminationCredentialsCommandOutput,
} from "../commands/ListVoiceConnectorTerminationCredentialsCommand";
import {
  LogoutUserCommandInput,
  LogoutUserCommandOutput,
} from "../commands/LogoutUserCommand";
import {
  PutAppInstanceRetentionSettingsCommandInput,
  PutAppInstanceRetentionSettingsCommandOutput,
} from "../commands/PutAppInstanceRetentionSettingsCommand";
import {
  PutAppInstanceStreamingConfigurationsCommandInput,
  PutAppInstanceStreamingConfigurationsCommandOutput,
} from "../commands/PutAppInstanceStreamingConfigurationsCommand";
import {
  PutEventsConfigurationCommandInput,
  PutEventsConfigurationCommandOutput,
} from "../commands/PutEventsConfigurationCommand";
import {
  PutRetentionSettingsCommandInput,
  PutRetentionSettingsCommandOutput,
} from "../commands/PutRetentionSettingsCommand";
import {
  PutSipMediaApplicationLoggingConfigurationCommandInput,
  PutSipMediaApplicationLoggingConfigurationCommandOutput,
} from "../commands/PutSipMediaApplicationLoggingConfigurationCommand";
import {
  PutVoiceConnectorEmergencyCallingConfigurationCommandInput,
  PutVoiceConnectorEmergencyCallingConfigurationCommandOutput,
} from "../commands/PutVoiceConnectorEmergencyCallingConfigurationCommand";
import {
  PutVoiceConnectorLoggingConfigurationCommandInput,
  PutVoiceConnectorLoggingConfigurationCommandOutput,
} from "../commands/PutVoiceConnectorLoggingConfigurationCommand";
import {
  PutVoiceConnectorOriginationCommandInput,
  PutVoiceConnectorOriginationCommandOutput,
} from "../commands/PutVoiceConnectorOriginationCommand";
import {
  PutVoiceConnectorProxyCommandInput,
  PutVoiceConnectorProxyCommandOutput,
} from "../commands/PutVoiceConnectorProxyCommand";
import {
  PutVoiceConnectorStreamingConfigurationCommandInput,
  PutVoiceConnectorStreamingConfigurationCommandOutput,
} from "../commands/PutVoiceConnectorStreamingConfigurationCommand";
import {
  PutVoiceConnectorTerminationCommandInput,
  PutVoiceConnectorTerminationCommandOutput,
} from "../commands/PutVoiceConnectorTerminationCommand";
import {
  PutVoiceConnectorTerminationCredentialsCommandInput,
  PutVoiceConnectorTerminationCredentialsCommandOutput,
} from "../commands/PutVoiceConnectorTerminationCredentialsCommand";
import {
  RedactChannelMessageCommandInput,
  RedactChannelMessageCommandOutput,
} from "../commands/RedactChannelMessageCommand";
import {
  RedactConversationMessageCommandInput,
  RedactConversationMessageCommandOutput,
} from "../commands/RedactConversationMessageCommand";
import {
  RedactRoomMessageCommandInput,
  RedactRoomMessageCommandOutput,
} from "../commands/RedactRoomMessageCommand";
import {
  RegenerateSecurityTokenCommandInput,
  RegenerateSecurityTokenCommandOutput,
} from "../commands/RegenerateSecurityTokenCommand";
import {
  ResetPersonalPINCommandInput,
  ResetPersonalPINCommandOutput,
} from "../commands/ResetPersonalPINCommand";
import {
  RestorePhoneNumberCommandInput,
  RestorePhoneNumberCommandOutput,
} from "../commands/RestorePhoneNumberCommand";
import {
  SearchAvailablePhoneNumbersCommandInput,
  SearchAvailablePhoneNumbersCommandOutput,
} from "../commands/SearchAvailablePhoneNumbersCommand";
import {
  SendChannelMessageCommandInput,
  SendChannelMessageCommandOutput,
} from "../commands/SendChannelMessageCommand";
import {
  StartMeetingTranscriptionCommandInput,
  StartMeetingTranscriptionCommandOutput,
} from "../commands/StartMeetingTranscriptionCommand";
import {
  StopMeetingTranscriptionCommandInput,
  StopMeetingTranscriptionCommandOutput,
} from "../commands/StopMeetingTranscriptionCommand";
import {
  TagAttendeeCommandInput,
  TagAttendeeCommandOutput,
} from "../commands/TagAttendeeCommand";
import {
  TagMeetingCommandInput,
  TagMeetingCommandOutput,
} from "../commands/TagMeetingCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagAttendeeCommandInput,
  UntagAttendeeCommandOutput,
} from "../commands/UntagAttendeeCommand";
import {
  UntagMeetingCommandInput,
  UntagMeetingCommandOutput,
} from "../commands/UntagMeetingCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateAccountCommandInput,
  UpdateAccountCommandOutput,
} from "../commands/UpdateAccountCommand";
import {
  UpdateAccountSettingsCommandInput,
  UpdateAccountSettingsCommandOutput,
} from "../commands/UpdateAccountSettingsCommand";
import {
  UpdateAppInstanceCommandInput,
  UpdateAppInstanceCommandOutput,
} from "../commands/UpdateAppInstanceCommand";
import {
  UpdateAppInstanceUserCommandInput,
  UpdateAppInstanceUserCommandOutput,
} from "../commands/UpdateAppInstanceUserCommand";
import {
  UpdateBotCommandInput,
  UpdateBotCommandOutput,
} from "../commands/UpdateBotCommand";
import {
  UpdateChannelCommandInput,
  UpdateChannelCommandOutput,
} from "../commands/UpdateChannelCommand";
import {
  UpdateChannelMessageCommandInput,
  UpdateChannelMessageCommandOutput,
} from "../commands/UpdateChannelMessageCommand";
import {
  UpdateChannelReadMarkerCommandInput,
  UpdateChannelReadMarkerCommandOutput,
} from "../commands/UpdateChannelReadMarkerCommand";
import {
  UpdateGlobalSettingsCommandInput,
  UpdateGlobalSettingsCommandOutput,
} from "../commands/UpdateGlobalSettingsCommand";
import {
  UpdatePhoneNumberCommandInput,
  UpdatePhoneNumberCommandOutput,
} from "../commands/UpdatePhoneNumberCommand";
import {
  UpdatePhoneNumberSettingsCommandInput,
  UpdatePhoneNumberSettingsCommandOutput,
} from "../commands/UpdatePhoneNumberSettingsCommand";
import {
  UpdateProxySessionCommandInput,
  UpdateProxySessionCommandOutput,
} from "../commands/UpdateProxySessionCommand";
import {
  UpdateRoomCommandInput,
  UpdateRoomCommandOutput,
} from "../commands/UpdateRoomCommand";
import {
  UpdateRoomMembershipCommandInput,
  UpdateRoomMembershipCommandOutput,
} from "../commands/UpdateRoomMembershipCommand";
import {
  UpdateSipMediaApplicationCallCommandInput,
  UpdateSipMediaApplicationCallCommandOutput,
} from "../commands/UpdateSipMediaApplicationCallCommand";
import {
  UpdateSipMediaApplicationCommandInput,
  UpdateSipMediaApplicationCommandOutput,
} from "../commands/UpdateSipMediaApplicationCommand";
import {
  UpdateSipRuleCommandInput,
  UpdateSipRuleCommandOutput,
} from "../commands/UpdateSipRuleCommand";
import {
  UpdateUserCommandInput,
  UpdateUserCommandOutput,
} from "../commands/UpdateUserCommand";
import {
  UpdateUserSettingsCommandInput,
  UpdateUserSettingsCommandOutput,
} from "../commands/UpdateUserSettingsCommand";
import {
  UpdateVoiceConnectorCommandInput,
  UpdateVoiceConnectorCommandOutput,
} from "../commands/UpdateVoiceConnectorCommand";
import {
  UpdateVoiceConnectorGroupCommandInput,
  UpdateVoiceConnectorGroupCommandOutput,
} from "../commands/UpdateVoiceConnectorGroupCommand";
import {
  ValidateE911AddressCommandInput,
  ValidateE911AddressCommandOutput,
} from "../commands/ValidateE911AddressCommand";
export declare const se_AssociatePhoneNumbersWithVoiceConnectorCommand: (
  input: AssociatePhoneNumbersWithVoiceConnectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociatePhoneNumbersWithVoiceConnectorGroupCommand: (
  input: AssociatePhoneNumbersWithVoiceConnectorGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociatePhoneNumberWithUserCommand: (
  input: AssociatePhoneNumberWithUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateSigninDelegateGroupsWithAccountCommand: (
  input: AssociateSigninDelegateGroupsWithAccountCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchCreateAttendeeCommand: (
  input: BatchCreateAttendeeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchCreateChannelMembershipCommand: (
  input: BatchCreateChannelMembershipCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchCreateRoomMembershipCommand: (
  input: BatchCreateRoomMembershipCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchDeletePhoneNumberCommand: (
  input: BatchDeletePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchSuspendUserCommand: (
  input: BatchSuspendUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchUnsuspendUserCommand: (
  input: BatchUnsuspendUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchUpdatePhoneNumberCommand: (
  input: BatchUpdatePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchUpdateUserCommand: (
  input: BatchUpdateUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAccountCommand: (
  input: CreateAccountCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAppInstanceCommand: (
  input: CreateAppInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAppInstanceAdminCommand: (
  input: CreateAppInstanceAdminCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAppInstanceUserCommand: (
  input: CreateAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAttendeeCommand: (
  input: CreateAttendeeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateBotCommand: (
  input: CreateBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateChannelCommand: (
  input: CreateChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateChannelBanCommand: (
  input: CreateChannelBanCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateChannelMembershipCommand: (
  input: CreateChannelMembershipCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateChannelModeratorCommand: (
  input: CreateChannelModeratorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMediaCapturePipelineCommand: (
  input: CreateMediaCapturePipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMeetingCommand: (
  input: CreateMeetingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMeetingDialOutCommand: (
  input: CreateMeetingDialOutCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMeetingWithAttendeesCommand: (
  input: CreateMeetingWithAttendeesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePhoneNumberOrderCommand: (
  input: CreatePhoneNumberOrderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateProxySessionCommand: (
  input: CreateProxySessionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateRoomCommand: (
  input: CreateRoomCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateRoomMembershipCommand: (
  input: CreateRoomMembershipCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateSipMediaApplicationCommand: (
  input: CreateSipMediaApplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateSipMediaApplicationCallCommand: (
  input: CreateSipMediaApplicationCallCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateSipRuleCommand: (
  input: CreateSipRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateUserCommand: (
  input: CreateUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateVoiceConnectorCommand: (
  input: CreateVoiceConnectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateVoiceConnectorGroupCommand: (
  input: CreateVoiceConnectorGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAccountCommand: (
  input: DeleteAccountCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAppInstanceCommand: (
  input: DeleteAppInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAppInstanceAdminCommand: (
  input: DeleteAppInstanceAdminCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAppInstanceStreamingConfigurationsCommand: (
  input: DeleteAppInstanceStreamingConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAppInstanceUserCommand: (
  input: DeleteAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAttendeeCommand: (
  input: DeleteAttendeeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelCommand: (
  input: DeleteChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelBanCommand: (
  input: DeleteChannelBanCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelMembershipCommand: (
  input: DeleteChannelMembershipCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelMessageCommand: (
  input: DeleteChannelMessageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelModeratorCommand: (
  input: DeleteChannelModeratorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteEventsConfigurationCommand: (
  input: DeleteEventsConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMediaCapturePipelineCommand: (
  input: DeleteMediaCapturePipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMeetingCommand: (
  input: DeleteMeetingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePhoneNumberCommand: (
  input: DeletePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteProxySessionCommand: (
  input: DeleteProxySessionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRoomCommand: (
  input: DeleteRoomCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRoomMembershipCommand: (
  input: DeleteRoomMembershipCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteSipMediaApplicationCommand: (
  input: DeleteSipMediaApplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteSipRuleCommand: (
  input: DeleteSipRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorCommand: (
  input: DeleteVoiceConnectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorEmergencyCallingConfigurationCommand: (
  input: DeleteVoiceConnectorEmergencyCallingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorGroupCommand: (
  input: DeleteVoiceConnectorGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorOriginationCommand: (
  input: DeleteVoiceConnectorOriginationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorProxyCommand: (
  input: DeleteVoiceConnectorProxyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorStreamingConfigurationCommand: (
  input: DeleteVoiceConnectorStreamingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorTerminationCommand: (
  input: DeleteVoiceConnectorTerminationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVoiceConnectorTerminationCredentialsCommand: (
  input: DeleteVoiceConnectorTerminationCredentialsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAppInstanceCommand: (
  input: DescribeAppInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAppInstanceAdminCommand: (
  input: DescribeAppInstanceAdminCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAppInstanceUserCommand: (
  input: DescribeAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelCommand: (
  input: DescribeChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelBanCommand: (
  input: DescribeChannelBanCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelMembershipCommand: (
  input: DescribeChannelMembershipCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelMembershipForAppInstanceUserCommand: (
  input: DescribeChannelMembershipForAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelModeratedByAppInstanceUserCommand: (
  input: DescribeChannelModeratedByAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeChannelModeratorCommand: (
  input: DescribeChannelModeratorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociatePhoneNumberFromUserCommand: (
  input: DisassociatePhoneNumberFromUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociatePhoneNumbersFromVoiceConnectorCommand: (
  input: DisassociatePhoneNumbersFromVoiceConnectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociatePhoneNumbersFromVoiceConnectorGroupCommand: (
  input: DisassociatePhoneNumbersFromVoiceConnectorGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateSigninDelegateGroupsFromAccountCommand: (
  input: DisassociateSigninDelegateGroupsFromAccountCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAccountCommand: (
  input: GetAccountCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAccountSettingsCommand: (
  input: GetAccountSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAppInstanceRetentionSettingsCommand: (
  input: GetAppInstanceRetentionSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAppInstanceStreamingConfigurationsCommand: (
  input: GetAppInstanceStreamingConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAttendeeCommand: (
  input: GetAttendeeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetBotCommand: (
  input: GetBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetChannelMessageCommand: (
  input: GetChannelMessageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetEventsConfigurationCommand: (
  input: GetEventsConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetGlobalSettingsCommand: (
  input: GetGlobalSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMediaCapturePipelineCommand: (
  input: GetMediaCapturePipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMeetingCommand: (
  input: GetMeetingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMessagingSessionEndpointCommand: (
  input: GetMessagingSessionEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPhoneNumberCommand: (
  input: GetPhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPhoneNumberOrderCommand: (
  input: GetPhoneNumberOrderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPhoneNumberSettingsCommand: (
  input: GetPhoneNumberSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetProxySessionCommand: (
  input: GetProxySessionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetRetentionSettingsCommand: (
  input: GetRetentionSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetRoomCommand: (
  input: GetRoomCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSipMediaApplicationCommand: (
  input: GetSipMediaApplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSipMediaApplicationLoggingConfigurationCommand: (
  input: GetSipMediaApplicationLoggingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSipRuleCommand: (
  input: GetSipRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetUserCommand: (
  input: GetUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetUserSettingsCommand: (
  input: GetUserSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorCommand: (
  input: GetVoiceConnectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorEmergencyCallingConfigurationCommand: (
  input: GetVoiceConnectorEmergencyCallingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorGroupCommand: (
  input: GetVoiceConnectorGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorLoggingConfigurationCommand: (
  input: GetVoiceConnectorLoggingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorOriginationCommand: (
  input: GetVoiceConnectorOriginationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorProxyCommand: (
  input: GetVoiceConnectorProxyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorStreamingConfigurationCommand: (
  input: GetVoiceConnectorStreamingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorTerminationCommand: (
  input: GetVoiceConnectorTerminationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVoiceConnectorTerminationHealthCommand: (
  input: GetVoiceConnectorTerminationHealthCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_InviteUsersCommand: (
  input: InviteUsersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAccountsCommand: (
  input: ListAccountsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAppInstanceAdminsCommand: (
  input: ListAppInstanceAdminsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAppInstancesCommand: (
  input: ListAppInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAppInstanceUsersCommand: (
  input: ListAppInstanceUsersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAttendeesCommand: (
  input: ListAttendeesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAttendeeTagsCommand: (
  input: ListAttendeeTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListBotsCommand: (
  input: ListBotsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelBansCommand: (
  input: ListChannelBansCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelMembershipsCommand: (
  input: ListChannelMembershipsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelMembershipsForAppInstanceUserCommand: (
  input: ListChannelMembershipsForAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelMessagesCommand: (
  input: ListChannelMessagesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelModeratorsCommand: (
  input: ListChannelModeratorsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelsCommand: (
  input: ListChannelsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelsModeratedByAppInstanceUserCommand: (
  input: ListChannelsModeratedByAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListMediaCapturePipelinesCommand: (
  input: ListMediaCapturePipelinesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListMeetingsCommand: (
  input: ListMeetingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListMeetingTagsCommand: (
  input: ListMeetingTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPhoneNumberOrdersCommand: (
  input: ListPhoneNumberOrdersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPhoneNumbersCommand: (
  input: ListPhoneNumbersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListProxySessionsCommand: (
  input: ListProxySessionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRoomMembershipsCommand: (
  input: ListRoomMembershipsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRoomsCommand: (
  input: ListRoomsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSipMediaApplicationsCommand: (
  input: ListSipMediaApplicationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSipRulesCommand: (
  input: ListSipRulesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSupportedPhoneNumberCountriesCommand: (
  input: ListSupportedPhoneNumberCountriesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListUsersCommand: (
  input: ListUsersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVoiceConnectorGroupsCommand: (
  input: ListVoiceConnectorGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVoiceConnectorsCommand: (
  input: ListVoiceConnectorsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVoiceConnectorTerminationCredentialsCommand: (
  input: ListVoiceConnectorTerminationCredentialsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_LogoutUserCommand: (
  input: LogoutUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutAppInstanceRetentionSettingsCommand: (
  input: PutAppInstanceRetentionSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutAppInstanceStreamingConfigurationsCommand: (
  input: PutAppInstanceStreamingConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutEventsConfigurationCommand: (
  input: PutEventsConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutRetentionSettingsCommand: (
  input: PutRetentionSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutSipMediaApplicationLoggingConfigurationCommand: (
  input: PutSipMediaApplicationLoggingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorEmergencyCallingConfigurationCommand: (
  input: PutVoiceConnectorEmergencyCallingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorLoggingConfigurationCommand: (
  input: PutVoiceConnectorLoggingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorOriginationCommand: (
  input: PutVoiceConnectorOriginationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorProxyCommand: (
  input: PutVoiceConnectorProxyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorStreamingConfigurationCommand: (
  input: PutVoiceConnectorStreamingConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorTerminationCommand: (
  input: PutVoiceConnectorTerminationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutVoiceConnectorTerminationCredentialsCommand: (
  input: PutVoiceConnectorTerminationCredentialsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RedactChannelMessageCommand: (
  input: RedactChannelMessageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RedactConversationMessageCommand: (
  input: RedactConversationMessageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RedactRoomMessageCommand: (
  input: RedactRoomMessageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RegenerateSecurityTokenCommand: (
  input: RegenerateSecurityTokenCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ResetPersonalPINCommand: (
  input: ResetPersonalPINCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RestorePhoneNumberCommand: (
  input: RestorePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SearchAvailablePhoneNumbersCommand: (
  input: SearchAvailablePhoneNumbersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SendChannelMessageCommand: (
  input: SendChannelMessageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartMeetingTranscriptionCommand: (
  input: StartMeetingTranscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopMeetingTranscriptionCommand: (
  input: StopMeetingTranscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagAttendeeCommand: (
  input: TagAttendeeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagMeetingCommand: (
  input: TagMeetingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagAttendeeCommand: (
  input: UntagAttendeeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagMeetingCommand: (
  input: UntagMeetingCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAccountCommand: (
  input: UpdateAccountCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAccountSettingsCommand: (
  input: UpdateAccountSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAppInstanceCommand: (
  input: UpdateAppInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAppInstanceUserCommand: (
  input: UpdateAppInstanceUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateBotCommand: (
  input: UpdateBotCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateChannelCommand: (
  input: UpdateChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateChannelMessageCommand: (
  input: UpdateChannelMessageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateChannelReadMarkerCommand: (
  input: UpdateChannelReadMarkerCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateGlobalSettingsCommand: (
  input: UpdateGlobalSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePhoneNumberCommand: (
  input: UpdatePhoneNumberCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePhoneNumberSettingsCommand: (
  input: UpdatePhoneNumberSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateProxySessionCommand: (
  input: UpdateProxySessionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRoomCommand: (
  input: UpdateRoomCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRoomMembershipCommand: (
  input: UpdateRoomMembershipCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSipMediaApplicationCommand: (
  input: UpdateSipMediaApplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSipMediaApplicationCallCommand: (
  input: UpdateSipMediaApplicationCallCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSipRuleCommand: (
  input: UpdateSipRuleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateUserCommand: (
  input: UpdateUserCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateUserSettingsCommand: (
  input: UpdateUserSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateVoiceConnectorCommand: (
  input: UpdateVoiceConnectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateVoiceConnectorGroupCommand: (
  input: UpdateVoiceConnectorGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ValidateE911AddressCommand: (
  input: ValidateE911AddressCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AssociatePhoneNumbersWithVoiceConnectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociatePhoneNumbersWithVoiceConnectorCommandOutput>;
export declare const de_AssociatePhoneNumbersWithVoiceConnectorGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociatePhoneNumbersWithVoiceConnectorGroupCommandOutput>;
export declare const de_AssociatePhoneNumberWithUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociatePhoneNumberWithUserCommandOutput>;
export declare const de_AssociateSigninDelegateGroupsWithAccountCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateSigninDelegateGroupsWithAccountCommandOutput>;
export declare const de_BatchCreateAttendeeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchCreateAttendeeCommandOutput>;
export declare const de_BatchCreateChannelMembershipCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchCreateChannelMembershipCommandOutput>;
export declare const de_BatchCreateRoomMembershipCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchCreateRoomMembershipCommandOutput>;
export declare const de_BatchDeletePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchDeletePhoneNumberCommandOutput>;
export declare const de_BatchSuspendUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchSuspendUserCommandOutput>;
export declare const de_BatchUnsuspendUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchUnsuspendUserCommandOutput>;
export declare const de_BatchUpdatePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchUpdatePhoneNumberCommandOutput>;
export declare const de_BatchUpdateUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchUpdateUserCommandOutput>;
export declare const de_CreateAccountCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAccountCommandOutput>;
export declare const de_CreateAppInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAppInstanceCommandOutput>;
export declare const de_CreateAppInstanceAdminCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAppInstanceAdminCommandOutput>;
export declare const de_CreateAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAppInstanceUserCommandOutput>;
export declare const de_CreateAttendeeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAttendeeCommandOutput>;
export declare const de_CreateBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateBotCommandOutput>;
export declare const de_CreateChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateChannelCommandOutput>;
export declare const de_CreateChannelBanCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateChannelBanCommandOutput>;
export declare const de_CreateChannelMembershipCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateChannelMembershipCommandOutput>;
export declare const de_CreateChannelModeratorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateChannelModeratorCommandOutput>;
export declare const de_CreateMediaCapturePipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMediaCapturePipelineCommandOutput>;
export declare const de_CreateMeetingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMeetingCommandOutput>;
export declare const de_CreateMeetingDialOutCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMeetingDialOutCommandOutput>;
export declare const de_CreateMeetingWithAttendeesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMeetingWithAttendeesCommandOutput>;
export declare const de_CreatePhoneNumberOrderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePhoneNumberOrderCommandOutput>;
export declare const de_CreateProxySessionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateProxySessionCommandOutput>;
export declare const de_CreateRoomCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateRoomCommandOutput>;
export declare const de_CreateRoomMembershipCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateRoomMembershipCommandOutput>;
export declare const de_CreateSipMediaApplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSipMediaApplicationCommandOutput>;
export declare const de_CreateSipMediaApplicationCallCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSipMediaApplicationCallCommandOutput>;
export declare const de_CreateSipRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSipRuleCommandOutput>;
export declare const de_CreateUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateUserCommandOutput>;
export declare const de_CreateVoiceConnectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateVoiceConnectorCommandOutput>;
export declare const de_CreateVoiceConnectorGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateVoiceConnectorGroupCommandOutput>;
export declare const de_DeleteAccountCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAccountCommandOutput>;
export declare const de_DeleteAppInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAppInstanceCommandOutput>;
export declare const de_DeleteAppInstanceAdminCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAppInstanceAdminCommandOutput>;
export declare const de_DeleteAppInstanceStreamingConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAppInstanceStreamingConfigurationsCommandOutput>;
export declare const de_DeleteAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAppInstanceUserCommandOutput>;
export declare const de_DeleteAttendeeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAttendeeCommandOutput>;
export declare const de_DeleteChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelCommandOutput>;
export declare const de_DeleteChannelBanCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelBanCommandOutput>;
export declare const de_DeleteChannelMembershipCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelMembershipCommandOutput>;
export declare const de_DeleteChannelMessageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelMessageCommandOutput>;
export declare const de_DeleteChannelModeratorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelModeratorCommandOutput>;
export declare const de_DeleteEventsConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteEventsConfigurationCommandOutput>;
export declare const de_DeleteMediaCapturePipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMediaCapturePipelineCommandOutput>;
export declare const de_DeleteMeetingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMeetingCommandOutput>;
export declare const de_DeletePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePhoneNumberCommandOutput>;
export declare const de_DeleteProxySessionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteProxySessionCommandOutput>;
export declare const de_DeleteRoomCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRoomCommandOutput>;
export declare const de_DeleteRoomMembershipCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRoomMembershipCommandOutput>;
export declare const de_DeleteSipMediaApplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSipMediaApplicationCommandOutput>;
export declare const de_DeleteSipRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSipRuleCommandOutput>;
export declare const de_DeleteVoiceConnectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorCommandOutput>;
export declare const de_DeleteVoiceConnectorEmergencyCallingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorEmergencyCallingConfigurationCommandOutput>;
export declare const de_DeleteVoiceConnectorGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorGroupCommandOutput>;
export declare const de_DeleteVoiceConnectorOriginationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorOriginationCommandOutput>;
export declare const de_DeleteVoiceConnectorProxyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorProxyCommandOutput>;
export declare const de_DeleteVoiceConnectorStreamingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorStreamingConfigurationCommandOutput>;
export declare const de_DeleteVoiceConnectorTerminationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorTerminationCommandOutput>;
export declare const de_DeleteVoiceConnectorTerminationCredentialsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVoiceConnectorTerminationCredentialsCommandOutput>;
export declare const de_DescribeAppInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAppInstanceCommandOutput>;
export declare const de_DescribeAppInstanceAdminCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAppInstanceAdminCommandOutput>;
export declare const de_DescribeAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAppInstanceUserCommandOutput>;
export declare const de_DescribeChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelCommandOutput>;
export declare const de_DescribeChannelBanCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelBanCommandOutput>;
export declare const de_DescribeChannelMembershipCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelMembershipCommandOutput>;
export declare const de_DescribeChannelMembershipForAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelMembershipForAppInstanceUserCommandOutput>;
export declare const de_DescribeChannelModeratedByAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelModeratedByAppInstanceUserCommandOutput>;
export declare const de_DescribeChannelModeratorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeChannelModeratorCommandOutput>;
export declare const de_DisassociatePhoneNumberFromUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociatePhoneNumberFromUserCommandOutput>;
export declare const de_DisassociatePhoneNumbersFromVoiceConnectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociatePhoneNumbersFromVoiceConnectorCommandOutput>;
export declare const de_DisassociatePhoneNumbersFromVoiceConnectorGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociatePhoneNumbersFromVoiceConnectorGroupCommandOutput>;
export declare const de_DisassociateSigninDelegateGroupsFromAccountCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateSigninDelegateGroupsFromAccountCommandOutput>;
export declare const de_GetAccountCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAccountCommandOutput>;
export declare const de_GetAccountSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAccountSettingsCommandOutput>;
export declare const de_GetAppInstanceRetentionSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAppInstanceRetentionSettingsCommandOutput>;
export declare const de_GetAppInstanceStreamingConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAppInstanceStreamingConfigurationsCommandOutput>;
export declare const de_GetAttendeeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAttendeeCommandOutput>;
export declare const de_GetBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetBotCommandOutput>;
export declare const de_GetChannelMessageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetChannelMessageCommandOutput>;
export declare const de_GetEventsConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetEventsConfigurationCommandOutput>;
export declare const de_GetGlobalSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetGlobalSettingsCommandOutput>;
export declare const de_GetMediaCapturePipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMediaCapturePipelineCommandOutput>;
export declare const de_GetMeetingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMeetingCommandOutput>;
export declare const de_GetMessagingSessionEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMessagingSessionEndpointCommandOutput>;
export declare const de_GetPhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPhoneNumberCommandOutput>;
export declare const de_GetPhoneNumberOrderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPhoneNumberOrderCommandOutput>;
export declare const de_GetPhoneNumberSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPhoneNumberSettingsCommandOutput>;
export declare const de_GetProxySessionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetProxySessionCommandOutput>;
export declare const de_GetRetentionSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetRetentionSettingsCommandOutput>;
export declare const de_GetRoomCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetRoomCommandOutput>;
export declare const de_GetSipMediaApplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSipMediaApplicationCommandOutput>;
export declare const de_GetSipMediaApplicationLoggingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSipMediaApplicationLoggingConfigurationCommandOutput>;
export declare const de_GetSipRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSipRuleCommandOutput>;
export declare const de_GetUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetUserCommandOutput>;
export declare const de_GetUserSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetUserSettingsCommandOutput>;
export declare const de_GetVoiceConnectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorCommandOutput>;
export declare const de_GetVoiceConnectorEmergencyCallingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorEmergencyCallingConfigurationCommandOutput>;
export declare const de_GetVoiceConnectorGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorGroupCommandOutput>;
export declare const de_GetVoiceConnectorLoggingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorLoggingConfigurationCommandOutput>;
export declare const de_GetVoiceConnectorOriginationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorOriginationCommandOutput>;
export declare const de_GetVoiceConnectorProxyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorProxyCommandOutput>;
export declare const de_GetVoiceConnectorStreamingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorStreamingConfigurationCommandOutput>;
export declare const de_GetVoiceConnectorTerminationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorTerminationCommandOutput>;
export declare const de_GetVoiceConnectorTerminationHealthCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVoiceConnectorTerminationHealthCommandOutput>;
export declare const de_InviteUsersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<InviteUsersCommandOutput>;
export declare const de_ListAccountsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAccountsCommandOutput>;
export declare const de_ListAppInstanceAdminsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAppInstanceAdminsCommandOutput>;
export declare const de_ListAppInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAppInstancesCommandOutput>;
export declare const de_ListAppInstanceUsersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAppInstanceUsersCommandOutput>;
export declare const de_ListAttendeesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAttendeesCommandOutput>;
export declare const de_ListAttendeeTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAttendeeTagsCommandOutput>;
export declare const de_ListBotsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListBotsCommandOutput>;
export declare const de_ListChannelBansCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelBansCommandOutput>;
export declare const de_ListChannelMembershipsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelMembershipsCommandOutput>;
export declare const de_ListChannelMembershipsForAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelMembershipsForAppInstanceUserCommandOutput>;
export declare const de_ListChannelMessagesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelMessagesCommandOutput>;
export declare const de_ListChannelModeratorsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelModeratorsCommandOutput>;
export declare const de_ListChannelsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelsCommandOutput>;
export declare const de_ListChannelsModeratedByAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelsModeratedByAppInstanceUserCommandOutput>;
export declare const de_ListMediaCapturePipelinesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMediaCapturePipelinesCommandOutput>;
export declare const de_ListMeetingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMeetingsCommandOutput>;
export declare const de_ListMeetingTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMeetingTagsCommandOutput>;
export declare const de_ListPhoneNumberOrdersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPhoneNumberOrdersCommandOutput>;
export declare const de_ListPhoneNumbersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPhoneNumbersCommandOutput>;
export declare const de_ListProxySessionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListProxySessionsCommandOutput>;
export declare const de_ListRoomMembershipsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRoomMembershipsCommandOutput>;
export declare const de_ListRoomsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRoomsCommandOutput>;
export declare const de_ListSipMediaApplicationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSipMediaApplicationsCommandOutput>;
export declare const de_ListSipRulesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSipRulesCommandOutput>;
export declare const de_ListSupportedPhoneNumberCountriesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSupportedPhoneNumberCountriesCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_ListUsersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListUsersCommandOutput>;
export declare const de_ListVoiceConnectorGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVoiceConnectorGroupsCommandOutput>;
export declare const de_ListVoiceConnectorsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVoiceConnectorsCommandOutput>;
export declare const de_ListVoiceConnectorTerminationCredentialsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVoiceConnectorTerminationCredentialsCommandOutput>;
export declare const de_LogoutUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<LogoutUserCommandOutput>;
export declare const de_PutAppInstanceRetentionSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutAppInstanceRetentionSettingsCommandOutput>;
export declare const de_PutAppInstanceStreamingConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutAppInstanceStreamingConfigurationsCommandOutput>;
export declare const de_PutEventsConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutEventsConfigurationCommandOutput>;
export declare const de_PutRetentionSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutRetentionSettingsCommandOutput>;
export declare const de_PutSipMediaApplicationLoggingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutSipMediaApplicationLoggingConfigurationCommandOutput>;
export declare const de_PutVoiceConnectorEmergencyCallingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorEmergencyCallingConfigurationCommandOutput>;
export declare const de_PutVoiceConnectorLoggingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorLoggingConfigurationCommandOutput>;
export declare const de_PutVoiceConnectorOriginationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorOriginationCommandOutput>;
export declare const de_PutVoiceConnectorProxyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorProxyCommandOutput>;
export declare const de_PutVoiceConnectorStreamingConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorStreamingConfigurationCommandOutput>;
export declare const de_PutVoiceConnectorTerminationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorTerminationCommandOutput>;
export declare const de_PutVoiceConnectorTerminationCredentialsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutVoiceConnectorTerminationCredentialsCommandOutput>;
export declare const de_RedactChannelMessageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RedactChannelMessageCommandOutput>;
export declare const de_RedactConversationMessageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RedactConversationMessageCommandOutput>;
export declare const de_RedactRoomMessageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RedactRoomMessageCommandOutput>;
export declare const de_RegenerateSecurityTokenCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegenerateSecurityTokenCommandOutput>;
export declare const de_ResetPersonalPINCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ResetPersonalPINCommandOutput>;
export declare const de_RestorePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RestorePhoneNumberCommandOutput>;
export declare const de_SearchAvailablePhoneNumbersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SearchAvailablePhoneNumbersCommandOutput>;
export declare const de_SendChannelMessageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SendChannelMessageCommandOutput>;
export declare const de_StartMeetingTranscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartMeetingTranscriptionCommandOutput>;
export declare const de_StopMeetingTranscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopMeetingTranscriptionCommandOutput>;
export declare const de_TagAttendeeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagAttendeeCommandOutput>;
export declare const de_TagMeetingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagMeetingCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagAttendeeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagAttendeeCommandOutput>;
export declare const de_UntagMeetingCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagMeetingCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateAccountCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAccountCommandOutput>;
export declare const de_UpdateAccountSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAccountSettingsCommandOutput>;
export declare const de_UpdateAppInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAppInstanceCommandOutput>;
export declare const de_UpdateAppInstanceUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAppInstanceUserCommandOutput>;
export declare const de_UpdateBotCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateBotCommandOutput>;
export declare const de_UpdateChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateChannelCommandOutput>;
export declare const de_UpdateChannelMessageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateChannelMessageCommandOutput>;
export declare const de_UpdateChannelReadMarkerCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateChannelReadMarkerCommandOutput>;
export declare const de_UpdateGlobalSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateGlobalSettingsCommandOutput>;
export declare const de_UpdatePhoneNumberCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePhoneNumberCommandOutput>;
export declare const de_UpdatePhoneNumberSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePhoneNumberSettingsCommandOutput>;
export declare const de_UpdateProxySessionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateProxySessionCommandOutput>;
export declare const de_UpdateRoomCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRoomCommandOutput>;
export declare const de_UpdateRoomMembershipCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRoomMembershipCommandOutput>;
export declare const de_UpdateSipMediaApplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSipMediaApplicationCommandOutput>;
export declare const de_UpdateSipMediaApplicationCallCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSipMediaApplicationCallCommandOutput>;
export declare const de_UpdateSipRuleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSipRuleCommandOutput>;
export declare const de_UpdateUserCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateUserCommandOutput>;
export declare const de_UpdateUserSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateUserSettingsCommandOutput>;
export declare const de_UpdateVoiceConnectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateVoiceConnectorCommandOutput>;
export declare const de_UpdateVoiceConnectorGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateVoiceConnectorGroupCommandOutput>;
export declare const de_ValidateE911AddressCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ValidateE911AddressCommandOutput>;
